using System;
using System.Collections;
using System.Xml;

namespace jachymko.Nyx {

	public class Category : IComparable {
		private string name;
		private Topic[] topics;

		public Category(XmlNode node) {
			name = string.Empty;

			if(node == null) {
				throw new ArgumentNullException("node");
			}

			if(node.Attributes["name"] != null) {
				this.name = node.Attributes["name"].InnerText;
			}

			topics = new Topic[node.ChildNodes.Count];
			for(int i = 0; i < node.ChildNodes.Count; i++) {
				topics[i] = new Topic(node.ChildNodes[i], this);
			}
		}

		public string Name {
			get {
				return this.name;
			}
		}
		public Topic[] Topics {
			get {
				return this.topics;
			}
		}

		public int CompareTo(object obj) {
			Category c = (Category)obj;
			
			return name.ToLower().CompareTo(c.name.ToLower());
		}

		public override bool Equals(object obj) {
			return CompareTo(obj) == 0;
		}

		public override int GetHashCode() {
			return name.GetHashCode();
		}
		public override string ToString() {
			return name;
		}


	}
}
