using System;
using System.Xml;

namespace jachymko.Nyx {

	public class Topic : IComparable {
		private string name;
		private int @new;
		private Category category;
		private int id;

		internal Topic(XmlNode node, Category category) {
			this.name = string.Empty;
			this.@new = 0;
			this.category = category;
			this.id = 0;

			if(node == null) {
				throw new ArgumentNullException("node");
			}

			if(node.Attributes["new"] != null) {
				this.@new = int.Parse(node.Attributes["new"].InnerText);
			}

			if(node.Attributes["id"] != null) {
				this.id = int.Parse(node.Attributes["id"].InnerText);
			}
			
			this.name = node.InnerText;
		}

		public int New {
			get {
				return this.@new;
			}
		}

		public string Name {
			get {
				return this.name;
			}
		}

		public override int GetHashCode() {
			return name.GetHashCode();
		}

		public int CompareTo(object obj) {
			Topic t = (Topic)obj;
			return name.ToLower().CompareTo(t.name.ToLower());
		}

		public override bool Equals(object obj) {
			return CompareTo(obj) == 0;
		}

		public override string ToString() {
			return name;
		}

		public int Id {
			get {
				return this.id;
			}
		}

	}
}
