using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.IO;
using System.Net;
using System.Reflection;
using System.Threading;
using System.Windows.Forms;
using System.Xml;

namespace jachymko.Nyx.Wokno
{
	/// <summary>
	/// Summary description for AutoUpdateForm.
	/// </summary>
	public class AutoUpdateForm : System.Windows.Forms.Form
	{
		private const string UPDATE_SERVICE = "http://www.jachymko.net/NyxWokno/latest.xml";
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.TextBox txtFeatures;
		private System.Windows.Forms.LinkLabel lnkDownload;
		private System.Windows.Forms.CheckBox chkDisableAutoUpdate;
		private System.Windows.Forms.Label lblNewVersion;
		private System.Windows.Forms.Button btnClose;
		private System.Windows.Forms.Button btnContinue;
		private System.Windows.Forms.Label label2;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private AutoUpdateForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(AutoUpdateForm));
			this.panel1 = new System.Windows.Forms.Panel();
			this.lblNewVersion = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.txtFeatures = new System.Windows.Forms.TextBox();
			this.lnkDownload = new System.Windows.Forms.LinkLabel();
			this.btnClose = new System.Windows.Forms.Button();
			this.chkDisableAutoUpdate = new System.Windows.Forms.CheckBox();
			this.btnContinue = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.panel1.SuspendLayout();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.BackColor = System.Drawing.Color.White;
			this.panel1.Controls.Add(this.lblNewVersion);
			this.panel1.Controls.Add(this.label1);
			this.panel1.Controls.Add(this.pictureBox1);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel1.Location = new System.Drawing.Point(0, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(418, 72);
			this.panel1.TabIndex = 1;
			this.panel1.Paint += new System.Windows.Forms.PaintEventHandler(this.panel1_Paint);
			// 
			// lblNewVersion
			// 
			this.lblNewVersion.Location = new System.Drawing.Point(72, 40);
			this.lblNewVersion.Name = "lblNewVersion";
			this.lblNewVersion.Size = new System.Drawing.Size(328, 23);
			this.lblNewVersion.TabIndex = 2;
			this.lblNewVersion.Text = "Version X.X.X.X";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Tahoma", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(238)));
			this.label1.Location = new System.Drawing.Point(72, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(328, 23);
			this.label1.TabIndex = 1;
			this.label1.Text = "NyxWokno - new version available";
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(8, 8);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(56, 56);
			this.pictureBox1.TabIndex = 0;
			this.pictureBox1.TabStop = false;
			// 
			// txtFeatures
			// 
			this.txtFeatures.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.txtFeatures.Location = new System.Drawing.Point(16, 88);
			this.txtFeatures.Multiline = true;
			this.txtFeatures.Name = "txtFeatures";
			this.txtFeatures.ReadOnly = true;
			this.txtFeatures.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.txtFeatures.Size = new System.Drawing.Size(392, 88);
			this.txtFeatures.TabIndex = 2;
			this.txtFeatures.Text = "";
			// 
			// lnkDownload
			// 
			this.lnkDownload.Location = new System.Drawing.Point(16, 224);
			this.lnkDownload.Name = "lnkDownload";
			this.lnkDownload.Size = new System.Drawing.Size(352, 16);
			this.lnkDownload.TabIndex = 3;
			this.lnkDownload.TabStop = true;
			this.lnkDownload.Text = "http://jachymko.net/NyxWokno/NyxWokno.zip";
			this.lnkDownload.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnkDownload_LinkClicked);
			// 
			// btnClose
			// 
			this.btnClose.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnClose.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnClose.Location = new System.Drawing.Point(328, 248);
			this.btnClose.Name = "btnClose";
			this.btnClose.TabIndex = 4;
			this.btnClose.Text = "E&xit";
			// 
			// chkDisableAutoUpdate
			// 
			this.chkDisableAutoUpdate.Location = new System.Drawing.Point(16, 256);
			this.chkDisableAutoUpdate.Name = "chkDisableAutoUpdate";
			this.chkDisableAutoUpdate.Size = new System.Drawing.Size(224, 16);
			this.chkDisableAutoUpdate.TabIndex = 5;
			this.chkDisableAutoUpdate.Text = "&Do not show this again";
			// 
			// btnContinue
			// 
			this.btnContinue.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnContinue.Location = new System.Drawing.Point(248, 248);
			this.btnContinue.Name = "btnContinue";
			this.btnContinue.TabIndex = 6;
			this.btnContinue.Text = "Continue";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(16, 192);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(392, 24);
			this.label2.TabIndex = 7;
			this.label2.Text = "Download the following file, then click Exit and replace your NyxWokno with the d" +
				"ownloaded files.";
			// 
			// AutoUpdateForm
			// 
			this.AcceptButton = this.btnClose;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.CancelButton = this.btnContinue;
			this.ClientSize = new System.Drawing.Size(418, 279);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.btnContinue);
			this.Controls.Add(this.chkDisableAutoUpdate);
			this.Controls.Add(this.btnClose);
			this.Controls.Add(this.lnkDownload);
			this.Controls.Add(this.txtFeatures);
			this.Controls.Add(this.panel1);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(238)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "AutoUpdateForm";
			this.Text = "NyxWokno - New version available";
			this.panel1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void panel1_Paint(object sender, System.Windows.Forms.PaintEventArgs e) {
			ControlPaint.DrawBorder3D(e.Graphics, panel1.ClientRectangle, Border3DStyle.Etched, Border3DSide.Bottom);
		}

		public static bool CheckForUpdate() {

			if(!Startup.Config.AutoUpdate) return false;

			try {
				Version ver = null;
				string features = string.Empty;
				string url = string.Empty;

				HttpWebRequest request = (HttpWebRequest)WebRequest.Create(UPDATE_SERVICE);

				using(Stream stream = request.GetResponse().GetResponseStream()) {
					XmlDocument info = new XmlDocument();
					info.Load(stream);

					XmlNode node = info.SelectSingleNode("/info/version");
					if(node != null) {
						ver = new Version(node.InnerText.Trim());
					}

					node = info.SelectSingleNode("/info/features");
					if(node != null) {
						features = node.InnerText.Trim();
					}

					node = info.SelectSingleNode("/info/url");
					if(node != null) {
						url = node.InnerText.Trim();
					}
				}
			
				if(ver != null && features.Length > 0 && url.Length > 0 && ver > Assembly.GetExecutingAssembly().GetName().Version) {
					AutoUpdateForm f = new AutoUpdateForm();
					f.lblNewVersion.Text = "Version " + ver.ToString();
					f.txtFeatures.Text = features;
					f.lnkDownload.Text = url;

					if(f.ShowDialog() == DialogResult.OK) {
						Startup.Config.AutoUpdate = !f.chkDisableAutoUpdate.Checked;
						return true;
					} else {
						Startup.Config.AutoUpdate = !f.chkDisableAutoUpdate.Checked;
					}
				}
			} catch {
			}

			return false;
		}

		private static Thread thread = new Thread(new ThreadStart(worker));

		public static void StartAutoUpdater() {
			if(thread.ThreadState != ThreadState.Unstarted) return;

			thread.IsBackground = true;
			thread.Name = "AutoUpdate worker";
			thread.Start();
		}

		private static void worker() {
			while(true) {
				if(CheckForUpdate()) {
					MainForm.theOne.InvokeExit();
				}

				Thread.Sleep(new TimeSpan(Startup.Config.AutoUpdateInterval, 0, 0));
			}
		}

		private void lnkDownload_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e) {
			System.Diagnostics.Process.Start(lnkDownload.Text);
		}
	}
}
