using System;
using System.Collections;
using System.Xml;

namespace jachymko.Nyx.Wokno {

	public class BookWatch {

		private ArrayList watchedTopics = new ArrayList();

		internal BookWatch() {
		}
		
		internal void Load(XmlNode n) {
			string[] ids = new string[0];

			try {
				ids = n.InnerText.Split(';');
			} catch {
			}

			if(ids == null || ids.Length == 0) return;

			watchedTopics.Clear();
			for(int i = 0; i < ids.Length; i++) {
				try {
					watchedTopics.Add(int.Parse(ids[i]));
				} catch {
					continue;
				}
			}
		}

		public bool this[int id] {
			get {
				return watchedTopics.Contains(id);
			}
			set {
				if(value) {
					if(!watchedTopics.Contains(id)) {
						watchedTopics.Add(id);
					}
				} else {
					if(watchedTopics.Contains(id)) {
						watchedTopics.Remove(id);
					}

				}
			}
		}

		internal void Save(XmlTextWriter xtw) {
			xtw.WriteStartElement("watch");
			
			for(int i = 0; i < watchedTopics.Count; i++) {
				xtw.WriteString(((int)watchedTopics[i]).ToString());
				xtw.WriteString(";");
			}

			xtw.WriteEndElement();
		}
	}
}
