using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace jachymko.Nyx.Wokno {

	public class BookmarksForm : System.Windows.Forms.Form {
		

		//
		private jachymko.Nyx.Wokno.BookmarksListBox lstBookmarks;
		private System.Windows.Forms.StatusBar statusBar;
		private System.Windows.Forms.ContextMenu bookMenu;
		private System.Windows.Forms.MenuItem mnuBookWatch;
		private System.Windows.Forms.MenuItem mnuBookOpen;
		private System.Windows.Forms.MenuItem menuItem3;

		private System.ComponentModel.Container components = null;

		public BookmarksForm() {

			InitializeComponent();


			KeyPreview = true;
		}

		protected override void OnKeyDown(KeyEventArgs e) {
			base.OnKeyDown (e);

			if(e.KeyCode == Keys.Escape) {
				Close();
			} else if(e.KeyCode == Keys.Enter) {
				mnuBookOpen_Click(this, EventArgs.Empty);
			}
		}

	
		public Category[] Bookmarks {
			get {
				return lstBookmarks.Bookmarks;
			}
			set {
				lstBookmarks.Bookmarks = value;
				statusBar.Text = string.Format("Unread write-ups: {0}. Right-click a topic and select 'Watch this topic' to be notified on write-ups in this topic",
					lstBookmarks.Unread);
			}
		}


		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if(components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.lstBookmarks = new jachymko.Nyx.Wokno.BookmarksListBox();
			this.bookMenu = new System.Windows.Forms.ContextMenu();
			this.mnuBookOpen = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.mnuBookWatch = new System.Windows.Forms.MenuItem();
			this.statusBar = new System.Windows.Forms.StatusBar();
			this.SuspendLayout();
			// 
			// lstBookmarks
			// 
			this.lstBookmarks.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.lstBookmarks.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(184)), ((System.Byte)(185)), ((System.Byte)(146)));
			this.lstBookmarks.Bookmarks = new jachymko.Nyx.Category[0];
			this.lstBookmarks.ContextMenu = this.bookMenu;
			this.lstBookmarks.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
			this.lstBookmarks.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(238)));
			this.lstBookmarks.IntegralHeight = false;
			this.lstBookmarks.ItemHeight = 19;
			this.lstBookmarks.Location = new System.Drawing.Point(8, 8);
			this.lstBookmarks.Name = "lstBookmarks";
			this.lstBookmarks.Size = new System.Drawing.Size(376, 248);
			this.lstBookmarks.TabIndex = 0;
			this.lstBookmarks.DoubleClick += new System.EventHandler(this.mnuBookOpen_Click);
			// 
			// bookMenu
			// 
			this.bookMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.mnuBookOpen,
																					 this.menuItem3,
																					 this.mnuBookWatch});
			this.bookMenu.Popup += new System.EventHandler(this.bookMenu_Popup);
			// 
			// mnuBookOpen
			// 
			this.mnuBookOpen.DefaultItem = true;
			this.mnuBookOpen.Index = 0;
			this.mnuBookOpen.Text = "&Open in Browser";
			this.mnuBookOpen.Click += new System.EventHandler(this.mnuBookOpen_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 1;
			this.menuItem3.Text = "-";
			// 
			// mnuBookWatch
			// 
			this.mnuBookWatch.Index = 2;
			this.mnuBookWatch.Text = "&Watch this topic";
			this.mnuBookWatch.Click += new System.EventHandler(this.mnuBookWatch_Click);
			// 
			// statusBar
			// 
			this.statusBar.Location = new System.Drawing.Point(0, 255);
			this.statusBar.Name = "statusBar";
			this.statusBar.Size = new System.Drawing.Size(392, 22);
			this.statusBar.TabIndex = 1;
			this.statusBar.Text = "Unread write-ups: 1234";
			// 
			// BookmarksForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(392, 277);
			this.Controls.Add(this.lstBookmarks);
			this.Controls.Add(this.statusBar);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(238)));
			this.Name = "BookmarksForm";
			this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Show;
			this.Text = "Bookmarks";
			this.ResumeLayout(false);

		}
		#endregion

		protected override void OnLoad(EventArgs e) {

			if(Startup.Config.BookSize != Size.Empty) {
				Size = Startup.Config.BookSize;
			}
			if(Startup.Config.BookLocation != Point.Empty) {
				Location = Startup.Config.BookLocation;
			}


			base.OnLoad (e);
		}

		protected override void OnClosing(CancelEventArgs e) {
			Startup.Config.BookSize = Size;
			Startup.Config.BookLocation = Location;

			base.OnClosing (e);

			MainForm.theOne.Activate();
		}

		private void bookMenu_Popup(object sender, System.EventArgs e) {
			if(lstBookmarks.SelectedIndex < 0 || lstBookmarks.Items[lstBookmarks.SelectedIndex] is Category) {
				mnuBookOpen.Enabled = mnuBookWatch.Enabled = false;
				return;
			}


			if(lstBookmarks.Items[lstBookmarks.SelectedIndex] is Topic) {
				Topic t = (Topic)lstBookmarks.Items[lstBookmarks.SelectedIndex];

				mnuBookOpen.Enabled = mnuBookWatch.Enabled = true;
				mnuBookWatch.Checked = Startup.WatchTopic[t.Id];
			}
		}

		private void mnuBookOpen_Click(object sender, System.EventArgs e) {
			if(lstBookmarks.SelectedIndex < 0 || lstBookmarks.Items[lstBookmarks.SelectedIndex] is Category) {
				return;
			}

			WebActions.ViewTopic(((Topic)lstBookmarks.Items[lstBookmarks.SelectedIndex]).Id);
		}

		private void mnuBookWatch_Click(object sender, System.EventArgs e) {
			if(lstBookmarks.SelectedIndex < 0 || lstBookmarks.Items[lstBookmarks.SelectedIndex] is Category) {
				return;
			}

			Topic t = (Topic)lstBookmarks.Items[lstBookmarks.SelectedIndex];
			Startup.WatchTopic[t.Id] = !Startup.WatchTopic[t.Id];
			lstBookmarks.Invalidate();
		}
	}
}

