using System;
using System.Collections;

namespace jachymko.Nyx.Wokno {
	public class MailFormCollection : DictionaryBase {
		private bool online = false;

		public MailFormCollection() {
		}
		public MailForm this[string userName] {
			get {
				return (MailForm)Dictionary[userName];
			}
			set {
				Dictionary[userName] = value;
			}
		}

		public void CloseAll() {
			foreach(MailForm mf in Dictionary.Values) {
				mf.Close();
				mf.Dispose();
			}
		}
//		[Obsolete]
//		public int RefreshInterval {
//			set {
//				foreach(MailForm mf in Dictionary.Values) {
//					if(mf != null) {
//						mf.RefreshInterval = value;
//					}
//				}
//			}
//		}
		public void RefreshAll() {
			foreach(MailForm mf in Dictionary.Values) {
				if(mf != null) {
					mf.ReloadMails();
				}
			}
		}
		[Obsolete]
		public bool Online {
			get {
				return online;
			}
			set {
				online = value;
			}
		}
	}
}
