using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Reflection;
using System.Windows.Forms;
using System.Xml;

namespace jachymko.Nyx.Wokno {
	public class MainForm : System.Windows.Forms.Form {

		public enum NyxStatus {
			Online,
			Offline,
			Away
		}

		private const int ICON_TIMEOUT = 6000;
		private const int BALLOON_TIMEOUT = 7000;

		private static readonly Icon onlineIcon = new Icon(Assembly.GetExecutingAssembly().GetManifestResourceStream("jachymko.Nyx.Wokno.Online.ico"));
		private static readonly Icon offlineIcon = new Icon(Assembly.GetExecutingAssembly().GetManifestResourceStream("jachymko.Nyx.Wokno.Offline.ico"));
		private static readonly Icon mailIcon = new Icon(Assembly.GetExecutingAssembly().GetManifestResourceStream("jachymko.Nyx.Wokno.Mail.ico"));
		private static readonly Icon smileIcon = new Icon(Assembly.GetExecutingAssembly().GetManifestResourceStream("jachymko.Nyx.Wokno.Smile.ico"));
		private static readonly Icon byebyeIcon = new Icon(Assembly.GetExecutingAssembly().GetManifestResourceStream("jachymko.Nyx.Wokno.Papa.ico"));
		private static readonly Icon writeupIcon = new Icon(Assembly.GetExecutingAssembly().GetManifestResourceStream("jachymko.Nyx.Wokno.Writeup.ico"));
		public static MainForm theOne = null;
		internal static Nyx.Witch witch = null;
		internal static MailFormCollection mailForms = new MailFormCollection();
		
		//
		private HistoryForm historyForm = null;
		private BookmarksForm bookForm = null;
		private NotifyIconEx notifyIcon;
		private string currentStatus = string.Empty;
		public NyxStatus connStatus = NyxStatus.Offline;
		private bool forceAway = false;

		//
		private FriendsListBox lstFriends;
		private System.Windows.Forms.MainMenu mainMenu;
		private System.Windows.Forms.MenuItem mnuMain;
		private System.Windows.Forms.MenuItem mnuMainExit;
		private System.Windows.Forms.MenuItem mnuStatus;
		private System.Windows.Forms.MenuItem mnuStatusOnline;
		private System.Windows.Forms.MenuItem mnuStatusOffline;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.ContextMenu notifyMenu;
		private System.Windows.Forms.MenuItem mnuNotifyToggle;
		private System.Windows.Forms.MenuItem mnuNotifyStatus;
		private System.Windows.Forms.MenuItem mnuNotifyStatusOnline;
		private System.Windows.Forms.MenuItem mnuNotifyStatusOffline;
		private System.Windows.Forms.MenuItem menuItem6;
		private System.Windows.Forms.MenuItem mnuNotifyExit;
		private System.Windows.Forms.Timer timerRefresh;
		private System.Windows.Forms.MenuItem mnuMainAbout;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem mnuMainHistory;
		private System.Windows.Forms.ContextMenu friendMenu;
		private System.Windows.Forms.MenuItem mnuFriendSendMail;
		private System.Windows.Forms.MenuItem mnuFriendModifyComment;
		private System.Windows.Forms.MenuItem mnuFriendInfo;
		private System.Windows.Forms.MenuItem mnuFriendSearch;
		private System.Windows.Forms.MenuItem mnuNotifyHistory;
		private System.Windows.Forms.MenuItem mnuNotifyBrowse;
		private System.Windows.Forms.MenuItem menuItem4;
		private System.Windows.Forms.MenuItem mnuMainOptions;
		private System.Windows.Forms.MenuItem mnuMainBookmarks;
		private System.Windows.Forms.MenuItem mnuNotifyBookmarks;
		private System.Windows.Forms.MenuItem mnuMainBrowse;
		private System.Windows.Forms.MenuItem menuItem5;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem mnuFriendBrowserMail;
		private System.Windows.Forms.MenuItem menuItem7;
		private System.Windows.Forms.MenuItem mnuFriendViewBookmarks;
		private System.Windows.Forms.MenuItem mnuFriendComments;
		private System.Windows.Forms.MenuItem mnuFriendViewFriends;
		private System.Windows.Forms.Timer timerAutoAway;
		private System.Windows.Forms.MenuItem mnuStatusAway;
		private System.Windows.Forms.MenuItem mnuNotifyStatusAway;
		private System.ComponentModel.IContainer components;

		public MainForm() {
			InitializeComponent();
		}

		private void WrongPassword() {
			MessageBox.Show("wrong user name or password");
		}
		
		private void CannotConnect() {
			MessageBox.Show("could not connect");
		}

		#region Windows Form Designer generated code

		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void InitializeComponent() {
			this.components = new System.ComponentModel.Container();
			this.lstFriends = new jachymko.Nyx.Wokno.FriendsListBox();
			this.friendMenu = new System.Windows.Forms.ContextMenu();
			this.mnuFriendSendMail = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.mnuFriendBrowserMail = new System.Windows.Forms.MenuItem();
			this.mnuFriendModifyComment = new System.Windows.Forms.MenuItem();
			this.mnuFriendSearch = new System.Windows.Forms.MenuItem();
			this.menuItem7 = new System.Windows.Forms.MenuItem();
			this.mnuFriendInfo = new System.Windows.Forms.MenuItem();
			this.mnuFriendViewBookmarks = new System.Windows.Forms.MenuItem();
			this.mnuFriendComments = new System.Windows.Forms.MenuItem();
			this.mnuFriendViewFriends = new System.Windows.Forms.MenuItem();
			this.mainMenu = new System.Windows.Forms.MainMenu();
			this.mnuMain = new System.Windows.Forms.MenuItem();
			this.mnuMainBookmarks = new System.Windows.Forms.MenuItem();
			this.mnuMainHistory = new System.Windows.Forms.MenuItem();
			this.menuItem5 = new System.Windows.Forms.MenuItem();
			this.mnuMainBrowse = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.mnuMainOptions = new System.Windows.Forms.MenuItem();
			this.mnuMainAbout = new System.Windows.Forms.MenuItem();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.mnuMainExit = new System.Windows.Forms.MenuItem();
			this.mnuStatus = new System.Windows.Forms.MenuItem();
			this.mnuStatusOnline = new System.Windows.Forms.MenuItem();
			this.mnuStatusOffline = new System.Windows.Forms.MenuItem();
			this.notifyMenu = new System.Windows.Forms.ContextMenu();
			this.mnuNotifyToggle = new System.Windows.Forms.MenuItem();
			this.mnuNotifyBookmarks = new System.Windows.Forms.MenuItem();
			this.mnuNotifyHistory = new System.Windows.Forms.MenuItem();
			this.mnuNotifyStatus = new System.Windows.Forms.MenuItem();
			this.mnuNotifyStatusOnline = new System.Windows.Forms.MenuItem();
			this.mnuNotifyStatusOffline = new System.Windows.Forms.MenuItem();
			this.menuItem4 = new System.Windows.Forms.MenuItem();
			this.mnuNotifyBrowse = new System.Windows.Forms.MenuItem();
			this.menuItem6 = new System.Windows.Forms.MenuItem();
			this.mnuNotifyExit = new System.Windows.Forms.MenuItem();
			this.timerRefresh = new System.Windows.Forms.Timer(this.components);
			this.timerAutoAway = new System.Windows.Forms.Timer(this.components);
			this.mnuStatusAway = new System.Windows.Forms.MenuItem();
			this.mnuNotifyStatusAway = new System.Windows.Forms.MenuItem();
			this.SuspendLayout();
			// 
			// lstFriends
			// 
			this.lstFriends.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.lstFriends.ContextMenu = this.friendMenu;
			this.lstFriends.Dock = System.Windows.Forms.DockStyle.Fill;
			this.lstFriends.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
			this.lstFriends.Friends = new jachymko.Nyx.Friend[0];
			this.lstFriends.IntegralHeight = false;
			this.lstFriends.ItemHeight = 50;
			this.lstFriends.Location = new System.Drawing.Point(0, 0);
			this.lstFriends.Name = "lstFriends";
			this.lstFriends.Size = new System.Drawing.Size(208, 340);
			this.lstFriends.TabIndex = 0;
			this.lstFriends.View = jachymko.Nyx.Wokno.FriendsListBoxView.LargeIcons;
			this.lstFriends.MouseDown += new System.Windows.Forms.MouseEventHandler(this.lstFriends_MouseDown);
			this.lstFriends.DoubleClick += new System.EventHandler(this.lstFriends_DoubleClick);
			// 
			// friendMenu
			// 
			this.friendMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					   this.mnuFriendSendMail,
																					   this.menuItem2,
																					   this.mnuFriendBrowserMail,
																					   this.mnuFriendModifyComment,
																					   this.mnuFriendSearch,
																					   this.menuItem7,
																					   this.mnuFriendInfo,
																					   this.mnuFriendViewBookmarks,
																					   this.mnuFriendComments,
																					   this.mnuFriendViewFriends});
			this.friendMenu.Popup += new System.EventHandler(this.friendMenu_Popup);
			// 
			// mnuFriendSendMail
			// 
			this.mnuFriendSendMail.DefaultItem = true;
			this.mnuFriendSendMail.Index = 0;
			this.mnuFriendSendMail.Text = "Send &Mail";
			this.mnuFriendSendMail.Click += new System.EventHandler(this.mnuFriendSendMail_Click);
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 1;
			this.menuItem2.Text = "-";
			// 
			// mnuFriendBrowserMail
			// 
			this.mnuFriendBrowserMail.Index = 2;
			this.mnuFriendBrowserMail.Text = "M&ail in Browser";
			this.mnuFriendBrowserMail.Click += new System.EventHandler(this.mnuFriendBrowserMail_Click);
			// 
			// mnuFriendModifyComment
			// 
			this.mnuFriendModifyComment.Index = 3;
			this.mnuFriendModifyComment.Text = "Modify &Comment";
			this.mnuFriendModifyComment.Click += new System.EventHandler(this.mnuFriendModifyComment_Click);
			// 
			// mnuFriendSearch
			// 
			this.mnuFriendSearch.Index = 4;
			this.mnuFriendSearch.Text = "&Search";
			this.mnuFriendSearch.Click += new System.EventHandler(this.mnuFriendSearch_Click);
			// 
			// menuItem7
			// 
			this.menuItem7.Index = 5;
			this.menuItem7.Text = "-";
			// 
			// mnuFriendInfo
			// 
			this.mnuFriendInfo.Index = 6;
			this.mnuFriendInfo.Text = "View &Info";
			this.mnuFriendInfo.Click += new System.EventHandler(this.mnuFriendInfo_Click);
			// 
			// mnuFriendViewBookmarks
			// 
			this.mnuFriendViewBookmarks.Index = 7;
			this.mnuFriendViewBookmarks.Text = "&View Bookmarks";
			this.mnuFriendViewBookmarks.Click += new System.EventHandler(this.mnuFriendViewBookmarks_Click);
			// 
			// mnuFriendComments
			// 
			this.mnuFriendComments.Index = 8;
			this.mnuFriendComments.Text = "View C&omments";
			this.mnuFriendComments.Click += new System.EventHandler(this.mnuFriendComments_Click);
			// 
			// mnuFriendViewFriends
			// 
			this.mnuFriendViewFriends.Index = 9;
			this.mnuFriendViewFriends.Text = "View &Friends";
			this.mnuFriendViewFriends.Click += new System.EventHandler(this.mnuFriendViewFriends_Click);
			// 
			// mainMenu
			// 
			this.mainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.mnuMain,
																					 this.mnuStatus});
			// 
			// mnuMain
			// 
			this.mnuMain.Index = 0;
			this.mnuMain.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					this.mnuMainBookmarks,
																					this.mnuMainHistory,
																					this.menuItem5,
																					this.mnuMainBrowse,
																					this.menuItem3,
																					this.mnuMainOptions,
																					this.mnuMainAbout,
																					this.menuItem1,
																					this.mnuMainExit});
			this.mnuMain.Text = "<|>";
			// 
			// mnuMainBookmarks
			// 
			this.mnuMainBookmarks.Index = 0;
			this.mnuMainBookmarks.Shortcut = System.Windows.Forms.Shortcut.CtrlB;
			this.mnuMainBookmarks.Text = "&Bookmarks...";
			this.mnuMainBookmarks.Click += new System.EventHandler(this.mnuMainBookmarks_Click);
			// 
			// mnuMainHistory
			// 
			this.mnuMainHistory.Index = 1;
			this.mnuMainHistory.Shortcut = System.Windows.Forms.Shortcut.CtrlH;
			this.mnuMainHistory.Text = "&History...";
			this.mnuMainHistory.Click += new System.EventHandler(this.mnuMainHistory_Click);
			// 
			// menuItem5
			// 
			this.menuItem5.Index = 2;
			this.menuItem5.Text = "-";
			// 
			// mnuMainBrowse
			// 
			this.mnuMainBrowse.Index = 3;
			this.mnuMainBrowse.Text = "B&rowse Nyx...";
			this.mnuMainBrowse.Click += new System.EventHandler(this.mnuNotifyBrowse_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 4;
			this.menuItem3.Text = "-";
			// 
			// mnuMainOptions
			// 
			this.mnuMainOptions.Index = 5;
			this.mnuMainOptions.Text = "&Options...";
			this.mnuMainOptions.Click += new System.EventHandler(this.mnuMainOptions_Click);
			// 
			// mnuMainAbout
			// 
			this.mnuMainAbout.Index = 6;
			this.mnuMainAbout.Text = "&About NyxWokno";
			this.mnuMainAbout.Click += new System.EventHandler(this.mnuMainAbout_Click);
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 7;
			this.menuItem1.Text = "-";
			// 
			// mnuMainExit
			// 
			this.mnuMainExit.Index = 8;
			this.mnuMainExit.Text = "Exit";
			this.mnuMainExit.Click += new System.EventHandler(this.mnuMainExit_Click);
			// 
			// mnuStatus
			// 
			this.mnuStatus.Index = 1;
			this.mnuStatus.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.mnuStatusOnline,
																					  this.mnuStatusOffline,
																					  this.mnuStatusAway});
			this.mnuStatus.Text = "Status";
			// 
			// mnuStatusOnline
			// 
			this.mnuStatusOnline.Index = 0;
			this.mnuStatusOnline.RadioCheck = true;
			this.mnuStatusOnline.Text = "O&nline";
			this.mnuStatusOnline.Click += new System.EventHandler(this.mnuStatusOnline_Click);
			// 
			// mnuStatusOffline
			// 
			this.mnuStatusOffline.Index = 1;
			this.mnuStatusOffline.RadioCheck = true;
			this.mnuStatusOffline.Text = "O&ffline";
			this.mnuStatusOffline.Click += new System.EventHandler(this.mnuStatusOffline_Click);
			// 
			// notifyMenu
			// 
			this.notifyMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					   this.mnuNotifyToggle,
																					   this.mnuNotifyBookmarks,
																					   this.mnuNotifyHistory,
																					   this.mnuNotifyStatus,
																					   this.menuItem4,
																					   this.mnuNotifyBrowse,
																					   this.menuItem6,
																					   this.mnuNotifyExit});
			// 
			// mnuNotifyToggle
			// 
			this.mnuNotifyToggle.DefaultItem = true;
			this.mnuNotifyToggle.Index = 0;
			this.mnuNotifyToggle.Text = "Show/Hide";
			this.mnuNotifyToggle.Click += new System.EventHandler(this.mnuNotifyToggle_Click);
			// 
			// mnuNotifyBookmarks
			// 
			this.mnuNotifyBookmarks.Index = 1;
			this.mnuNotifyBookmarks.Text = "&Bookmarks";
			this.mnuNotifyBookmarks.Click += new System.EventHandler(this.mnuMainBookmarks_Click);
			// 
			// mnuNotifyHistory
			// 
			this.mnuNotifyHistory.Index = 2;
			this.mnuNotifyHistory.Text = "&History";
			this.mnuNotifyHistory.Click += new System.EventHandler(this.mnuMainHistory_Click);
			// 
			// mnuNotifyStatus
			// 
			this.mnuNotifyStatus.Index = 3;
			this.mnuNotifyStatus.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																							this.mnuNotifyStatusOnline,
																							this.mnuNotifyStatusOffline,
																							this.mnuNotifyStatusAway});
			this.mnuNotifyStatus.Text = "&Status";
			// 
			// mnuNotifyStatusOnline
			// 
			this.mnuNotifyStatusOnline.Index = 0;
			this.mnuNotifyStatusOnline.RadioCheck = true;
			this.mnuNotifyStatusOnline.Text = "Online";
			this.mnuNotifyStatusOnline.Click += new System.EventHandler(this.mnuStatusOnline_Click);
			// 
			// mnuNotifyStatusOffline
			// 
			this.mnuNotifyStatusOffline.Index = 1;
			this.mnuNotifyStatusOffline.RadioCheck = true;
			this.mnuNotifyStatusOffline.Text = "Offline";
			this.mnuNotifyStatusOffline.Click += new System.EventHandler(this.mnuStatusOffline_Click);
			// 
			// menuItem4
			// 
			this.menuItem4.Index = 4;
			this.menuItem4.Text = "-";
			// 
			// mnuNotifyBrowse
			// 
			this.mnuNotifyBrowse.Index = 5;
			this.mnuNotifyBrowse.Text = "Browse Nyx";
			this.mnuNotifyBrowse.Click += new System.EventHandler(this.mnuNotifyBrowse_Click);
			// 
			// menuItem6
			// 
			this.menuItem6.Index = 6;
			this.menuItem6.Text = "-";
			// 
			// mnuNotifyExit
			// 
			this.mnuNotifyExit.Index = 7;
			this.mnuNotifyExit.Text = "E&xit";
			this.mnuNotifyExit.Click += new System.EventHandler(this.mnuMainExit_Click);
			// 
			// timerRefresh
			// 
			this.timerRefresh.Interval = 1000;
			this.timerRefresh.Tick += new System.EventHandler(this.timerRefresh_Tick);
			// 
			// timerAutoAway
			// 
			this.timerAutoAway.Interval = 5000;
			this.timerAutoAway.Tick += new System.EventHandler(this.timerAutoAway_Tick);
			// 
			// mnuStatusAway
			// 
			this.mnuStatusAway.Index = 2;
			this.mnuStatusAway.Text = "&Away";
			this.mnuStatusAway.Click += new System.EventHandler(this.mnuNotifyStatusAway_Click);
			// 
			// mnuNotifyStatusAway
			// 
			this.mnuNotifyStatusAway.Index = 2;
			this.mnuNotifyStatusAway.Text = "&Away";
			this.mnuNotifyStatusAway.Click += new System.EventHandler(this.mnuNotifyStatusAway_Click);
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(208, 340);
			this.Controls.Add(this.lstFriends);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(238)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
			this.Menu = this.mainMenu;
			this.Name = "MainForm";
			this.Text = "NyxWokno Offline";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.MainForm_Closing);
			this.ResumeLayout(false);

		}
		#endregion

		protected override void OnLoad(EventArgs e) {
			base.OnLoad (e);

			AutoUpdateForm.StartAutoUpdater();

			if(Startup.Config.Location != Point.Empty) {
				Location = Startup.Config.Location;
			}

			if(Startup.Config.Size != Size.Empty) {
				Size = Startup.Config.Size;
			}

			currentStatus = Startup.Config.LastStatus;

			notifyIcon = new NotifyIconEx();

			notifyIcon.ContextMenu = notifyMenu;
			notifyIcon.Click += new EventHandler(mnuNotifyToggle_Click);
			notifyIcon.BalloonClick +=new EventHandler(BalloonClicked);
			notifyIcon.SingleClickActivation = true;
			notifyIcon.Icon = offlineIcon;
			notifyIcon.Visible = true;

			Init();
		}

		internal void Init() {
//			if(historyForm != null) {
//				historyForm.Dispose();
//			}
//
//			if(bookForm != null) {
//				bookForm.Dispose();
//			}

			mnuStatus.MenuItems.Clear();
			mnuStatus.MenuItems.Add(mnuStatusOnline);
			mnuStatus.MenuItems.Add(mnuStatusOffline);
			mnuStatus.MenuItems.Add(mnuStatusAway);

			if(Startup.Config.UserModes.Count > 0) {
				mnuStatus.MenuItems.Add("-");
			}

			for(int i = 0; i < Startup.Config.UserModes.Count; i++) {
				MenuItem mi = new MenuItem((string)Startup.Config.UserModes[i], new EventHandler(CustomStatusClick));
				mi.RadioCheck = true;

				mnuStatus.MenuItems.Add(mi);
			}

			mnuNotifyStatus.MenuItems.Clear();
			mnuNotifyStatus.MenuItems.Add(mnuNotifyStatusOnline);
			mnuNotifyStatus.MenuItems.Add(mnuNotifyStatusOffline);
			mnuNotifyStatus.MenuItems.Add(mnuNotifyStatusAway);
			
			if(Startup.Config.UserModes.Count > 0) {
				mnuNotifyStatus.MenuItems.Add("-");
			}

			for(int i = 0; i < Startup.Config.UserModes.Count; i++) {
				MenuItem mi = new MenuItem((string)Startup.Config.UserModes[i], new EventHandler(CustomStatusClick));
				mi.RadioCheck = true;

				mnuNotifyStatus.MenuItems.Add(mi);
			}

			TopMost = Startup.Config.AlwaysOnTop;
			ShowInTaskbar = Startup.Config.ShowInTaskbar;
			lstFriends.View = Startup.Config.IconSize;

			if(Startup.Config.Opacity > 0) {
				Opacity = (double)Startup.Config.Opacity / 100d;
			} else {
				Opacity = 1d;
			}

			DoConnect();
	
			timerRefresh.Interval = /*mailForms.RefreshInterval =*/ Startup.Config.RefreshInterval;
			//RefreshHistoryForm();
			RefreshBookmarkForm();
			mailForms.RefreshAll();
		}

		private void DoConnect() {
			if(witch != null) {
				witch.Dispose();
			}

			if(Startup.Config.UserName.Length == 0 || Startup.Config.Password.Length == 0) {
				SetOffline();
				return;
			}

			witch = new Nyx.Witch(Startup.Config.UserName, Startup.Config.Password, Startup.Config.RefreshInterval, Startup.Config.Proxy);

			try {
				if(currentStatus.Length > 0) { 
					witch.UserAgent = "NyxWokno&nbsp;" + ProductVersion + "&nbsp;::&nbsp;" + currentStatus;
				} else {
					witch.UserAgent = "NyxWokno&nbsp;" + ProductVersion;
				}
				witch.Open();
				SetOnline(currentStatus);

				UpdateFriends(witch.ActiveFriends);
			} catch(WrongPasswordException) {
				WrongPassword();
				SetOffline();
			} catch(NetworkException) {
				CannotConnect();
				SetOffline();
			}
			
			witch.Connected +=new EventHandler(witch_Connected);
			witch.Disconnected += new EventHandler(witch_Disconnected);
			witch.NewMail += new NewMailEventHandler(witch_NewMail);
			witch.FriendSignedIn += new FriendEventHandler(witch_FriendSignedIn);
			witch.FriendSignedOut += new FriendEventHandler(witch_FriendSignedOut);
			witch.NewWriteUp += new NewWriteUpEventHandler(witch_NewWriteUp);
		}

		private void UpdateFriends(Friend[] friends) {
			lstFriends.Friends = friends;

			if(Startup.Config.AutoResize) {
				int h = lstFriends.PreferedSize;
				if(h > Startup.Config.AutoResizeMax * Screen.FromControl(this).WorkingArea.Height) {
					h  = (int)(Startup.Config.AutoResizeMax * Screen.FromControl(this).WorkingArea.Height);
				}
				ClientSize = new Size(ClientSize.Width, h);
			}
		}
		private void lstFriends_DoubleClick(object sender, System.EventArgs e) {

			if(lstFriends.SelectedIndex < 0) return;
			
			string userName = lstFriends.Friends[lstFriends.SelectedIndex].UserName;
			OpenMailForm(userName);
		}


		private void mnuStatusOnline_Click(object sender, System.EventArgs e) {
			forceAway = false;
			currentStatus = string.Empty;
			DoConnect();
		}

		private void mnuStatusOffline_Click(object sender, System.EventArgs e) {
			forceAway = false;

			witch.Close();
			SetOffline();
		}

		private void witch_Connected(object sender, EventArgs e) {
			if(InvokeRequired) {
				Invoke(new EventHandler(witch_Connected), new object[] { sender, e });
			} else {
				if(connStatus == NyxStatus.Away) {
					SetAway();
				} else {
					SetOnline(currentStatus);
				}
			}
		}

		private void witch_Disconnected(object sender, EventArgs e) {
			if(InvokeRequired) {
				Invoke(new EventHandler(witch_Disconnected), new object[] { sender, e });
			} else {
				SetOffline();
			}
		}

		private void SetOnline() {
			connStatus = NyxStatus.Online;
			currentStatus = string.Empty;

			Icon = notifyIcon.Icon = onlineIcon;
			Text = notifyIcon.Text = "NyxWokno Online";
			
			timerRefresh.Enabled = true;
			timerAutoAway.Enabled = true;
			
			mailForms.Online = true;

			for(int i = 0; i < mnuStatus.MenuItems.Count; i++) {
				mnuStatus.MenuItems[i].Checked = mnuNotifyStatus.MenuItems[i].Checked = false;
			}

			mnuStatusOffline.Checked = mnuNotifyStatusOffline.Checked = false;
			mnuStatusAway.Checked = mnuNotifyStatusAway.Checked = false;
			mnuStatusOnline.Checked = mnuNotifyStatusOnline.Checked = true;

			witch.UserAgent = "NyxWokno&nbsp;" + ProductVersion;
		}
		private void SetOnline(string status) {
			if(status.Length == 0) {
				SetOnline();
			} else {
				connStatus = NyxStatus.Online;
				currentStatus = status;
				
				Icon = notifyIcon.Icon = onlineIcon;
				Text = notifyIcon.Text = "NyxWokno Online " + status;

				witch.UserAgent = "NyxWokno&nbsp;" + ProductVersion + "&nbsp;" + currentStatus;

				timerRefresh.Enabled = true;
				timerAutoAway.Enabled = true;
				mailForms.Online = true;
			
				mnuStatusOffline.Checked = mnuNotifyStatusOffline.Checked = false;
				mnuStatusOnline.Checked = mnuNotifyStatusOnline.Checked = false;
				mnuStatusAway.Checked = mnuNotifyStatusAway.Checked = false;

				for(int i = 0; i < mnuStatus.MenuItems.Count; i++) {
					if(mnuStatus.MenuItems[i].Text == status) {
						mnuStatus.MenuItems[i].Checked = mnuNotifyStatus.MenuItems[i].Checked = true;
					} else {
						mnuStatus.MenuItems[i].Checked = mnuNotifyStatus.MenuItems[i].Checked = false;
					}
				}
			}
		}
		private void SetAway() {
			Text = notifyIcon.Text = "NyxWokno Away";
			connStatus = NyxStatus.Away;

			witch.UserAgent = "NyxWokno&nbsp;" + ProductVersion + "&nbsp;::&nbsp;away";

			for(int i = 0; i < mnuStatus.MenuItems.Count; i++) {
				mnuStatus.MenuItems[i].Checked = mnuNotifyStatus.MenuItems[i].Checked = false;
			}

			mnuStatusOffline.Checked = mnuNotifyStatusOffline.Checked = false;
			mnuStatusOnline.Checked = mnuNotifyStatusOnline.Checked = false;
			mnuStatusAway.Checked = mnuNotifyStatusAway.Checked = true;
		}
		private void SetOffline() {
			connStatus = NyxStatus.Offline;

			timerRefresh.Stop();
			timerAutoAway.Stop();

			UpdateFriends(new Friend[0]);
			
			Icon = notifyIcon.Icon = offlineIcon;
			Text = notifyIcon.Text = "NyxWokno Offline";
			mailForms.Online = false;

			for(int i = 0; i < mnuStatus.MenuItems.Count; i++) {
				mnuStatus.MenuItems[i].Checked = mnuNotifyStatus.MenuItems[i].Checked = false;
			}

			mnuStatusOffline.Checked = mnuNotifyStatusOffline.Checked = true;
			mnuStatusOnline.Checked = mnuNotifyStatusOnline.Checked = false;
		}

		private void MainForm_Closing(object sender, System.ComponentModel.CancelEventArgs e) {
			e.Cancel = true;
			Hide();
		}

		private void mnuMainExit_Click(object sender, System.EventArgs e) {
			Startup.Config.Size = Size;
			Startup.Config.Location = Location;
			Startup.Config.LastStatus = currentStatus;
			Startup.Config.Save();
			Startup.MailCache.Save();
			Startup.History.Save();

			if(historyForm != null && !historyForm.IsDisposed) {
				historyForm.Close();
				historyForm.Dispose();
			}

			if(bookForm != null && !bookForm.IsDisposed) {
				bookForm.Close();
				bookForm.Dispose();
			}

			if(notifyIcon != null) {
				notifyIcon.Remove();
			}
			Application.Exit();
		}

		private void mnuMainOptions_Click(object sender, System.EventArgs e) {
			using(OptionsForm of = new OptionsForm()) {
				of.ShowDialog(this);
			}
		}

		[System.Runtime.InteropServices.DllImport("user32.dll")]
		private static extern IntPtr GetForegroundWindow();

		private void mnuNotifyToggle_Click(object sender, System.EventArgs e) {
			if(Visible) {
				Hide();
			} else {
				Show();
				WindowState = FormWindowState.Normal;
				Select();
				Focus();
				BringToFront();
				Activate();
			}
		}

		private void timerRefresh_Tick(object sender, System.EventArgs e) {
			Friend[] friends = witch.ActiveFriends;
			
//			RefreshHistoryForm();
			RefreshBookmarkForm();
			mailForms.RefreshAll();

			UpdateFriends(friends);

			for(int i = 0; i < friends.Length; i++) {
				Startup.Config.AllFriends.Add(friends[i].UserName);
			}
		}

		private void witch_NewMail(object sender, NewMailEventArgs args) {

			if(InvokeRequired) {
				Invoke(new NewMailEventHandler(witch_NewMail), new object[] { sender, args });
			} else {
				Startup.MailCache.AddMail(args.Mail);
				
				MailEvent me = Startup.History.AddMailEvent(args.Mail);
				if(historyForm != null && !historyForm.IsDisposed) {
					historyForm.AddMailEvent(me);
				}

				switch(Startup.Config.MailNotify) {
					case Config.NotificationType.ShowWindow:
						OpenMailForm(args.Mail.UserName);
						break;

					case Config.NotificationType.Balloon:
						MailForm.Get(args.Mail.UserName).ReloadMails();

						notifyIcon.Tag = args;
						notifyIcon.ShowBalloon("Message recieved", "from " + args.Mail.UserName.ToUpper(), NotifyIconEx.NotifyInfoFlags.Info, 2500);
						goto case Config.NotificationType.Icon;

					case Config.NotificationType.Icon:
						MailForm.Get(args.Mail.UserName).ReloadMails();

						NotifyEvent ev = new NotifyEvent("New message from " + args.Mail.UserName.ToUpper(), mailIcon, true);
						ev.Tag = args;
						ev.Activated += new EventHandler(NotifyEventActivated);

						notifyIcon.EnqueueEvent(ev);
						break;

					case Config.NotificationType.None:
					default:
						break;
				}
				
			}
		}
		private void witch_FriendSignedIn(object sender, FriendEventArgs args) {
			if(InvokeRequired) {
				Invoke(new FriendEventHandler(witch_FriendSignedIn), new object[] { sender, args });
			} else {
				UpdateFriends(witch.ActiveFriends);

				FriendEvent fe =  Startup.History.AddFriendEvent(args.Friend.UserName, true);
				if(historyForm != null && !historyForm.IsDisposed) {
					historyForm.AddFriendEvent(fe);
				}

				if(!Startup.Config.AllFriends.GetNotifyOnline(args.Friend.UserName)) return;

				switch(Startup.Config.FriendOnlineNotify) {
					case Config.NotificationType.Icon:
						notifyIcon.TimeoutedEvent = new NotifyEvent(args.Friend.UserName + " is online", smileIcon, true, ICON_TIMEOUT);
						break;
					case Config.NotificationType.Balloon:
						notifyIcon.Tag = null;
						notifyIcon.ShowBalloon(args.Friend.UserName, "is online", NotifyIconEx.NotifyInfoFlags.Info, BALLOON_TIMEOUT);
						break;
					case Config.NotificationType.ShowWindow:
					case Config.NotificationType.None:
					default:
						break;
				}				
			}
		}


		private void witch_FriendSignedOut(object sender, FriendEventArgs args) {
			if(InvokeRequired) {
				Invoke(new FriendEventHandler(witch_FriendSignedOut), new object[] { sender, args });
			} else {
				UpdateFriends(witch.ActiveFriends);
				
				FriendEvent fe =  Startup.History.AddFriendEvent(args.Friend.UserName, false);
				if(historyForm != null && !historyForm.IsDisposed) {
					historyForm.AddFriendEvent(fe);
				}

				if(!Startup.Config.AllFriends.GetNotifyOffline(args.Friend.UserName)) return;

				switch(Startup.Config.FriendOfflineNotify) {
					case Config.NotificationType.Icon:
						notifyIcon.TimeoutedEvent = new NotifyEvent(args.Friend.UserName + " is offline", byebyeIcon, true, ICON_TIMEOUT);
						break;
					case Config.NotificationType.Balloon:
						notifyIcon.Tag = null;
						notifyIcon.ShowBalloon(args.Friend.UserName, "is offline", NotifyIconEx.NotifyInfoFlags.Info, BALLOON_TIMEOUT);
						break;
					case Config.NotificationType.ShowWindow:
					case Config.NotificationType.None:
					default:
						break;
				}				
			}
		}

		private void witch_NewWriteUp(object sender, NewWriteUpEventArgs args) {
			if(InvokeRequired) {
				Invoke(new NewWriteUpEventHandler(witch_NewWriteUp), new object[] { sender, args });
			} else {
				RefreshBookmarkForm();

				WriteupEvent we = Startup.History.AddWriteupEvent(args.Topic.Name, args.Topic.Id);
				if(historyForm != null && !historyForm.IsDisposed) {
					historyForm.AddWriteupEvent(we);
				}


				if(Startup.WatchTopic[args.Topic.Id]) {
					string shortName;

					if(args.Topic.Name.Length > 30) {
						shortName = args.Topic.Name.Substring(0, 50) + "...";
					} else {
						shortName = args.Topic.Name;
					}

					switch(Startup.Config.WriteupNotify) {
						case Config.NotificationType.Icon:
							NotifyEvent ne = new NotifyEvent("New write-up in " + shortName, writeupIcon, true, ICON_TIMEOUT);
							ne.Tag = args;
							ne.Activated += new EventHandler(NotifyEventActivated);

							notifyIcon.TimeoutedEvent = ne;
							break;
						case Config.NotificationType.Balloon:
							notifyIcon.Tag = args;

							notifyIcon.ShowBalloon("New write-up", shortName, NotifyIconEx.NotifyInfoFlags.Info, BALLOON_TIMEOUT);
							break;
						case Config.NotificationType.ShowWindow:
						case Config.NotificationType.None:
						default:
							break;
					}
				}
			}
		}
		

		private void mnuMainAbout_Click(object sender, System.EventArgs e) {
			new AboutForm().ShowDialog(this);
		}

		private void mnuMainHistory_Click(object sender, System.EventArgs e) {
			if(historyForm == null || historyForm.IsDisposed) {
				historyForm = new HistoryForm();
			}

			historyForm.Show();
			historyForm.Activate();
		}

		private void RefreshBookmarkForm() {
			if(bookForm == null || bookForm.IsDisposed) return;

			bookForm.Bookmarks = witch.Categories;
		}

		private void mnuFriendSendMail_Click(object sender, System.EventArgs e) {
			if(lstFriends.SelectedIndex < 0) return;

			OpenMailForm( lstFriends.Friends[lstFriends.SelectedIndex].UserName );
		}

		private void lstFriends_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e) {
			for(int i = 0; i < lstFriends.Items.Count; i++) {
				Rectangle rect = lstFriends.GetItemRectangle(i);

				if(lstFriends.ClientRectangle.IntersectsWith(rect) && rect.Contains(e.X, e.Y)) {
					lstFriends.SelectedIndex = i;
					return;
				}
			}

			lstFriends.SelectedIndex = -1;
		}

		private void mnuFriendModifyComment_Click(object sender, System.EventArgs e) {
			if(lstFriends.SelectedIndex < 0) return;

			WebActions.ChangeRemoveComment( lstFriends.Friends[lstFriends.SelectedIndex].UserName );
		}

		private void mnuFriendSearch_Click(object sender, System.EventArgs e) {		
			if(lstFriends.SelectedIndex < 0) return;

			WebActions.Search( lstFriends.Friends[lstFriends.SelectedIndex].UserName );
		}

		private void mnuFriendInfo_Click(object sender, System.EventArgs e) {
			if(lstFriends.SelectedIndex < 0) return;

			WebActions.ViewInfo( lstFriends.Friends[lstFriends.SelectedIndex].UserName );
		}

		private void friendMenu_Popup(object sender, System.EventArgs e) {
			for(int i = 0; i < friendMenu.MenuItems.Count; i++) {
				friendMenu.MenuItems[i].Enabled = (lstFriends.SelectedIndex > -1);
			}
		}

		private void mnuNotifyBrowse_Click(object sender, System.EventArgs e) {
			WebActions.Gateway();
		}

		private void mnuMainBookmarks_Click(object sender, System.EventArgs e) {
			if(bookForm == null || bookForm.IsDisposed) {
				bookForm = new BookmarksForm();
			}

			bookForm.Bookmarks = witch.Categories;
			bookForm.Show();
			bookForm.Activate();
		}

		private int lastBalloonedTopic = -1;
		private void OnWriteUpBalloonClick(object sender, EventArgs e) {
			if(lastBalloonedTopic < 0) return;

			
			lastBalloonedTopic = -1;
		}

		private void NotifyEventActivated(object sender, EventArgs e) {
			if(sender == null || sender.GetType() != typeof(NotifyEvent)) return;
			
			NotifyEvent ne = (NotifyEvent)sender;

			if(ne.Tag != null) {
				if(ne.Tag.GetType() == typeof(NewMailEventArgs)) {
					NewMailEventArgs me = (NewMailEventArgs)ne.Tag;

					OpenMailForm(me.Mail.UserName);
				} else if(ne.Tag.GetType() == typeof(NewWriteUpEventArgs)) {
					NewWriteUpEventArgs we = (NewWriteUpEventArgs)ne.Tag;

					WebActions.ViewTopic(we.Topic.Id);
				}
			}
		}

		private void BalloonClicked(object sender, EventArgs e) {
			if(notifyIcon.Tag == null) return;

			if(notifyIcon.Tag.GetType() == typeof(NewWriteUpEventArgs)) {
				NewWriteUpEventArgs we = (NewWriteUpEventArgs)notifyIcon.Tag;
				
				WebActions.ViewTopic(we.Topic.Id);
			} else if(notifyIcon.Tag.GetType() == typeof(NewMailEventArgs)) {
				NewMailEventArgs me = (NewMailEventArgs)notifyIcon.Tag;

				OpenMailForm(me.Mail.UserName);
			}
		}

		internal void InvokeExit() {
			if(InvokeRequired) {
				Invoke(new EventHandler(mnuMainExit_Click), new object[] { this, EventArgs.Empty });
			} else {
				mnuMainExit_Click(this, EventArgs.Empty);
			}
		}

		internal void OpenMailForm(string userName) {
			//string username = ((NewMailEventArgs)notifyIcon.Tag).Mail.UserName;

			MailForm mf = MailForm.Get(userName);
			mf.ReloadMails();
			mf.Show();
			mf.Activate();
			mf.Focus();
		}

		private void mnuFriendBrowserMail_Click(object sender, System.EventArgs e) {
			if(lstFriends.SelectedIndex < 0) return;

			WebActions.SendMail( lstFriends.Friends[lstFriends.SelectedIndex].UserName );		
		}

		private void mnuFriendViewBookmarks_Click(object sender, System.EventArgs e) {
			if(lstFriends.SelectedIndex < 0) return;

			WebActions.Bookmarks( lstFriends.Friends[lstFriends.SelectedIndex].Id );
		}

		private void mnuFriendViewFriends_Click(object sender, System.EventArgs e) {
			if(lstFriends.SelectedIndex < 0) return;

			WebActions.Friends( lstFriends.Friends[lstFriends.SelectedIndex].Id );
		}

		private void mnuFriendComments_Click(object sender, System.EventArgs e) {
			if(lstFriends.SelectedIndex < 0) return;

			WebActions.Comments( lstFriends.Friends[lstFriends.SelectedIndex].Id );
		}

		private void CustomStatusClick(object sender, EventArgs e) {
			forceAway = false;

			MenuItem mi = (MenuItem)sender;
			SetOnline(mi.Text);
		}

		private void menuItem8_Click(object sender, System.EventArgs e) {
			notifyIcon.TimeoutedEvent = new NotifyEvent("tramtada", Icon, true, 15000);
		}


		private void timerAutoAway_Tick(object sender, System.EventArgs e) {

			System.Diagnostics.Debug.WriteLine("Startup.Config.AutoAwayDelay = " + Startup.Config.AutoAwayDelay.ToString(), "MainForm.timerAutoAway_Tick");

			if((AutoAway.IsScreensaverRunning && Startup.Config.AutoAwayOnScreensaver) ||
				(AutoAway.IsWorkstationLocked && Startup.Config.AutoAwayOnLock) ||
				(AutoAway.MouseStationaryTimer > Startup.Config.AutoAwayDelay)) {

				SetAway();
			} else {
				if(!forceAway) {
					SetOnline(currentStatus);
				}
			}

			System.Diagnostics.Debug.WriteLine(".", "MainForm.timerAutoAway_Tick");
		}

		private void mnuNotifyStatusAway_Click(object sender, System.EventArgs e) {
			forceAway = true;
			SetAway();
		}
	}
}
