﻿using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace jachymko.Nyx.Wokno {

	public class OptionsForm : System.Windows.Forms.Form {
		private System.Windows.Forms.Label lblCategoryTitle;
		private System.Windows.Forms.ListBox lstCategories;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Panel panelConnection;
		private System.Windows.Forms.Label labelUsername;
		private System.Windows.Forms.TextBox txtUsername;
		private System.Windows.Forms.Label labelPassword;
		private System.Windows.Forms.TextBox txtPassword;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.NumericUpDown txtRefreshInterval;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.ComboBox cboIconSize;
		private System.Windows.Forms.Panel panelWindow;
		private System.Windows.Forms.CheckBox chkAlternativeTime;
		private System.Windows.Forms.CheckBox chkAlwaysOnTop;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TrackBar trOpacity;
		private System.Windows.Forms.Panel panelNotifications;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.ComboBox cboMailNotify;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.ComboBox cboFriendOnNotify;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.ComboBox cboFriendOffNotify;
		private System.Windows.Forms.CheckBox chkShowInTaskbar;
		private System.Windows.Forms.Button btnPickOnlineNotify;
		private System.Windows.Forms.Button btnPickOfflineNotify;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.CheckBox chkUseProxy;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.TextBox txtProxyAddress;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.TextBox txtProxyPort;
		private System.Windows.Forms.LinkLabel lnkChangeExternal;
		private System.Windows.Forms.CheckBox chkEncryptMailCache;
		private System.Windows.Forms.CheckBox chkEncryptHistory;
		private System.Windows.Forms.Panel panelParanoia;
		private System.Windows.Forms.CheckBox chkRunAtStartup;
		private System.Windows.Forms.TextBox txtWebPassword;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.ComboBox cboWriteupNotify;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.CheckBox chkEncryptPasswords;
		private System.Windows.Forms.CheckBox chkAutoResize;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.NumericUpDown updAutoResizeMax;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.CheckBox chkAutoUpdate;
		private System.Windows.Forms.Panel panelModes;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Button btnAddUserMode;
		private System.Windows.Forms.Button btnRemoveUserMode;
		private System.Windows.Forms.ListBox lstUserModes;
		private System.Windows.Forms.TextBox txtNewUserMode;
		private System.Windows.Forms.CheckBox chkAwayScreenSaver;
		private System.Windows.Forms.CheckBox chkAwayLock;
		private System.Windows.Forms.CheckBox chkAwayDelay;
		private System.Windows.Forms.Label lblAway;
		private System.Windows.Forms.NumericUpDown updAwayDelay;
		private System.Windows.Forms.Panel panelAutoUpdate;
		private System.Windows.Forms.Label labelAutoUpdateEvery1;
		private System.Windows.Forms.NumericUpDown updAutoUpdateDelay;
		private System.Windows.Forms.Label labelAutoUpdateEvery2;
		private System.ComponentModel.Container components = null;

		public OptionsForm() {
			InitializeComponent();

			panels = new Panel[] { panelConnection, panelAutoUpdate, null, panelWindow, panelNotifications, panelModes, null, panelParanoia };
		}

		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if(components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(OptionsForm));
			this.lblCategoryTitle = new System.Windows.Forms.Label();
			this.lstCategories = new System.Windows.Forms.ListBox();
			this.panel1 = new System.Windows.Forms.Panel();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOK = new System.Windows.Forms.Button();
			this.panelConnection = new System.Windows.Forms.Panel();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.txtProxyAddress = new System.Windows.Forms.TextBox();
			this.label8 = new System.Windows.Forms.Label();
			this.chkUseProxy = new System.Windows.Forms.CheckBox();
			this.label9 = new System.Windows.Forms.Label();
			this.txtProxyPort = new System.Windows.Forms.TextBox();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.txtRefreshInterval = new System.Windows.Forms.NumericUpDown();
			this.txtUsername = new System.Windows.Forms.TextBox();
			this.txtPassword = new System.Windows.Forms.TextBox();
			this.lnkChangeExternal = new System.Windows.Forms.LinkLabel();
			this.labelPassword = new System.Windows.Forms.Label();
			this.labelUsername = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.txtWebPassword = new System.Windows.Forms.TextBox();
			this.label10 = new System.Windows.Forms.Label();
			this.panelWindow = new System.Windows.Forms.Panel();
			this.label14 = new System.Windows.Forms.Label();
			this.updAutoResizeMax = new System.Windows.Forms.NumericUpDown();
			this.label13 = new System.Windows.Forms.Label();
			this.chkAutoResize = new System.Windows.Forms.CheckBox();
			this.chkRunAtStartup = new System.Windows.Forms.CheckBox();
			this.chkShowInTaskbar = new System.Windows.Forms.CheckBox();
			this.trOpacity = new System.Windows.Forms.TrackBar();
			this.label4 = new System.Windows.Forms.Label();
			this.chkAlwaysOnTop = new System.Windows.Forms.CheckBox();
			this.chkAlternativeTime = new System.Windows.Forms.CheckBox();
			this.cboIconSize = new System.Windows.Forms.ComboBox();
			this.label3 = new System.Windows.Forms.Label();
			this.panelNotifications = new System.Windows.Forms.Panel();
			this.label12 = new System.Windows.Forms.Label();
			this.btnPickOnlineNotify = new System.Windows.Forms.Button();
			this.cboMailNotify = new System.Windows.Forms.ComboBox();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.cboFriendOnNotify = new System.Windows.Forms.ComboBox();
			this.label7 = new System.Windows.Forms.Label();
			this.cboFriendOffNotify = new System.Windows.Forms.ComboBox();
			this.btnPickOfflineNotify = new System.Windows.Forms.Button();
			this.cboWriteupNotify = new System.Windows.Forms.ComboBox();
			this.label11 = new System.Windows.Forms.Label();
			this.panelParanoia = new System.Windows.Forms.Panel();
			this.chkEncryptMailCache = new System.Windows.Forms.CheckBox();
			this.chkEncryptHistory = new System.Windows.Forms.CheckBox();
			this.chkEncryptPasswords = new System.Windows.Forms.CheckBox();
			this.chkAutoUpdate = new System.Windows.Forms.CheckBox();
			this.panelModes = new System.Windows.Forms.Panel();
			this.txtNewUserMode = new System.Windows.Forms.TextBox();
			this.btnRemoveUserMode = new System.Windows.Forms.Button();
			this.btnAddUserMode = new System.Windows.Forms.Button();
			this.lstUserModes = new System.Windows.Forms.ListBox();
			this.label15 = new System.Windows.Forms.Label();
			this.chkAwayScreenSaver = new System.Windows.Forms.CheckBox();
			this.chkAwayLock = new System.Windows.Forms.CheckBox();
			this.chkAwayDelay = new System.Windows.Forms.CheckBox();
			this.updAwayDelay = new System.Windows.Forms.NumericUpDown();
			this.lblAway = new System.Windows.Forms.Label();
			this.panelAutoUpdate = new System.Windows.Forms.Panel();
			this.labelAutoUpdateEvery1 = new System.Windows.Forms.Label();
			this.updAutoUpdateDelay = new System.Windows.Forms.NumericUpDown();
			this.labelAutoUpdateEvery2 = new System.Windows.Forms.Label();
			this.panel1.SuspendLayout();
			this.panelConnection.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.groupBox1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.txtRefreshInterval)).BeginInit();
			this.panelWindow.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.updAutoResizeMax)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.trOpacity)).BeginInit();
			this.panelNotifications.SuspendLayout();
			this.panelParanoia.SuspendLayout();
			this.panelModes.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.updAwayDelay)).BeginInit();
			this.panelAutoUpdate.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.updAutoUpdateDelay)).BeginInit();
			this.SuspendLayout();
			// 
			// lblCategoryTitle
			// 
			this.lblCategoryTitle.AccessibleDescription = resources.GetString("lblCategoryTitle.AccessibleDescription");
			this.lblCategoryTitle.AccessibleName = resources.GetString("lblCategoryTitle.AccessibleName");
			this.lblCategoryTitle.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblCategoryTitle.Anchor")));
			this.lblCategoryTitle.AutoSize = ((bool)(resources.GetObject("lblCategoryTitle.AutoSize")));
			this.lblCategoryTitle.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblCategoryTitle.Dock")));
			this.lblCategoryTitle.Enabled = ((bool)(resources.GetObject("lblCategoryTitle.Enabled")));
			this.lblCategoryTitle.Font = ((System.Drawing.Font)(resources.GetObject("lblCategoryTitle.Font")));
			this.lblCategoryTitle.Image = ((System.Drawing.Image)(resources.GetObject("lblCategoryTitle.Image")));
			this.lblCategoryTitle.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblCategoryTitle.ImageAlign")));
			this.lblCategoryTitle.ImageIndex = ((int)(resources.GetObject("lblCategoryTitle.ImageIndex")));
			this.lblCategoryTitle.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblCategoryTitle.ImeMode")));
			this.lblCategoryTitle.Location = ((System.Drawing.Point)(resources.GetObject("lblCategoryTitle.Location")));
			this.lblCategoryTitle.Name = "lblCategoryTitle";
			this.lblCategoryTitle.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblCategoryTitle.RightToLeft")));
			this.lblCategoryTitle.Size = ((System.Drawing.Size)(resources.GetObject("lblCategoryTitle.Size")));
			this.lblCategoryTitle.TabIndex = ((int)(resources.GetObject("lblCategoryTitle.TabIndex")));
			this.lblCategoryTitle.Text = resources.GetString("lblCategoryTitle.Text");
			this.lblCategoryTitle.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblCategoryTitle.TextAlign")));
			this.lblCategoryTitle.Visible = ((bool)(resources.GetObject("lblCategoryTitle.Visible")));
			// 
			// lstCategories
			// 
			this.lstCategories.AccessibleDescription = resources.GetString("lstCategories.AccessibleDescription");
			this.lstCategories.AccessibleName = resources.GetString("lstCategories.AccessibleName");
			this.lstCategories.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lstCategories.Anchor")));
			this.lstCategories.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("lstCategories.BackgroundImage")));
			this.lstCategories.ColumnWidth = ((int)(resources.GetObject("lstCategories.ColumnWidth")));
			this.lstCategories.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lstCategories.Dock")));
			this.lstCategories.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawVariable;
			this.lstCategories.Enabled = ((bool)(resources.GetObject("lstCategories.Enabled")));
			this.lstCategories.Font = ((System.Drawing.Font)(resources.GetObject("lstCategories.Font")));
			this.lstCategories.HorizontalExtent = ((int)(resources.GetObject("lstCategories.HorizontalExtent")));
			this.lstCategories.HorizontalScrollbar = ((bool)(resources.GetObject("lstCategories.HorizontalScrollbar")));
			this.lstCategories.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lstCategories.ImeMode")));
			this.lstCategories.IntegralHeight = ((bool)(resources.GetObject("lstCategories.IntegralHeight")));
			this.lstCategories.ItemHeight = ((int)(resources.GetObject("lstCategories.ItemHeight")));
			this.lstCategories.Items.AddRange(new object[] {
															   resources.GetString("lstCategories.Items"),
															   resources.GetString("lstCategories.Items1"),
															   resources.GetString("lstCategories.Items2"),
															   resources.GetString("lstCategories.Items3"),
															   resources.GetString("lstCategories.Items4"),
															   resources.GetString("lstCategories.Items5"),
															   resources.GetString("lstCategories.Items6"),
															   resources.GetString("lstCategories.Items7")});
			this.lstCategories.Location = ((System.Drawing.Point)(resources.GetObject("lstCategories.Location")));
			this.lstCategories.Name = "lstCategories";
			this.lstCategories.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lstCategories.RightToLeft")));
			this.lstCategories.ScrollAlwaysVisible = ((bool)(resources.GetObject("lstCategories.ScrollAlwaysVisible")));
			this.lstCategories.Size = ((System.Drawing.Size)(resources.GetObject("lstCategories.Size")));
			this.lstCategories.TabIndex = ((int)(resources.GetObject("lstCategories.TabIndex")));
			this.lstCategories.Visible = ((bool)(resources.GetObject("lstCategories.Visible")));
			this.lstCategories.MeasureItem += new System.Windows.Forms.MeasureItemEventHandler(this.lstCategories_MeasureItem);
			this.lstCategories.DrawItem += new System.Windows.Forms.DrawItemEventHandler(this.lstCategories_DrawItem);
			this.lstCategories.SelectedIndexChanged += new System.EventHandler(this.lstCategories_SelectedIndexChanged);
			// 
			// panel1
			// 
			this.panel1.AccessibleDescription = resources.GetString("panel1.AccessibleDescription");
			this.panel1.AccessibleName = resources.GetString("panel1.AccessibleName");
			this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panel1.Anchor")));
			this.panel1.AutoScroll = ((bool)(resources.GetObject("panel1.AutoScroll")));
			this.panel1.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panel1.AutoScrollMargin")));
			this.panel1.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panel1.AutoScrollMinSize")));
			this.panel1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panel1.BackgroundImage")));
			this.panel1.Controls.Add(this.btnCancel);
			this.panel1.Controls.Add(this.btnOK);
			this.panel1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panel1.Dock")));
			this.panel1.Enabled = ((bool)(resources.GetObject("panel1.Enabled")));
			this.panel1.Font = ((System.Drawing.Font)(resources.GetObject("panel1.Font")));
			this.panel1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panel1.ImeMode")));
			this.panel1.Location = ((System.Drawing.Point)(resources.GetObject("panel1.Location")));
			this.panel1.Name = "panel1";
			this.panel1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panel1.RightToLeft")));
			this.panel1.Size = ((System.Drawing.Size)(resources.GetObject("panel1.Size")));
			this.panel1.TabIndex = ((int)(resources.GetObject("panel1.TabIndex")));
			this.panel1.Text = resources.GetString("panel1.Text");
			this.panel1.Visible = ((bool)(resources.GetObject("panel1.Visible")));
			// 
			// btnCancel
			// 
			this.btnCancel.AccessibleDescription = resources.GetString("btnCancel.AccessibleDescription");
			this.btnCancel.AccessibleName = resources.GetString("btnCancel.AccessibleName");
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnCancel.Anchor")));
			this.btnCancel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnCancel.BackgroundImage")));
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnCancel.Dock")));
			this.btnCancel.Enabled = ((bool)(resources.GetObject("btnCancel.Enabled")));
			this.btnCancel.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnCancel.FlatStyle")));
			this.btnCancel.Font = ((System.Drawing.Font)(resources.GetObject("btnCancel.Font")));
			this.btnCancel.Image = ((System.Drawing.Image)(resources.GetObject("btnCancel.Image")));
			this.btnCancel.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnCancel.ImageAlign")));
			this.btnCancel.ImageIndex = ((int)(resources.GetObject("btnCancel.ImageIndex")));
			this.btnCancel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnCancel.ImeMode")));
			this.btnCancel.Location = ((System.Drawing.Point)(resources.GetObject("btnCancel.Location")));
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnCancel.RightToLeft")));
			this.btnCancel.Size = ((System.Drawing.Size)(resources.GetObject("btnCancel.Size")));
			this.btnCancel.TabIndex = ((int)(resources.GetObject("btnCancel.TabIndex")));
			this.btnCancel.Text = resources.GetString("btnCancel.Text");
			this.btnCancel.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnCancel.TextAlign")));
			this.btnCancel.Visible = ((bool)(resources.GetObject("btnCancel.Visible")));
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// btnOK
			// 
			this.btnOK.AccessibleDescription = resources.GetString("btnOK.AccessibleDescription");
			this.btnOK.AccessibleName = resources.GetString("btnOK.AccessibleName");
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnOK.Anchor")));
			this.btnOK.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnOK.BackgroundImage")));
			this.btnOK.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnOK.Dock")));
			this.btnOK.Enabled = ((bool)(resources.GetObject("btnOK.Enabled")));
			this.btnOK.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnOK.FlatStyle")));
			this.btnOK.Font = ((System.Drawing.Font)(resources.GetObject("btnOK.Font")));
			this.btnOK.Image = ((System.Drawing.Image)(resources.GetObject("btnOK.Image")));
			this.btnOK.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnOK.ImageAlign")));
			this.btnOK.ImageIndex = ((int)(resources.GetObject("btnOK.ImageIndex")));
			this.btnOK.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnOK.ImeMode")));
			this.btnOK.Location = ((System.Drawing.Point)(resources.GetObject("btnOK.Location")));
			this.btnOK.Name = "btnOK";
			this.btnOK.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnOK.RightToLeft")));
			this.btnOK.Size = ((System.Drawing.Size)(resources.GetObject("btnOK.Size")));
			this.btnOK.TabIndex = ((int)(resources.GetObject("btnOK.TabIndex")));
			this.btnOK.Text = resources.GetString("btnOK.Text");
			this.btnOK.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnOK.TextAlign")));
			this.btnOK.Visible = ((bool)(resources.GetObject("btnOK.Visible")));
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// panelConnection
			// 
			this.panelConnection.AccessibleDescription = resources.GetString("panelConnection.AccessibleDescription");
			this.panelConnection.AccessibleName = resources.GetString("panelConnection.AccessibleName");
			this.panelConnection.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panelConnection.Anchor")));
			this.panelConnection.AutoScroll = ((bool)(resources.GetObject("panelConnection.AutoScroll")));
			this.panelConnection.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panelConnection.AutoScrollMargin")));
			this.panelConnection.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panelConnection.AutoScrollMinSize")));
			this.panelConnection.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panelConnection.BackgroundImage")));
			this.panelConnection.Controls.Add(this.groupBox2);
			this.panelConnection.Controls.Add(this.groupBox1);
			this.panelConnection.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panelConnection.Dock")));
			this.panelConnection.Enabled = ((bool)(resources.GetObject("panelConnection.Enabled")));
			this.panelConnection.Font = ((System.Drawing.Font)(resources.GetObject("panelConnection.Font")));
			this.panelConnection.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panelConnection.ImeMode")));
			this.panelConnection.Location = ((System.Drawing.Point)(resources.GetObject("panelConnection.Location")));
			this.panelConnection.Name = "panelConnection";
			this.panelConnection.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panelConnection.RightToLeft")));
			this.panelConnection.Size = ((System.Drawing.Size)(resources.GetObject("panelConnection.Size")));
			this.panelConnection.TabIndex = ((int)(resources.GetObject("panelConnection.TabIndex")));
			this.panelConnection.Text = resources.GetString("panelConnection.Text");
			this.panelConnection.Visible = ((bool)(resources.GetObject("panelConnection.Visible")));
			// 
			// groupBox2
			// 
			this.groupBox2.AccessibleDescription = resources.GetString("groupBox2.AccessibleDescription");
			this.groupBox2.AccessibleName = resources.GetString("groupBox2.AccessibleName");
			this.groupBox2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("groupBox2.Anchor")));
			this.groupBox2.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("groupBox2.BackgroundImage")));
			this.groupBox2.Controls.Add(this.txtProxyAddress);
			this.groupBox2.Controls.Add(this.label8);
			this.groupBox2.Controls.Add(this.chkUseProxy);
			this.groupBox2.Controls.Add(this.label9);
			this.groupBox2.Controls.Add(this.txtProxyPort);
			this.groupBox2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("groupBox2.Dock")));
			this.groupBox2.Enabled = ((bool)(resources.GetObject("groupBox2.Enabled")));
			this.groupBox2.Font = ((System.Drawing.Font)(resources.GetObject("groupBox2.Font")));
			this.groupBox2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("groupBox2.ImeMode")));
			this.groupBox2.Location = ((System.Drawing.Point)(resources.GetObject("groupBox2.Location")));
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("groupBox2.RightToLeft")));
			this.groupBox2.Size = ((System.Drawing.Size)(resources.GetObject("groupBox2.Size")));
			this.groupBox2.TabIndex = ((int)(resources.GetObject("groupBox2.TabIndex")));
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = resources.GetString("groupBox2.Text");
			this.groupBox2.Visible = ((bool)(resources.GetObject("groupBox2.Visible")));
			// 
			// txtProxyAddress
			// 
			this.txtProxyAddress.AccessibleDescription = resources.GetString("txtProxyAddress.AccessibleDescription");
			this.txtProxyAddress.AccessibleName = resources.GetString("txtProxyAddress.AccessibleName");
			this.txtProxyAddress.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("txtProxyAddress.Anchor")));
			this.txtProxyAddress.AutoSize = ((bool)(resources.GetObject("txtProxyAddress.AutoSize")));
			this.txtProxyAddress.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("txtProxyAddress.BackgroundImage")));
			this.txtProxyAddress.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("txtProxyAddress.Dock")));
			this.txtProxyAddress.Enabled = ((bool)(resources.GetObject("txtProxyAddress.Enabled")));
			this.txtProxyAddress.Font = ((System.Drawing.Font)(resources.GetObject("txtProxyAddress.Font")));
			this.txtProxyAddress.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("txtProxyAddress.ImeMode")));
			this.txtProxyAddress.Location = ((System.Drawing.Point)(resources.GetObject("txtProxyAddress.Location")));
			this.txtProxyAddress.MaxLength = ((int)(resources.GetObject("txtProxyAddress.MaxLength")));
			this.txtProxyAddress.Multiline = ((bool)(resources.GetObject("txtProxyAddress.Multiline")));
			this.txtProxyAddress.Name = "txtProxyAddress";
			this.txtProxyAddress.PasswordChar = ((char)(resources.GetObject("txtProxyAddress.PasswordChar")));
			this.txtProxyAddress.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("txtProxyAddress.RightToLeft")));
			this.txtProxyAddress.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("txtProxyAddress.ScrollBars")));
			this.txtProxyAddress.Size = ((System.Drawing.Size)(resources.GetObject("txtProxyAddress.Size")));
			this.txtProxyAddress.TabIndex = ((int)(resources.GetObject("txtProxyAddress.TabIndex")));
			this.txtProxyAddress.Text = resources.GetString("txtProxyAddress.Text");
			this.txtProxyAddress.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("txtProxyAddress.TextAlign")));
			this.txtProxyAddress.Visible = ((bool)(resources.GetObject("txtProxyAddress.Visible")));
			this.txtProxyAddress.WordWrap = ((bool)(resources.GetObject("txtProxyAddress.WordWrap")));
			// 
			// label8
			// 
			this.label8.AccessibleDescription = resources.GetString("label8.AccessibleDescription");
			this.label8.AccessibleName = resources.GetString("label8.AccessibleName");
			this.label8.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label8.Anchor")));
			this.label8.AutoSize = ((bool)(resources.GetObject("label8.AutoSize")));
			this.label8.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label8.Dock")));
			this.label8.Enabled = ((bool)(resources.GetObject("label8.Enabled")));
			this.label8.Font = ((System.Drawing.Font)(resources.GetObject("label8.Font")));
			this.label8.Image = ((System.Drawing.Image)(resources.GetObject("label8.Image")));
			this.label8.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label8.ImageAlign")));
			this.label8.ImageIndex = ((int)(resources.GetObject("label8.ImageIndex")));
			this.label8.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label8.ImeMode")));
			this.label8.Location = ((System.Drawing.Point)(resources.GetObject("label8.Location")));
			this.label8.Name = "label8";
			this.label8.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label8.RightToLeft")));
			this.label8.Size = ((System.Drawing.Size)(resources.GetObject("label8.Size")));
			this.label8.TabIndex = ((int)(resources.GetObject("label8.TabIndex")));
			this.label8.Text = resources.GetString("label8.Text");
			this.label8.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label8.TextAlign")));
			this.label8.Visible = ((bool)(resources.GetObject("label8.Visible")));
			// 
			// chkUseProxy
			// 
			this.chkUseProxy.AccessibleDescription = resources.GetString("chkUseProxy.AccessibleDescription");
			this.chkUseProxy.AccessibleName = resources.GetString("chkUseProxy.AccessibleName");
			this.chkUseProxy.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkUseProxy.Anchor")));
			this.chkUseProxy.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkUseProxy.Appearance")));
			this.chkUseProxy.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkUseProxy.BackgroundImage")));
			this.chkUseProxy.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkUseProxy.CheckAlign")));
			this.chkUseProxy.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkUseProxy.Dock")));
			this.chkUseProxy.Enabled = ((bool)(resources.GetObject("chkUseProxy.Enabled")));
			this.chkUseProxy.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkUseProxy.FlatStyle")));
			this.chkUseProxy.Font = ((System.Drawing.Font)(resources.GetObject("chkUseProxy.Font")));
			this.chkUseProxy.Image = ((System.Drawing.Image)(resources.GetObject("chkUseProxy.Image")));
			this.chkUseProxy.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkUseProxy.ImageAlign")));
			this.chkUseProxy.ImageIndex = ((int)(resources.GetObject("chkUseProxy.ImageIndex")));
			this.chkUseProxy.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkUseProxy.ImeMode")));
			this.chkUseProxy.Location = ((System.Drawing.Point)(resources.GetObject("chkUseProxy.Location")));
			this.chkUseProxy.Name = "chkUseProxy";
			this.chkUseProxy.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkUseProxy.RightToLeft")));
			this.chkUseProxy.Size = ((System.Drawing.Size)(resources.GetObject("chkUseProxy.Size")));
			this.chkUseProxy.TabIndex = ((int)(resources.GetObject("chkUseProxy.TabIndex")));
			this.chkUseProxy.Text = resources.GetString("chkUseProxy.Text");
			this.chkUseProxy.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkUseProxy.TextAlign")));
			this.chkUseProxy.Visible = ((bool)(resources.GetObject("chkUseProxy.Visible")));
			this.chkUseProxy.CheckedChanged += new System.EventHandler(this.chkUseProxy_CheckedChanged);
			// 
			// label9
			// 
			this.label9.AccessibleDescription = resources.GetString("label9.AccessibleDescription");
			this.label9.AccessibleName = resources.GetString("label9.AccessibleName");
			this.label9.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label9.Anchor")));
			this.label9.AutoSize = ((bool)(resources.GetObject("label9.AutoSize")));
			this.label9.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label9.Dock")));
			this.label9.Enabled = ((bool)(resources.GetObject("label9.Enabled")));
			this.label9.Font = ((System.Drawing.Font)(resources.GetObject("label9.Font")));
			this.label9.Image = ((System.Drawing.Image)(resources.GetObject("label9.Image")));
			this.label9.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label9.ImageAlign")));
			this.label9.ImageIndex = ((int)(resources.GetObject("label9.ImageIndex")));
			this.label9.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label9.ImeMode")));
			this.label9.Location = ((System.Drawing.Point)(resources.GetObject("label9.Location")));
			this.label9.Name = "label9";
			this.label9.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label9.RightToLeft")));
			this.label9.Size = ((System.Drawing.Size)(resources.GetObject("label9.Size")));
			this.label9.TabIndex = ((int)(resources.GetObject("label9.TabIndex")));
			this.label9.Text = resources.GetString("label9.Text");
			this.label9.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label9.TextAlign")));
			this.label9.Visible = ((bool)(resources.GetObject("label9.Visible")));
			// 
			// txtProxyPort
			// 
			this.txtProxyPort.AccessibleDescription = resources.GetString("txtProxyPort.AccessibleDescription");
			this.txtProxyPort.AccessibleName = resources.GetString("txtProxyPort.AccessibleName");
			this.txtProxyPort.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("txtProxyPort.Anchor")));
			this.txtProxyPort.AutoSize = ((bool)(resources.GetObject("txtProxyPort.AutoSize")));
			this.txtProxyPort.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("txtProxyPort.BackgroundImage")));
			this.txtProxyPort.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("txtProxyPort.Dock")));
			this.txtProxyPort.Enabled = ((bool)(resources.GetObject("txtProxyPort.Enabled")));
			this.txtProxyPort.Font = ((System.Drawing.Font)(resources.GetObject("txtProxyPort.Font")));
			this.txtProxyPort.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("txtProxyPort.ImeMode")));
			this.txtProxyPort.Location = ((System.Drawing.Point)(resources.GetObject("txtProxyPort.Location")));
			this.txtProxyPort.MaxLength = ((int)(resources.GetObject("txtProxyPort.MaxLength")));
			this.txtProxyPort.Multiline = ((bool)(resources.GetObject("txtProxyPort.Multiline")));
			this.txtProxyPort.Name = "txtProxyPort";
			this.txtProxyPort.PasswordChar = ((char)(resources.GetObject("txtProxyPort.PasswordChar")));
			this.txtProxyPort.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("txtProxyPort.RightToLeft")));
			this.txtProxyPort.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("txtProxyPort.ScrollBars")));
			this.txtProxyPort.Size = ((System.Drawing.Size)(resources.GetObject("txtProxyPort.Size")));
			this.txtProxyPort.TabIndex = ((int)(resources.GetObject("txtProxyPort.TabIndex")));
			this.txtProxyPort.Text = resources.GetString("txtProxyPort.Text");
			this.txtProxyPort.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("txtProxyPort.TextAlign")));
			this.txtProxyPort.Visible = ((bool)(resources.GetObject("txtProxyPort.Visible")));
			this.txtProxyPort.WordWrap = ((bool)(resources.GetObject("txtProxyPort.WordWrap")));
			// 
			// groupBox1
			// 
			this.groupBox1.AccessibleDescription = resources.GetString("groupBox1.AccessibleDescription");
			this.groupBox1.AccessibleName = resources.GetString("groupBox1.AccessibleName");
			this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("groupBox1.Anchor")));
			this.groupBox1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("groupBox1.BackgroundImage")));
			this.groupBox1.Controls.Add(this.txtRefreshInterval);
			this.groupBox1.Controls.Add(this.txtUsername);
			this.groupBox1.Controls.Add(this.txtPassword);
			this.groupBox1.Controls.Add(this.lnkChangeExternal);
			this.groupBox1.Controls.Add(this.labelPassword);
			this.groupBox1.Controls.Add(this.labelUsername);
			this.groupBox1.Controls.Add(this.label1);
			this.groupBox1.Controls.Add(this.label2);
			this.groupBox1.Controls.Add(this.txtWebPassword);
			this.groupBox1.Controls.Add(this.label10);
			this.groupBox1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("groupBox1.Dock")));
			this.groupBox1.Enabled = ((bool)(resources.GetObject("groupBox1.Enabled")));
			this.groupBox1.Font = ((System.Drawing.Font)(resources.GetObject("groupBox1.Font")));
			this.groupBox1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("groupBox1.ImeMode")));
			this.groupBox1.Location = ((System.Drawing.Point)(resources.GetObject("groupBox1.Location")));
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("groupBox1.RightToLeft")));
			this.groupBox1.Size = ((System.Drawing.Size)(resources.GetObject("groupBox1.Size")));
			this.groupBox1.TabIndex = ((int)(resources.GetObject("groupBox1.TabIndex")));
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = resources.GetString("groupBox1.Text");
			this.groupBox1.Visible = ((bool)(resources.GetObject("groupBox1.Visible")));
			// 
			// txtRefreshInterval
			// 
			this.txtRefreshInterval.AccessibleDescription = resources.GetString("txtRefreshInterval.AccessibleDescription");
			this.txtRefreshInterval.AccessibleName = resources.GetString("txtRefreshInterval.AccessibleName");
			this.txtRefreshInterval.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("txtRefreshInterval.Anchor")));
			this.txtRefreshInterval.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("txtRefreshInterval.Dock")));
			this.txtRefreshInterval.Enabled = ((bool)(resources.GetObject("txtRefreshInterval.Enabled")));
			this.txtRefreshInterval.Font = ((System.Drawing.Font)(resources.GetObject("txtRefreshInterval.Font")));
			this.txtRefreshInterval.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("txtRefreshInterval.ImeMode")));
			this.txtRefreshInterval.Increment = new System.Decimal(new int[] {
																				 10,
																				 0,
																				 0,
																				 0});
			this.txtRefreshInterval.Location = ((System.Drawing.Point)(resources.GetObject("txtRefreshInterval.Location")));
			this.txtRefreshInterval.Maximum = new System.Decimal(new int[] {
																			   600,
																			   0,
																			   0,
																			   0});
			this.txtRefreshInterval.Minimum = new System.Decimal(new int[] {
																			   10,
																			   0,
																			   0,
																			   0});
			this.txtRefreshInterval.Name = "txtRefreshInterval";
			this.txtRefreshInterval.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("txtRefreshInterval.RightToLeft")));
			this.txtRefreshInterval.Size = ((System.Drawing.Size)(resources.GetObject("txtRefreshInterval.Size")));
			this.txtRefreshInterval.TabIndex = ((int)(resources.GetObject("txtRefreshInterval.TabIndex")));
			this.txtRefreshInterval.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("txtRefreshInterval.TextAlign")));
			this.txtRefreshInterval.ThousandsSeparator = ((bool)(resources.GetObject("txtRefreshInterval.ThousandsSeparator")));
			this.txtRefreshInterval.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("txtRefreshInterval.UpDownAlign")));
			this.txtRefreshInterval.Value = new System.Decimal(new int[] {
																			 10,
																			 0,
																			 0,
																			 0});
			this.txtRefreshInterval.Visible = ((bool)(resources.GetObject("txtRefreshInterval.Visible")));
			// 
			// txtUsername
			// 
			this.txtUsername.AccessibleDescription = resources.GetString("txtUsername.AccessibleDescription");
			this.txtUsername.AccessibleName = resources.GetString("txtUsername.AccessibleName");
			this.txtUsername.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("txtUsername.Anchor")));
			this.txtUsername.AutoSize = ((bool)(resources.GetObject("txtUsername.AutoSize")));
			this.txtUsername.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("txtUsername.BackgroundImage")));
			this.txtUsername.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("txtUsername.Dock")));
			this.txtUsername.Enabled = ((bool)(resources.GetObject("txtUsername.Enabled")));
			this.txtUsername.Font = ((System.Drawing.Font)(resources.GetObject("txtUsername.Font")));
			this.txtUsername.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("txtUsername.ImeMode")));
			this.txtUsername.Location = ((System.Drawing.Point)(resources.GetObject("txtUsername.Location")));
			this.txtUsername.MaxLength = ((int)(resources.GetObject("txtUsername.MaxLength")));
			this.txtUsername.Multiline = ((bool)(resources.GetObject("txtUsername.Multiline")));
			this.txtUsername.Name = "txtUsername";
			this.txtUsername.PasswordChar = ((char)(resources.GetObject("txtUsername.PasswordChar")));
			this.txtUsername.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("txtUsername.RightToLeft")));
			this.txtUsername.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("txtUsername.ScrollBars")));
			this.txtUsername.Size = ((System.Drawing.Size)(resources.GetObject("txtUsername.Size")));
			this.txtUsername.TabIndex = ((int)(resources.GetObject("txtUsername.TabIndex")));
			this.txtUsername.Text = resources.GetString("txtUsername.Text");
			this.txtUsername.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("txtUsername.TextAlign")));
			this.txtUsername.Visible = ((bool)(resources.GetObject("txtUsername.Visible")));
			this.txtUsername.WordWrap = ((bool)(resources.GetObject("txtUsername.WordWrap")));
			// 
			// txtPassword
			// 
			this.txtPassword.AccessibleDescription = resources.GetString("txtPassword.AccessibleDescription");
			this.txtPassword.AccessibleName = resources.GetString("txtPassword.AccessibleName");
			this.txtPassword.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("txtPassword.Anchor")));
			this.txtPassword.AutoSize = ((bool)(resources.GetObject("txtPassword.AutoSize")));
			this.txtPassword.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("txtPassword.BackgroundImage")));
			this.txtPassword.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("txtPassword.Dock")));
			this.txtPassword.Enabled = ((bool)(resources.GetObject("txtPassword.Enabled")));
			this.txtPassword.Font = ((System.Drawing.Font)(resources.GetObject("txtPassword.Font")));
			this.txtPassword.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("txtPassword.ImeMode")));
			this.txtPassword.Location = ((System.Drawing.Point)(resources.GetObject("txtPassword.Location")));
			this.txtPassword.MaxLength = ((int)(resources.GetObject("txtPassword.MaxLength")));
			this.txtPassword.Multiline = ((bool)(resources.GetObject("txtPassword.Multiline")));
			this.txtPassword.Name = "txtPassword";
			this.txtPassword.PasswordChar = ((char)(resources.GetObject("txtPassword.PasswordChar")));
			this.txtPassword.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("txtPassword.RightToLeft")));
			this.txtPassword.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("txtPassword.ScrollBars")));
			this.txtPassword.Size = ((System.Drawing.Size)(resources.GetObject("txtPassword.Size")));
			this.txtPassword.TabIndex = ((int)(resources.GetObject("txtPassword.TabIndex")));
			this.txtPassword.Text = resources.GetString("txtPassword.Text");
			this.txtPassword.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("txtPassword.TextAlign")));
			this.txtPassword.Visible = ((bool)(resources.GetObject("txtPassword.Visible")));
			this.txtPassword.WordWrap = ((bool)(resources.GetObject("txtPassword.WordWrap")));
			// 
			// lnkChangeExternal
			// 
			this.lnkChangeExternal.AccessibleDescription = resources.GetString("lnkChangeExternal.AccessibleDescription");
			this.lnkChangeExternal.AccessibleName = resources.GetString("lnkChangeExternal.AccessibleName");
			this.lnkChangeExternal.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lnkChangeExternal.Anchor")));
			this.lnkChangeExternal.AutoSize = ((bool)(resources.GetObject("lnkChangeExternal.AutoSize")));
			this.lnkChangeExternal.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lnkChangeExternal.Dock")));
			this.lnkChangeExternal.Enabled = ((bool)(resources.GetObject("lnkChangeExternal.Enabled")));
			this.lnkChangeExternal.Font = ((System.Drawing.Font)(resources.GetObject("lnkChangeExternal.Font")));
			this.lnkChangeExternal.Image = ((System.Drawing.Image)(resources.GetObject("lnkChangeExternal.Image")));
			this.lnkChangeExternal.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lnkChangeExternal.ImageAlign")));
			this.lnkChangeExternal.ImageIndex = ((int)(resources.GetObject("lnkChangeExternal.ImageIndex")));
			this.lnkChangeExternal.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lnkChangeExternal.ImeMode")));
			this.lnkChangeExternal.LinkArea = ((System.Windows.Forms.LinkArea)(resources.GetObject("lnkChangeExternal.LinkArea")));
			this.lnkChangeExternal.Location = ((System.Drawing.Point)(resources.GetObject("lnkChangeExternal.Location")));
			this.lnkChangeExternal.Name = "lnkChangeExternal";
			this.lnkChangeExternal.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lnkChangeExternal.RightToLeft")));
			this.lnkChangeExternal.Size = ((System.Drawing.Size)(resources.GetObject("lnkChangeExternal.Size")));
			this.lnkChangeExternal.TabIndex = ((int)(resources.GetObject("lnkChangeExternal.TabIndex")));
			this.lnkChangeExternal.TabStop = true;
			this.lnkChangeExternal.Text = resources.GetString("lnkChangeExternal.Text");
			this.lnkChangeExternal.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lnkChangeExternal.TextAlign")));
			this.lnkChangeExternal.Visible = ((bool)(resources.GetObject("lnkChangeExternal.Visible")));
			this.lnkChangeExternal.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnkChangeExternal_LinkClicked);
			// 
			// labelPassword
			// 
			this.labelPassword.AccessibleDescription = resources.GetString("labelPassword.AccessibleDescription");
			this.labelPassword.AccessibleName = resources.GetString("labelPassword.AccessibleName");
			this.labelPassword.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("labelPassword.Anchor")));
			this.labelPassword.AutoSize = ((bool)(resources.GetObject("labelPassword.AutoSize")));
			this.labelPassword.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("labelPassword.Dock")));
			this.labelPassword.Enabled = ((bool)(resources.GetObject("labelPassword.Enabled")));
			this.labelPassword.Font = ((System.Drawing.Font)(resources.GetObject("labelPassword.Font")));
			this.labelPassword.Image = ((System.Drawing.Image)(resources.GetObject("labelPassword.Image")));
			this.labelPassword.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelPassword.ImageAlign")));
			this.labelPassword.ImageIndex = ((int)(resources.GetObject("labelPassword.ImageIndex")));
			this.labelPassword.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("labelPassword.ImeMode")));
			this.labelPassword.Location = ((System.Drawing.Point)(resources.GetObject("labelPassword.Location")));
			this.labelPassword.Name = "labelPassword";
			this.labelPassword.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("labelPassword.RightToLeft")));
			this.labelPassword.Size = ((System.Drawing.Size)(resources.GetObject("labelPassword.Size")));
			this.labelPassword.TabIndex = ((int)(resources.GetObject("labelPassword.TabIndex")));
			this.labelPassword.Text = resources.GetString("labelPassword.Text");
			this.labelPassword.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelPassword.TextAlign")));
			this.labelPassword.Visible = ((bool)(resources.GetObject("labelPassword.Visible")));
			// 
			// labelUsername
			// 
			this.labelUsername.AccessibleDescription = resources.GetString("labelUsername.AccessibleDescription");
			this.labelUsername.AccessibleName = resources.GetString("labelUsername.AccessibleName");
			this.labelUsername.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("labelUsername.Anchor")));
			this.labelUsername.AutoSize = ((bool)(resources.GetObject("labelUsername.AutoSize")));
			this.labelUsername.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("labelUsername.Dock")));
			this.labelUsername.Enabled = ((bool)(resources.GetObject("labelUsername.Enabled")));
			this.labelUsername.Font = ((System.Drawing.Font)(resources.GetObject("labelUsername.Font")));
			this.labelUsername.Image = ((System.Drawing.Image)(resources.GetObject("labelUsername.Image")));
			this.labelUsername.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelUsername.ImageAlign")));
			this.labelUsername.ImageIndex = ((int)(resources.GetObject("labelUsername.ImageIndex")));
			this.labelUsername.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("labelUsername.ImeMode")));
			this.labelUsername.Location = ((System.Drawing.Point)(resources.GetObject("labelUsername.Location")));
			this.labelUsername.Name = "labelUsername";
			this.labelUsername.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("labelUsername.RightToLeft")));
			this.labelUsername.Size = ((System.Drawing.Size)(resources.GetObject("labelUsername.Size")));
			this.labelUsername.TabIndex = ((int)(resources.GetObject("labelUsername.TabIndex")));
			this.labelUsername.Text = resources.GetString("labelUsername.Text");
			this.labelUsername.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelUsername.TextAlign")));
			this.labelUsername.Visible = ((bool)(resources.GetObject("labelUsername.Visible")));
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// txtWebPassword
			// 
			this.txtWebPassword.AccessibleDescription = resources.GetString("txtWebPassword.AccessibleDescription");
			this.txtWebPassword.AccessibleName = resources.GetString("txtWebPassword.AccessibleName");
			this.txtWebPassword.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("txtWebPassword.Anchor")));
			this.txtWebPassword.AutoSize = ((bool)(resources.GetObject("txtWebPassword.AutoSize")));
			this.txtWebPassword.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("txtWebPassword.BackgroundImage")));
			this.txtWebPassword.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("txtWebPassword.Dock")));
			this.txtWebPassword.Enabled = ((bool)(resources.GetObject("txtWebPassword.Enabled")));
			this.txtWebPassword.Font = ((System.Drawing.Font)(resources.GetObject("txtWebPassword.Font")));
			this.txtWebPassword.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("txtWebPassword.ImeMode")));
			this.txtWebPassword.Location = ((System.Drawing.Point)(resources.GetObject("txtWebPassword.Location")));
			this.txtWebPassword.MaxLength = ((int)(resources.GetObject("txtWebPassword.MaxLength")));
			this.txtWebPassword.Multiline = ((bool)(resources.GetObject("txtWebPassword.Multiline")));
			this.txtWebPassword.Name = "txtWebPassword";
			this.txtWebPassword.PasswordChar = ((char)(resources.GetObject("txtWebPassword.PasswordChar")));
			this.txtWebPassword.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("txtWebPassword.RightToLeft")));
			this.txtWebPassword.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("txtWebPassword.ScrollBars")));
			this.txtWebPassword.Size = ((System.Drawing.Size)(resources.GetObject("txtWebPassword.Size")));
			this.txtWebPassword.TabIndex = ((int)(resources.GetObject("txtWebPassword.TabIndex")));
			this.txtWebPassword.Text = resources.GetString("txtWebPassword.Text");
			this.txtWebPassword.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("txtWebPassword.TextAlign")));
			this.txtWebPassword.Visible = ((bool)(resources.GetObject("txtWebPassword.Visible")));
			this.txtWebPassword.WordWrap = ((bool)(resources.GetObject("txtWebPassword.WordWrap")));
			// 
			// label10
			// 
			this.label10.AccessibleDescription = resources.GetString("label10.AccessibleDescription");
			this.label10.AccessibleName = resources.GetString("label10.AccessibleName");
			this.label10.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label10.Anchor")));
			this.label10.AutoSize = ((bool)(resources.GetObject("label10.AutoSize")));
			this.label10.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label10.Dock")));
			this.label10.Enabled = ((bool)(resources.GetObject("label10.Enabled")));
			this.label10.Font = ((System.Drawing.Font)(resources.GetObject("label10.Font")));
			this.label10.Image = ((System.Drawing.Image)(resources.GetObject("label10.Image")));
			this.label10.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label10.ImageAlign")));
			this.label10.ImageIndex = ((int)(resources.GetObject("label10.ImageIndex")));
			this.label10.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label10.ImeMode")));
			this.label10.Location = ((System.Drawing.Point)(resources.GetObject("label10.Location")));
			this.label10.Name = "label10";
			this.label10.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label10.RightToLeft")));
			this.label10.Size = ((System.Drawing.Size)(resources.GetObject("label10.Size")));
			this.label10.TabIndex = ((int)(resources.GetObject("label10.TabIndex")));
			this.label10.Text = resources.GetString("label10.Text");
			this.label10.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label10.TextAlign")));
			this.label10.Visible = ((bool)(resources.GetObject("label10.Visible")));
			// 
			// panelWindow
			// 
			this.panelWindow.AccessibleDescription = resources.GetString("panelWindow.AccessibleDescription");
			this.panelWindow.AccessibleName = resources.GetString("panelWindow.AccessibleName");
			this.panelWindow.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panelWindow.Anchor")));
			this.panelWindow.AutoScroll = ((bool)(resources.GetObject("panelWindow.AutoScroll")));
			this.panelWindow.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panelWindow.AutoScrollMargin")));
			this.panelWindow.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panelWindow.AutoScrollMinSize")));
			this.panelWindow.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panelWindow.BackgroundImage")));
			this.panelWindow.Controls.Add(this.label14);
			this.panelWindow.Controls.Add(this.updAutoResizeMax);
			this.panelWindow.Controls.Add(this.label13);
			this.panelWindow.Controls.Add(this.chkAutoResize);
			this.panelWindow.Controls.Add(this.chkRunAtStartup);
			this.panelWindow.Controls.Add(this.chkShowInTaskbar);
			this.panelWindow.Controls.Add(this.trOpacity);
			this.panelWindow.Controls.Add(this.label4);
			this.panelWindow.Controls.Add(this.chkAlwaysOnTop);
			this.panelWindow.Controls.Add(this.chkAlternativeTime);
			this.panelWindow.Controls.Add(this.cboIconSize);
			this.panelWindow.Controls.Add(this.label3);
			this.panelWindow.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panelWindow.Dock")));
			this.panelWindow.Enabled = ((bool)(resources.GetObject("panelWindow.Enabled")));
			this.panelWindow.Font = ((System.Drawing.Font)(resources.GetObject("panelWindow.Font")));
			this.panelWindow.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panelWindow.ImeMode")));
			this.panelWindow.Location = ((System.Drawing.Point)(resources.GetObject("panelWindow.Location")));
			this.panelWindow.Name = "panelWindow";
			this.panelWindow.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panelWindow.RightToLeft")));
			this.panelWindow.Size = ((System.Drawing.Size)(resources.GetObject("panelWindow.Size")));
			this.panelWindow.TabIndex = ((int)(resources.GetObject("panelWindow.TabIndex")));
			this.panelWindow.Text = resources.GetString("panelWindow.Text");
			this.panelWindow.Visible = ((bool)(resources.GetObject("panelWindow.Visible")));
			// 
			// label14
			// 
			this.label14.AccessibleDescription = resources.GetString("label14.AccessibleDescription");
			this.label14.AccessibleName = resources.GetString("label14.AccessibleName");
			this.label14.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label14.Anchor")));
			this.label14.AutoSize = ((bool)(resources.GetObject("label14.AutoSize")));
			this.label14.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label14.Dock")));
			this.label14.Enabled = ((bool)(resources.GetObject("label14.Enabled")));
			this.label14.Font = ((System.Drawing.Font)(resources.GetObject("label14.Font")));
			this.label14.Image = ((System.Drawing.Image)(resources.GetObject("label14.Image")));
			this.label14.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label14.ImageAlign")));
			this.label14.ImageIndex = ((int)(resources.GetObject("label14.ImageIndex")));
			this.label14.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label14.ImeMode")));
			this.label14.Location = ((System.Drawing.Point)(resources.GetObject("label14.Location")));
			this.label14.Name = "label14";
			this.label14.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label14.RightToLeft")));
			this.label14.Size = ((System.Drawing.Size)(resources.GetObject("label14.Size")));
			this.label14.TabIndex = ((int)(resources.GetObject("label14.TabIndex")));
			this.label14.Text = resources.GetString("label14.Text");
			this.label14.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label14.TextAlign")));
			this.label14.Visible = ((bool)(resources.GetObject("label14.Visible")));
			// 
			// updAutoResizeMax
			// 
			this.updAutoResizeMax.AccessibleDescription = resources.GetString("updAutoResizeMax.AccessibleDescription");
			this.updAutoResizeMax.AccessibleName = resources.GetString("updAutoResizeMax.AccessibleName");
			this.updAutoResizeMax.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("updAutoResizeMax.Anchor")));
			this.updAutoResizeMax.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("updAutoResizeMax.Dock")));
			this.updAutoResizeMax.Enabled = ((bool)(resources.GetObject("updAutoResizeMax.Enabled")));
			this.updAutoResizeMax.Font = ((System.Drawing.Font)(resources.GetObject("updAutoResizeMax.Font")));
			this.updAutoResizeMax.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("updAutoResizeMax.ImeMode")));
			this.updAutoResizeMax.Location = ((System.Drawing.Point)(resources.GetObject("updAutoResizeMax.Location")));
			this.updAutoResizeMax.Name = "updAutoResizeMax";
			this.updAutoResizeMax.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("updAutoResizeMax.RightToLeft")));
			this.updAutoResizeMax.Size = ((System.Drawing.Size)(resources.GetObject("updAutoResizeMax.Size")));
			this.updAutoResizeMax.TabIndex = ((int)(resources.GetObject("updAutoResizeMax.TabIndex")));
			this.updAutoResizeMax.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("updAutoResizeMax.TextAlign")));
			this.updAutoResizeMax.ThousandsSeparator = ((bool)(resources.GetObject("updAutoResizeMax.ThousandsSeparator")));
			this.updAutoResizeMax.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("updAutoResizeMax.UpDownAlign")));
			this.updAutoResizeMax.Visible = ((bool)(resources.GetObject("updAutoResizeMax.Visible")));
			// 
			// label13
			// 
			this.label13.AccessibleDescription = resources.GetString("label13.AccessibleDescription");
			this.label13.AccessibleName = resources.GetString("label13.AccessibleName");
			this.label13.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label13.Anchor")));
			this.label13.AutoSize = ((bool)(resources.GetObject("label13.AutoSize")));
			this.label13.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label13.Dock")));
			this.label13.Enabled = ((bool)(resources.GetObject("label13.Enabled")));
			this.label13.Font = ((System.Drawing.Font)(resources.GetObject("label13.Font")));
			this.label13.Image = ((System.Drawing.Image)(resources.GetObject("label13.Image")));
			this.label13.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label13.ImageAlign")));
			this.label13.ImageIndex = ((int)(resources.GetObject("label13.ImageIndex")));
			this.label13.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label13.ImeMode")));
			this.label13.Location = ((System.Drawing.Point)(resources.GetObject("label13.Location")));
			this.label13.Name = "label13";
			this.label13.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label13.RightToLeft")));
			this.label13.Size = ((System.Drawing.Size)(resources.GetObject("label13.Size")));
			this.label13.TabIndex = ((int)(resources.GetObject("label13.TabIndex")));
			this.label13.Text = resources.GetString("label13.Text");
			this.label13.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label13.TextAlign")));
			this.label13.Visible = ((bool)(resources.GetObject("label13.Visible")));
			// 
			// chkAutoResize
			// 
			this.chkAutoResize.AccessibleDescription = resources.GetString("chkAutoResize.AccessibleDescription");
			this.chkAutoResize.AccessibleName = resources.GetString("chkAutoResize.AccessibleName");
			this.chkAutoResize.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkAutoResize.Anchor")));
			this.chkAutoResize.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkAutoResize.Appearance")));
			this.chkAutoResize.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkAutoResize.BackgroundImage")));
			this.chkAutoResize.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAutoResize.CheckAlign")));
			this.chkAutoResize.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkAutoResize.Dock")));
			this.chkAutoResize.Enabled = ((bool)(resources.GetObject("chkAutoResize.Enabled")));
			this.chkAutoResize.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkAutoResize.FlatStyle")));
			this.chkAutoResize.Font = ((System.Drawing.Font)(resources.GetObject("chkAutoResize.Font")));
			this.chkAutoResize.Image = ((System.Drawing.Image)(resources.GetObject("chkAutoResize.Image")));
			this.chkAutoResize.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAutoResize.ImageAlign")));
			this.chkAutoResize.ImageIndex = ((int)(resources.GetObject("chkAutoResize.ImageIndex")));
			this.chkAutoResize.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkAutoResize.ImeMode")));
			this.chkAutoResize.Location = ((System.Drawing.Point)(resources.GetObject("chkAutoResize.Location")));
			this.chkAutoResize.Name = "chkAutoResize";
			this.chkAutoResize.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkAutoResize.RightToLeft")));
			this.chkAutoResize.Size = ((System.Drawing.Size)(resources.GetObject("chkAutoResize.Size")));
			this.chkAutoResize.TabIndex = ((int)(resources.GetObject("chkAutoResize.TabIndex")));
			this.chkAutoResize.Text = resources.GetString("chkAutoResize.Text");
			this.chkAutoResize.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAutoResize.TextAlign")));
			this.chkAutoResize.Visible = ((bool)(resources.GetObject("chkAutoResize.Visible")));
			this.chkAutoResize.CheckedChanged += new System.EventHandler(this.chkAutoResize_CheckedChanged);
			// 
			// chkRunAtStartup
			// 
			this.chkRunAtStartup.AccessibleDescription = resources.GetString("chkRunAtStartup.AccessibleDescription");
			this.chkRunAtStartup.AccessibleName = resources.GetString("chkRunAtStartup.AccessibleName");
			this.chkRunAtStartup.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkRunAtStartup.Anchor")));
			this.chkRunAtStartup.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkRunAtStartup.Appearance")));
			this.chkRunAtStartup.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkRunAtStartup.BackgroundImage")));
			this.chkRunAtStartup.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkRunAtStartup.CheckAlign")));
			this.chkRunAtStartup.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkRunAtStartup.Dock")));
			this.chkRunAtStartup.Enabled = ((bool)(resources.GetObject("chkRunAtStartup.Enabled")));
			this.chkRunAtStartup.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkRunAtStartup.FlatStyle")));
			this.chkRunAtStartup.Font = ((System.Drawing.Font)(resources.GetObject("chkRunAtStartup.Font")));
			this.chkRunAtStartup.Image = ((System.Drawing.Image)(resources.GetObject("chkRunAtStartup.Image")));
			this.chkRunAtStartup.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkRunAtStartup.ImageAlign")));
			this.chkRunAtStartup.ImageIndex = ((int)(resources.GetObject("chkRunAtStartup.ImageIndex")));
			this.chkRunAtStartup.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkRunAtStartup.ImeMode")));
			this.chkRunAtStartup.Location = ((System.Drawing.Point)(resources.GetObject("chkRunAtStartup.Location")));
			this.chkRunAtStartup.Name = "chkRunAtStartup";
			this.chkRunAtStartup.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkRunAtStartup.RightToLeft")));
			this.chkRunAtStartup.Size = ((System.Drawing.Size)(resources.GetObject("chkRunAtStartup.Size")));
			this.chkRunAtStartup.TabIndex = ((int)(resources.GetObject("chkRunAtStartup.TabIndex")));
			this.chkRunAtStartup.Text = resources.GetString("chkRunAtStartup.Text");
			this.chkRunAtStartup.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkRunAtStartup.TextAlign")));
			this.chkRunAtStartup.Visible = ((bool)(resources.GetObject("chkRunAtStartup.Visible")));
			// 
			// chkShowInTaskbar
			// 
			this.chkShowInTaskbar.AccessibleDescription = resources.GetString("chkShowInTaskbar.AccessibleDescription");
			this.chkShowInTaskbar.AccessibleName = resources.GetString("chkShowInTaskbar.AccessibleName");
			this.chkShowInTaskbar.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkShowInTaskbar.Anchor")));
			this.chkShowInTaskbar.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkShowInTaskbar.Appearance")));
			this.chkShowInTaskbar.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkShowInTaskbar.BackgroundImage")));
			this.chkShowInTaskbar.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkShowInTaskbar.CheckAlign")));
			this.chkShowInTaskbar.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkShowInTaskbar.Dock")));
			this.chkShowInTaskbar.Enabled = ((bool)(resources.GetObject("chkShowInTaskbar.Enabled")));
			this.chkShowInTaskbar.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkShowInTaskbar.FlatStyle")));
			this.chkShowInTaskbar.Font = ((System.Drawing.Font)(resources.GetObject("chkShowInTaskbar.Font")));
			this.chkShowInTaskbar.Image = ((System.Drawing.Image)(resources.GetObject("chkShowInTaskbar.Image")));
			this.chkShowInTaskbar.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkShowInTaskbar.ImageAlign")));
			this.chkShowInTaskbar.ImageIndex = ((int)(resources.GetObject("chkShowInTaskbar.ImageIndex")));
			this.chkShowInTaskbar.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkShowInTaskbar.ImeMode")));
			this.chkShowInTaskbar.Location = ((System.Drawing.Point)(resources.GetObject("chkShowInTaskbar.Location")));
			this.chkShowInTaskbar.Name = "chkShowInTaskbar";
			this.chkShowInTaskbar.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkShowInTaskbar.RightToLeft")));
			this.chkShowInTaskbar.Size = ((System.Drawing.Size)(resources.GetObject("chkShowInTaskbar.Size")));
			this.chkShowInTaskbar.TabIndex = ((int)(resources.GetObject("chkShowInTaskbar.TabIndex")));
			this.chkShowInTaskbar.Text = resources.GetString("chkShowInTaskbar.Text");
			this.chkShowInTaskbar.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkShowInTaskbar.TextAlign")));
			this.chkShowInTaskbar.Visible = ((bool)(resources.GetObject("chkShowInTaskbar.Visible")));
			// 
			// trOpacity
			// 
			this.trOpacity.AccessibleDescription = resources.GetString("trOpacity.AccessibleDescription");
			this.trOpacity.AccessibleName = resources.GetString("trOpacity.AccessibleName");
			this.trOpacity.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("trOpacity.Anchor")));
			this.trOpacity.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("trOpacity.BackgroundImage")));
			this.trOpacity.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("trOpacity.Dock")));
			this.trOpacity.Enabled = ((bool)(resources.GetObject("trOpacity.Enabled")));
			this.trOpacity.Font = ((System.Drawing.Font)(resources.GetObject("trOpacity.Font")));
			this.trOpacity.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("trOpacity.ImeMode")));
			this.trOpacity.LargeChange = 10;
			this.trOpacity.Location = ((System.Drawing.Point)(resources.GetObject("trOpacity.Location")));
			this.trOpacity.Maximum = 100;
			this.trOpacity.Minimum = 30;
			this.trOpacity.Name = "trOpacity";
			this.trOpacity.Orientation = ((System.Windows.Forms.Orientation)(resources.GetObject("trOpacity.Orientation")));
			this.trOpacity.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("trOpacity.RightToLeft")));
			this.trOpacity.Size = ((System.Drawing.Size)(resources.GetObject("trOpacity.Size")));
			this.trOpacity.TabIndex = ((int)(resources.GetObject("trOpacity.TabIndex")));
			this.trOpacity.Text = resources.GetString("trOpacity.Text");
			this.trOpacity.TickFrequency = 10;
			this.trOpacity.Value = 100;
			this.trOpacity.Visible = ((bool)(resources.GetObject("trOpacity.Visible")));
			// 
			// label4
			// 
			this.label4.AccessibleDescription = resources.GetString("label4.AccessibleDescription");
			this.label4.AccessibleName = resources.GetString("label4.AccessibleName");
			this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label4.Anchor")));
			this.label4.AutoSize = ((bool)(resources.GetObject("label4.AutoSize")));
			this.label4.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label4.Dock")));
			this.label4.Enabled = ((bool)(resources.GetObject("label4.Enabled")));
			this.label4.Font = ((System.Drawing.Font)(resources.GetObject("label4.Font")));
			this.label4.Image = ((System.Drawing.Image)(resources.GetObject("label4.Image")));
			this.label4.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.ImageAlign")));
			this.label4.ImageIndex = ((int)(resources.GetObject("label4.ImageIndex")));
			this.label4.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label4.ImeMode")));
			this.label4.Location = ((System.Drawing.Point)(resources.GetObject("label4.Location")));
			this.label4.Name = "label4";
			this.label4.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label4.RightToLeft")));
			this.label4.Size = ((System.Drawing.Size)(resources.GetObject("label4.Size")));
			this.label4.TabIndex = ((int)(resources.GetObject("label4.TabIndex")));
			this.label4.Text = resources.GetString("label4.Text");
			this.label4.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.TextAlign")));
			this.label4.Visible = ((bool)(resources.GetObject("label4.Visible")));
			// 
			// chkAlwaysOnTop
			// 
			this.chkAlwaysOnTop.AccessibleDescription = resources.GetString("chkAlwaysOnTop.AccessibleDescription");
			this.chkAlwaysOnTop.AccessibleName = resources.GetString("chkAlwaysOnTop.AccessibleName");
			this.chkAlwaysOnTop.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkAlwaysOnTop.Anchor")));
			this.chkAlwaysOnTop.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkAlwaysOnTop.Appearance")));
			this.chkAlwaysOnTop.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkAlwaysOnTop.BackgroundImage")));
			this.chkAlwaysOnTop.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAlwaysOnTop.CheckAlign")));
			this.chkAlwaysOnTop.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkAlwaysOnTop.Dock")));
			this.chkAlwaysOnTop.Enabled = ((bool)(resources.GetObject("chkAlwaysOnTop.Enabled")));
			this.chkAlwaysOnTop.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkAlwaysOnTop.FlatStyle")));
			this.chkAlwaysOnTop.Font = ((System.Drawing.Font)(resources.GetObject("chkAlwaysOnTop.Font")));
			this.chkAlwaysOnTop.Image = ((System.Drawing.Image)(resources.GetObject("chkAlwaysOnTop.Image")));
			this.chkAlwaysOnTop.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAlwaysOnTop.ImageAlign")));
			this.chkAlwaysOnTop.ImageIndex = ((int)(resources.GetObject("chkAlwaysOnTop.ImageIndex")));
			this.chkAlwaysOnTop.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkAlwaysOnTop.ImeMode")));
			this.chkAlwaysOnTop.Location = ((System.Drawing.Point)(resources.GetObject("chkAlwaysOnTop.Location")));
			this.chkAlwaysOnTop.Name = "chkAlwaysOnTop";
			this.chkAlwaysOnTop.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkAlwaysOnTop.RightToLeft")));
			this.chkAlwaysOnTop.Size = ((System.Drawing.Size)(resources.GetObject("chkAlwaysOnTop.Size")));
			this.chkAlwaysOnTop.TabIndex = ((int)(resources.GetObject("chkAlwaysOnTop.TabIndex")));
			this.chkAlwaysOnTop.Text = resources.GetString("chkAlwaysOnTop.Text");
			this.chkAlwaysOnTop.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAlwaysOnTop.TextAlign")));
			this.chkAlwaysOnTop.Visible = ((bool)(resources.GetObject("chkAlwaysOnTop.Visible")));
			// 
			// chkAlternativeTime
			// 
			this.chkAlternativeTime.AccessibleDescription = resources.GetString("chkAlternativeTime.AccessibleDescription");
			this.chkAlternativeTime.AccessibleName = resources.GetString("chkAlternativeTime.AccessibleName");
			this.chkAlternativeTime.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkAlternativeTime.Anchor")));
			this.chkAlternativeTime.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkAlternativeTime.Appearance")));
			this.chkAlternativeTime.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkAlternativeTime.BackgroundImage")));
			this.chkAlternativeTime.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAlternativeTime.CheckAlign")));
			this.chkAlternativeTime.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkAlternativeTime.Dock")));
			this.chkAlternativeTime.Enabled = ((bool)(resources.GetObject("chkAlternativeTime.Enabled")));
			this.chkAlternativeTime.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkAlternativeTime.FlatStyle")));
			this.chkAlternativeTime.Font = ((System.Drawing.Font)(resources.GetObject("chkAlternativeTime.Font")));
			this.chkAlternativeTime.Image = ((System.Drawing.Image)(resources.GetObject("chkAlternativeTime.Image")));
			this.chkAlternativeTime.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAlternativeTime.ImageAlign")));
			this.chkAlternativeTime.ImageIndex = ((int)(resources.GetObject("chkAlternativeTime.ImageIndex")));
			this.chkAlternativeTime.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkAlternativeTime.ImeMode")));
			this.chkAlternativeTime.Location = ((System.Drawing.Point)(resources.GetObject("chkAlternativeTime.Location")));
			this.chkAlternativeTime.Name = "chkAlternativeTime";
			this.chkAlternativeTime.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkAlternativeTime.RightToLeft")));
			this.chkAlternativeTime.Size = ((System.Drawing.Size)(resources.GetObject("chkAlternativeTime.Size")));
			this.chkAlternativeTime.TabIndex = ((int)(resources.GetObject("chkAlternativeTime.TabIndex")));
			this.chkAlternativeTime.Text = resources.GetString("chkAlternativeTime.Text");
			this.chkAlternativeTime.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAlternativeTime.TextAlign")));
			this.chkAlternativeTime.Visible = ((bool)(resources.GetObject("chkAlternativeTime.Visible")));
			// 
			// cboIconSize
			// 
			this.cboIconSize.AccessibleDescription = resources.GetString("cboIconSize.AccessibleDescription");
			this.cboIconSize.AccessibleName = resources.GetString("cboIconSize.AccessibleName");
			this.cboIconSize.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("cboIconSize.Anchor")));
			this.cboIconSize.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("cboIconSize.BackgroundImage")));
			this.cboIconSize.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("cboIconSize.Dock")));
			this.cboIconSize.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboIconSize.Enabled = ((bool)(resources.GetObject("cboIconSize.Enabled")));
			this.cboIconSize.Font = ((System.Drawing.Font)(resources.GetObject("cboIconSize.Font")));
			this.cboIconSize.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("cboIconSize.ImeMode")));
			this.cboIconSize.IntegralHeight = ((bool)(resources.GetObject("cboIconSize.IntegralHeight")));
			this.cboIconSize.ItemHeight = ((int)(resources.GetObject("cboIconSize.ItemHeight")));
			this.cboIconSize.Items.AddRange(new object[] {
															 resources.GetString("cboIconSize.Items"),
															 resources.GetString("cboIconSize.Items1"),
															 resources.GetString("cboIconSize.Items2")});
			this.cboIconSize.Location = ((System.Drawing.Point)(resources.GetObject("cboIconSize.Location")));
			this.cboIconSize.MaxDropDownItems = ((int)(resources.GetObject("cboIconSize.MaxDropDownItems")));
			this.cboIconSize.MaxLength = ((int)(resources.GetObject("cboIconSize.MaxLength")));
			this.cboIconSize.Name = "cboIconSize";
			this.cboIconSize.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("cboIconSize.RightToLeft")));
			this.cboIconSize.Size = ((System.Drawing.Size)(resources.GetObject("cboIconSize.Size")));
			this.cboIconSize.TabIndex = ((int)(resources.GetObject("cboIconSize.TabIndex")));
			this.cboIconSize.Text = resources.GetString("cboIconSize.Text");
			this.cboIconSize.Visible = ((bool)(resources.GetObject("cboIconSize.Visible")));
			// 
			// label3
			// 
			this.label3.AccessibleDescription = resources.GetString("label3.AccessibleDescription");
			this.label3.AccessibleName = resources.GetString("label3.AccessibleName");
			this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label3.Anchor")));
			this.label3.AutoSize = ((bool)(resources.GetObject("label3.AutoSize")));
			this.label3.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label3.Dock")));
			this.label3.Enabled = ((bool)(resources.GetObject("label3.Enabled")));
			this.label3.Font = ((System.Drawing.Font)(resources.GetObject("label3.Font")));
			this.label3.Image = ((System.Drawing.Image)(resources.GetObject("label3.Image")));
			this.label3.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.ImageAlign")));
			this.label3.ImageIndex = ((int)(resources.GetObject("label3.ImageIndex")));
			this.label3.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label3.ImeMode")));
			this.label3.Location = ((System.Drawing.Point)(resources.GetObject("label3.Location")));
			this.label3.Name = "label3";
			this.label3.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label3.RightToLeft")));
			this.label3.Size = ((System.Drawing.Size)(resources.GetObject("label3.Size")));
			this.label3.TabIndex = ((int)(resources.GetObject("label3.TabIndex")));
			this.label3.Text = resources.GetString("label3.Text");
			this.label3.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.TextAlign")));
			this.label3.Visible = ((bool)(resources.GetObject("label3.Visible")));
			// 
			// panelNotifications
			// 
			this.panelNotifications.AccessibleDescription = resources.GetString("panelNotifications.AccessibleDescription");
			this.panelNotifications.AccessibleName = resources.GetString("panelNotifications.AccessibleName");
			this.panelNotifications.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panelNotifications.Anchor")));
			this.panelNotifications.AutoScroll = ((bool)(resources.GetObject("panelNotifications.AutoScroll")));
			this.panelNotifications.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panelNotifications.AutoScrollMargin")));
			this.panelNotifications.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panelNotifications.AutoScrollMinSize")));
			this.panelNotifications.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panelNotifications.BackgroundImage")));
			this.panelNotifications.Controls.Add(this.label12);
			this.panelNotifications.Controls.Add(this.btnPickOnlineNotify);
			this.panelNotifications.Controls.Add(this.cboMailNotify);
			this.panelNotifications.Controls.Add(this.label5);
			this.panelNotifications.Controls.Add(this.label6);
			this.panelNotifications.Controls.Add(this.cboFriendOnNotify);
			this.panelNotifications.Controls.Add(this.label7);
			this.panelNotifications.Controls.Add(this.cboFriendOffNotify);
			this.panelNotifications.Controls.Add(this.btnPickOfflineNotify);
			this.panelNotifications.Controls.Add(this.cboWriteupNotify);
			this.panelNotifications.Controls.Add(this.label11);
			this.panelNotifications.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panelNotifications.Dock")));
			this.panelNotifications.Enabled = ((bool)(resources.GetObject("panelNotifications.Enabled")));
			this.panelNotifications.Font = ((System.Drawing.Font)(resources.GetObject("panelNotifications.Font")));
			this.panelNotifications.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panelNotifications.ImeMode")));
			this.panelNotifications.Location = ((System.Drawing.Point)(resources.GetObject("panelNotifications.Location")));
			this.panelNotifications.Name = "panelNotifications";
			this.panelNotifications.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panelNotifications.RightToLeft")));
			this.panelNotifications.Size = ((System.Drawing.Size)(resources.GetObject("panelNotifications.Size")));
			this.panelNotifications.TabIndex = ((int)(resources.GetObject("panelNotifications.TabIndex")));
			this.panelNotifications.Text = resources.GetString("panelNotifications.Text");
			this.panelNotifications.Visible = ((bool)(resources.GetObject("panelNotifications.Visible")));
			// 
			// label12
			// 
			this.label12.AccessibleDescription = resources.GetString("label12.AccessibleDescription");
			this.label12.AccessibleName = resources.GetString("label12.AccessibleName");
			this.label12.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label12.Anchor")));
			this.label12.AutoSize = ((bool)(resources.GetObject("label12.AutoSize")));
			this.label12.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label12.Dock")));
			this.label12.Enabled = ((bool)(resources.GetObject("label12.Enabled")));
			this.label12.Font = ((System.Drawing.Font)(resources.GetObject("label12.Font")));
			this.label12.Image = ((System.Drawing.Image)(resources.GetObject("label12.Image")));
			this.label12.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label12.ImageAlign")));
			this.label12.ImageIndex = ((int)(resources.GetObject("label12.ImageIndex")));
			this.label12.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label12.ImeMode")));
			this.label12.Location = ((System.Drawing.Point)(resources.GetObject("label12.Location")));
			this.label12.Name = "label12";
			this.label12.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label12.RightToLeft")));
			this.label12.Size = ((System.Drawing.Size)(resources.GetObject("label12.Size")));
			this.label12.TabIndex = ((int)(resources.GetObject("label12.TabIndex")));
			this.label12.Text = resources.GetString("label12.Text");
			this.label12.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label12.TextAlign")));
			this.label12.Visible = ((bool)(resources.GetObject("label12.Visible")));
			// 
			// btnPickOnlineNotify
			// 
			this.btnPickOnlineNotify.AccessibleDescription = resources.GetString("btnPickOnlineNotify.AccessibleDescription");
			this.btnPickOnlineNotify.AccessibleName = resources.GetString("btnPickOnlineNotify.AccessibleName");
			this.btnPickOnlineNotify.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnPickOnlineNotify.Anchor")));
			this.btnPickOnlineNotify.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnPickOnlineNotify.BackgroundImage")));
			this.btnPickOnlineNotify.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnPickOnlineNotify.Dock")));
			this.btnPickOnlineNotify.Enabled = ((bool)(resources.GetObject("btnPickOnlineNotify.Enabled")));
			this.btnPickOnlineNotify.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnPickOnlineNotify.FlatStyle")));
			this.btnPickOnlineNotify.Font = ((System.Drawing.Font)(resources.GetObject("btnPickOnlineNotify.Font")));
			this.btnPickOnlineNotify.Image = ((System.Drawing.Image)(resources.GetObject("btnPickOnlineNotify.Image")));
			this.btnPickOnlineNotify.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnPickOnlineNotify.ImageAlign")));
			this.btnPickOnlineNotify.ImageIndex = ((int)(resources.GetObject("btnPickOnlineNotify.ImageIndex")));
			this.btnPickOnlineNotify.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnPickOnlineNotify.ImeMode")));
			this.btnPickOnlineNotify.Location = ((System.Drawing.Point)(resources.GetObject("btnPickOnlineNotify.Location")));
			this.btnPickOnlineNotify.Name = "btnPickOnlineNotify";
			this.btnPickOnlineNotify.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnPickOnlineNotify.RightToLeft")));
			this.btnPickOnlineNotify.Size = ((System.Drawing.Size)(resources.GetObject("btnPickOnlineNotify.Size")));
			this.btnPickOnlineNotify.TabIndex = ((int)(resources.GetObject("btnPickOnlineNotify.TabIndex")));
			this.btnPickOnlineNotify.Text = resources.GetString("btnPickOnlineNotify.Text");
			this.btnPickOnlineNotify.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnPickOnlineNotify.TextAlign")));
			this.btnPickOnlineNotify.Visible = ((bool)(resources.GetObject("btnPickOnlineNotify.Visible")));
			this.btnPickOnlineNotify.Click += new System.EventHandler(this.btnPickOnlineNotify_Click);
			// 
			// cboMailNotify
			// 
			this.cboMailNotify.AccessibleDescription = resources.GetString("cboMailNotify.AccessibleDescription");
			this.cboMailNotify.AccessibleName = resources.GetString("cboMailNotify.AccessibleName");
			this.cboMailNotify.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("cboMailNotify.Anchor")));
			this.cboMailNotify.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("cboMailNotify.BackgroundImage")));
			this.cboMailNotify.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("cboMailNotify.Dock")));
			this.cboMailNotify.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboMailNotify.Enabled = ((bool)(resources.GetObject("cboMailNotify.Enabled")));
			this.cboMailNotify.Font = ((System.Drawing.Font)(resources.GetObject("cboMailNotify.Font")));
			this.cboMailNotify.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("cboMailNotify.ImeMode")));
			this.cboMailNotify.IntegralHeight = ((bool)(resources.GetObject("cboMailNotify.IntegralHeight")));
			this.cboMailNotify.ItemHeight = ((int)(resources.GetObject("cboMailNotify.ItemHeight")));
			this.cboMailNotify.Items.AddRange(new object[] {
															   resources.GetString("cboMailNotify.Items"),
															   resources.GetString("cboMailNotify.Items1"),
															   resources.GetString("cboMailNotify.Items2"),
															   resources.GetString("cboMailNotify.Items3")});
			this.cboMailNotify.Location = ((System.Drawing.Point)(resources.GetObject("cboMailNotify.Location")));
			this.cboMailNotify.MaxDropDownItems = ((int)(resources.GetObject("cboMailNotify.MaxDropDownItems")));
			this.cboMailNotify.MaxLength = ((int)(resources.GetObject("cboMailNotify.MaxLength")));
			this.cboMailNotify.Name = "cboMailNotify";
			this.cboMailNotify.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("cboMailNotify.RightToLeft")));
			this.cboMailNotify.Size = ((System.Drawing.Size)(resources.GetObject("cboMailNotify.Size")));
			this.cboMailNotify.TabIndex = ((int)(resources.GetObject("cboMailNotify.TabIndex")));
			this.cboMailNotify.Text = resources.GetString("cboMailNotify.Text");
			this.cboMailNotify.Visible = ((bool)(resources.GetObject("cboMailNotify.Visible")));
			// 
			// label5
			// 
			this.label5.AccessibleDescription = resources.GetString("label5.AccessibleDescription");
			this.label5.AccessibleName = resources.GetString("label5.AccessibleName");
			this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label5.Anchor")));
			this.label5.AutoSize = ((bool)(resources.GetObject("label5.AutoSize")));
			this.label5.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label5.Dock")));
			this.label5.Enabled = ((bool)(resources.GetObject("label5.Enabled")));
			this.label5.Font = ((System.Drawing.Font)(resources.GetObject("label5.Font")));
			this.label5.Image = ((System.Drawing.Image)(resources.GetObject("label5.Image")));
			this.label5.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label5.ImageAlign")));
			this.label5.ImageIndex = ((int)(resources.GetObject("label5.ImageIndex")));
			this.label5.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label5.ImeMode")));
			this.label5.Location = ((System.Drawing.Point)(resources.GetObject("label5.Location")));
			this.label5.Name = "label5";
			this.label5.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label5.RightToLeft")));
			this.label5.Size = ((System.Drawing.Size)(resources.GetObject("label5.Size")));
			this.label5.TabIndex = ((int)(resources.GetObject("label5.TabIndex")));
			this.label5.Text = resources.GetString("label5.Text");
			this.label5.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label5.TextAlign")));
			this.label5.Visible = ((bool)(resources.GetObject("label5.Visible")));
			// 
			// label6
			// 
			this.label6.AccessibleDescription = resources.GetString("label6.AccessibleDescription");
			this.label6.AccessibleName = resources.GetString("label6.AccessibleName");
			this.label6.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label6.Anchor")));
			this.label6.AutoSize = ((bool)(resources.GetObject("label6.AutoSize")));
			this.label6.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label6.Dock")));
			this.label6.Enabled = ((bool)(resources.GetObject("label6.Enabled")));
			this.label6.Font = ((System.Drawing.Font)(resources.GetObject("label6.Font")));
			this.label6.Image = ((System.Drawing.Image)(resources.GetObject("label6.Image")));
			this.label6.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label6.ImageAlign")));
			this.label6.ImageIndex = ((int)(resources.GetObject("label6.ImageIndex")));
			this.label6.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label6.ImeMode")));
			this.label6.Location = ((System.Drawing.Point)(resources.GetObject("label6.Location")));
			this.label6.Name = "label6";
			this.label6.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label6.RightToLeft")));
			this.label6.Size = ((System.Drawing.Size)(resources.GetObject("label6.Size")));
			this.label6.TabIndex = ((int)(resources.GetObject("label6.TabIndex")));
			this.label6.Text = resources.GetString("label6.Text");
			this.label6.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label6.TextAlign")));
			this.label6.Visible = ((bool)(resources.GetObject("label6.Visible")));
			// 
			// cboFriendOnNotify
			// 
			this.cboFriendOnNotify.AccessibleDescription = resources.GetString("cboFriendOnNotify.AccessibleDescription");
			this.cboFriendOnNotify.AccessibleName = resources.GetString("cboFriendOnNotify.AccessibleName");
			this.cboFriendOnNotify.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("cboFriendOnNotify.Anchor")));
			this.cboFriendOnNotify.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("cboFriendOnNotify.BackgroundImage")));
			this.cboFriendOnNotify.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("cboFriendOnNotify.Dock")));
			this.cboFriendOnNotify.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboFriendOnNotify.Enabled = ((bool)(resources.GetObject("cboFriendOnNotify.Enabled")));
			this.cboFriendOnNotify.Font = ((System.Drawing.Font)(resources.GetObject("cboFriendOnNotify.Font")));
			this.cboFriendOnNotify.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("cboFriendOnNotify.ImeMode")));
			this.cboFriendOnNotify.IntegralHeight = ((bool)(resources.GetObject("cboFriendOnNotify.IntegralHeight")));
			this.cboFriendOnNotify.ItemHeight = ((int)(resources.GetObject("cboFriendOnNotify.ItemHeight")));
			this.cboFriendOnNotify.Items.AddRange(new object[] {
																   resources.GetString("cboFriendOnNotify.Items"),
																   resources.GetString("cboFriendOnNotify.Items1"),
																   resources.GetString("cboFriendOnNotify.Items2")});
			this.cboFriendOnNotify.Location = ((System.Drawing.Point)(resources.GetObject("cboFriendOnNotify.Location")));
			this.cboFriendOnNotify.MaxDropDownItems = ((int)(resources.GetObject("cboFriendOnNotify.MaxDropDownItems")));
			this.cboFriendOnNotify.MaxLength = ((int)(resources.GetObject("cboFriendOnNotify.MaxLength")));
			this.cboFriendOnNotify.Name = "cboFriendOnNotify";
			this.cboFriendOnNotify.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("cboFriendOnNotify.RightToLeft")));
			this.cboFriendOnNotify.Size = ((System.Drawing.Size)(resources.GetObject("cboFriendOnNotify.Size")));
			this.cboFriendOnNotify.TabIndex = ((int)(resources.GetObject("cboFriendOnNotify.TabIndex")));
			this.cboFriendOnNotify.Text = resources.GetString("cboFriendOnNotify.Text");
			this.cboFriendOnNotify.Visible = ((bool)(resources.GetObject("cboFriendOnNotify.Visible")));
			// 
			// label7
			// 
			this.label7.AccessibleDescription = resources.GetString("label7.AccessibleDescription");
			this.label7.AccessibleName = resources.GetString("label7.AccessibleName");
			this.label7.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label7.Anchor")));
			this.label7.AutoSize = ((bool)(resources.GetObject("label7.AutoSize")));
			this.label7.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label7.Dock")));
			this.label7.Enabled = ((bool)(resources.GetObject("label7.Enabled")));
			this.label7.Font = ((System.Drawing.Font)(resources.GetObject("label7.Font")));
			this.label7.Image = ((System.Drawing.Image)(resources.GetObject("label7.Image")));
			this.label7.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label7.ImageAlign")));
			this.label7.ImageIndex = ((int)(resources.GetObject("label7.ImageIndex")));
			this.label7.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label7.ImeMode")));
			this.label7.Location = ((System.Drawing.Point)(resources.GetObject("label7.Location")));
			this.label7.Name = "label7";
			this.label7.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label7.RightToLeft")));
			this.label7.Size = ((System.Drawing.Size)(resources.GetObject("label7.Size")));
			this.label7.TabIndex = ((int)(resources.GetObject("label7.TabIndex")));
			this.label7.Text = resources.GetString("label7.Text");
			this.label7.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label7.TextAlign")));
			this.label7.Visible = ((bool)(resources.GetObject("label7.Visible")));
			// 
			// cboFriendOffNotify
			// 
			this.cboFriendOffNotify.AccessibleDescription = resources.GetString("cboFriendOffNotify.AccessibleDescription");
			this.cboFriendOffNotify.AccessibleName = resources.GetString("cboFriendOffNotify.AccessibleName");
			this.cboFriendOffNotify.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("cboFriendOffNotify.Anchor")));
			this.cboFriendOffNotify.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("cboFriendOffNotify.BackgroundImage")));
			this.cboFriendOffNotify.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("cboFriendOffNotify.Dock")));
			this.cboFriendOffNotify.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboFriendOffNotify.Enabled = ((bool)(resources.GetObject("cboFriendOffNotify.Enabled")));
			this.cboFriendOffNotify.Font = ((System.Drawing.Font)(resources.GetObject("cboFriendOffNotify.Font")));
			this.cboFriendOffNotify.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("cboFriendOffNotify.ImeMode")));
			this.cboFriendOffNotify.IntegralHeight = ((bool)(resources.GetObject("cboFriendOffNotify.IntegralHeight")));
			this.cboFriendOffNotify.ItemHeight = ((int)(resources.GetObject("cboFriendOffNotify.ItemHeight")));
			this.cboFriendOffNotify.Items.AddRange(new object[] {
																	resources.GetString("cboFriendOffNotify.Items"),
																	resources.GetString("cboFriendOffNotify.Items1"),
																	resources.GetString("cboFriendOffNotify.Items2")});
			this.cboFriendOffNotify.Location = ((System.Drawing.Point)(resources.GetObject("cboFriendOffNotify.Location")));
			this.cboFriendOffNotify.MaxDropDownItems = ((int)(resources.GetObject("cboFriendOffNotify.MaxDropDownItems")));
			this.cboFriendOffNotify.MaxLength = ((int)(resources.GetObject("cboFriendOffNotify.MaxLength")));
			this.cboFriendOffNotify.Name = "cboFriendOffNotify";
			this.cboFriendOffNotify.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("cboFriendOffNotify.RightToLeft")));
			this.cboFriendOffNotify.Size = ((System.Drawing.Size)(resources.GetObject("cboFriendOffNotify.Size")));
			this.cboFriendOffNotify.TabIndex = ((int)(resources.GetObject("cboFriendOffNotify.TabIndex")));
			this.cboFriendOffNotify.Text = resources.GetString("cboFriendOffNotify.Text");
			this.cboFriendOffNotify.Visible = ((bool)(resources.GetObject("cboFriendOffNotify.Visible")));
			// 
			// btnPickOfflineNotify
			// 
			this.btnPickOfflineNotify.AccessibleDescription = resources.GetString("btnPickOfflineNotify.AccessibleDescription");
			this.btnPickOfflineNotify.AccessibleName = resources.GetString("btnPickOfflineNotify.AccessibleName");
			this.btnPickOfflineNotify.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnPickOfflineNotify.Anchor")));
			this.btnPickOfflineNotify.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnPickOfflineNotify.BackgroundImage")));
			this.btnPickOfflineNotify.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnPickOfflineNotify.Dock")));
			this.btnPickOfflineNotify.Enabled = ((bool)(resources.GetObject("btnPickOfflineNotify.Enabled")));
			this.btnPickOfflineNotify.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnPickOfflineNotify.FlatStyle")));
			this.btnPickOfflineNotify.Font = ((System.Drawing.Font)(resources.GetObject("btnPickOfflineNotify.Font")));
			this.btnPickOfflineNotify.Image = ((System.Drawing.Image)(resources.GetObject("btnPickOfflineNotify.Image")));
			this.btnPickOfflineNotify.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnPickOfflineNotify.ImageAlign")));
			this.btnPickOfflineNotify.ImageIndex = ((int)(resources.GetObject("btnPickOfflineNotify.ImageIndex")));
			this.btnPickOfflineNotify.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnPickOfflineNotify.ImeMode")));
			this.btnPickOfflineNotify.Location = ((System.Drawing.Point)(resources.GetObject("btnPickOfflineNotify.Location")));
			this.btnPickOfflineNotify.Name = "btnPickOfflineNotify";
			this.btnPickOfflineNotify.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnPickOfflineNotify.RightToLeft")));
			this.btnPickOfflineNotify.Size = ((System.Drawing.Size)(resources.GetObject("btnPickOfflineNotify.Size")));
			this.btnPickOfflineNotify.TabIndex = ((int)(resources.GetObject("btnPickOfflineNotify.TabIndex")));
			this.btnPickOfflineNotify.Text = resources.GetString("btnPickOfflineNotify.Text");
			this.btnPickOfflineNotify.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnPickOfflineNotify.TextAlign")));
			this.btnPickOfflineNotify.Visible = ((bool)(resources.GetObject("btnPickOfflineNotify.Visible")));
			this.btnPickOfflineNotify.Click += new System.EventHandler(this.btnPickOfflineNotify_Click);
			// 
			// cboWriteupNotify
			// 
			this.cboWriteupNotify.AccessibleDescription = resources.GetString("cboWriteupNotify.AccessibleDescription");
			this.cboWriteupNotify.AccessibleName = resources.GetString("cboWriteupNotify.AccessibleName");
			this.cboWriteupNotify.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("cboWriteupNotify.Anchor")));
			this.cboWriteupNotify.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("cboWriteupNotify.BackgroundImage")));
			this.cboWriteupNotify.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("cboWriteupNotify.Dock")));
			this.cboWriteupNotify.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboWriteupNotify.Enabled = ((bool)(resources.GetObject("cboWriteupNotify.Enabled")));
			this.cboWriteupNotify.Font = ((System.Drawing.Font)(resources.GetObject("cboWriteupNotify.Font")));
			this.cboWriteupNotify.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("cboWriteupNotify.ImeMode")));
			this.cboWriteupNotify.IntegralHeight = ((bool)(resources.GetObject("cboWriteupNotify.IntegralHeight")));
			this.cboWriteupNotify.ItemHeight = ((int)(resources.GetObject("cboWriteupNotify.ItemHeight")));
			this.cboWriteupNotify.Items.AddRange(new object[] {
																  resources.GetString("cboWriteupNotify.Items"),
																  resources.GetString("cboWriteupNotify.Items1"),
																  resources.GetString("cboWriteupNotify.Items2")});
			this.cboWriteupNotify.Location = ((System.Drawing.Point)(resources.GetObject("cboWriteupNotify.Location")));
			this.cboWriteupNotify.MaxDropDownItems = ((int)(resources.GetObject("cboWriteupNotify.MaxDropDownItems")));
			this.cboWriteupNotify.MaxLength = ((int)(resources.GetObject("cboWriteupNotify.MaxLength")));
			this.cboWriteupNotify.Name = "cboWriteupNotify";
			this.cboWriteupNotify.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("cboWriteupNotify.RightToLeft")));
			this.cboWriteupNotify.Size = ((System.Drawing.Size)(resources.GetObject("cboWriteupNotify.Size")));
			this.cboWriteupNotify.TabIndex = ((int)(resources.GetObject("cboWriteupNotify.TabIndex")));
			this.cboWriteupNotify.Text = resources.GetString("cboWriteupNotify.Text");
			this.cboWriteupNotify.Visible = ((bool)(resources.GetObject("cboWriteupNotify.Visible")));
			// 
			// label11
			// 
			this.label11.AccessibleDescription = resources.GetString("label11.AccessibleDescription");
			this.label11.AccessibleName = resources.GetString("label11.AccessibleName");
			this.label11.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label11.Anchor")));
			this.label11.AutoSize = ((bool)(resources.GetObject("label11.AutoSize")));
			this.label11.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label11.Dock")));
			this.label11.Enabled = ((bool)(resources.GetObject("label11.Enabled")));
			this.label11.Font = ((System.Drawing.Font)(resources.GetObject("label11.Font")));
			this.label11.Image = ((System.Drawing.Image)(resources.GetObject("label11.Image")));
			this.label11.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label11.ImageAlign")));
			this.label11.ImageIndex = ((int)(resources.GetObject("label11.ImageIndex")));
			this.label11.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label11.ImeMode")));
			this.label11.Location = ((System.Drawing.Point)(resources.GetObject("label11.Location")));
			this.label11.Name = "label11";
			this.label11.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label11.RightToLeft")));
			this.label11.Size = ((System.Drawing.Size)(resources.GetObject("label11.Size")));
			this.label11.TabIndex = ((int)(resources.GetObject("label11.TabIndex")));
			this.label11.Text = resources.GetString("label11.Text");
			this.label11.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label11.TextAlign")));
			this.label11.Visible = ((bool)(resources.GetObject("label11.Visible")));
			// 
			// panelParanoia
			// 
			this.panelParanoia.AccessibleDescription = resources.GetString("panelParanoia.AccessibleDescription");
			this.panelParanoia.AccessibleName = resources.GetString("panelParanoia.AccessibleName");
			this.panelParanoia.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panelParanoia.Anchor")));
			this.panelParanoia.AutoScroll = ((bool)(resources.GetObject("panelParanoia.AutoScroll")));
			this.panelParanoia.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panelParanoia.AutoScrollMargin")));
			this.panelParanoia.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panelParanoia.AutoScrollMinSize")));
			this.panelParanoia.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panelParanoia.BackgroundImage")));
			this.panelParanoia.Controls.Add(this.chkEncryptMailCache);
			this.panelParanoia.Controls.Add(this.chkEncryptHistory);
			this.panelParanoia.Controls.Add(this.chkEncryptPasswords);
			this.panelParanoia.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panelParanoia.Dock")));
			this.panelParanoia.Enabled = ((bool)(resources.GetObject("panelParanoia.Enabled")));
			this.panelParanoia.Font = ((System.Drawing.Font)(resources.GetObject("panelParanoia.Font")));
			this.panelParanoia.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panelParanoia.ImeMode")));
			this.panelParanoia.Location = ((System.Drawing.Point)(resources.GetObject("panelParanoia.Location")));
			this.panelParanoia.Name = "panelParanoia";
			this.panelParanoia.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panelParanoia.RightToLeft")));
			this.panelParanoia.Size = ((System.Drawing.Size)(resources.GetObject("panelParanoia.Size")));
			this.panelParanoia.TabIndex = ((int)(resources.GetObject("panelParanoia.TabIndex")));
			this.panelParanoia.Text = resources.GetString("panelParanoia.Text");
			this.panelParanoia.Visible = ((bool)(resources.GetObject("panelParanoia.Visible")));
			// 
			// chkEncryptMailCache
			// 
			this.chkEncryptMailCache.AccessibleDescription = resources.GetString("chkEncryptMailCache.AccessibleDescription");
			this.chkEncryptMailCache.AccessibleName = resources.GetString("chkEncryptMailCache.AccessibleName");
			this.chkEncryptMailCache.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkEncryptMailCache.Anchor")));
			this.chkEncryptMailCache.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkEncryptMailCache.Appearance")));
			this.chkEncryptMailCache.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkEncryptMailCache.BackgroundImage")));
			this.chkEncryptMailCache.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptMailCache.CheckAlign")));
			this.chkEncryptMailCache.Checked = true;
			this.chkEncryptMailCache.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEncryptMailCache.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkEncryptMailCache.Dock")));
			this.chkEncryptMailCache.Enabled = ((bool)(resources.GetObject("chkEncryptMailCache.Enabled")));
			this.chkEncryptMailCache.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkEncryptMailCache.FlatStyle")));
			this.chkEncryptMailCache.Font = ((System.Drawing.Font)(resources.GetObject("chkEncryptMailCache.Font")));
			this.chkEncryptMailCache.Image = ((System.Drawing.Image)(resources.GetObject("chkEncryptMailCache.Image")));
			this.chkEncryptMailCache.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptMailCache.ImageAlign")));
			this.chkEncryptMailCache.ImageIndex = ((int)(resources.GetObject("chkEncryptMailCache.ImageIndex")));
			this.chkEncryptMailCache.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkEncryptMailCache.ImeMode")));
			this.chkEncryptMailCache.Location = ((System.Drawing.Point)(resources.GetObject("chkEncryptMailCache.Location")));
			this.chkEncryptMailCache.Name = "chkEncryptMailCache";
			this.chkEncryptMailCache.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkEncryptMailCache.RightToLeft")));
			this.chkEncryptMailCache.Size = ((System.Drawing.Size)(resources.GetObject("chkEncryptMailCache.Size")));
			this.chkEncryptMailCache.TabIndex = ((int)(resources.GetObject("chkEncryptMailCache.TabIndex")));
			this.chkEncryptMailCache.Text = resources.GetString("chkEncryptMailCache.Text");
			this.chkEncryptMailCache.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptMailCache.TextAlign")));
			this.chkEncryptMailCache.Visible = ((bool)(resources.GetObject("chkEncryptMailCache.Visible")));
			// 
			// chkEncryptHistory
			// 
			this.chkEncryptHistory.AccessibleDescription = resources.GetString("chkEncryptHistory.AccessibleDescription");
			this.chkEncryptHistory.AccessibleName = resources.GetString("chkEncryptHistory.AccessibleName");
			this.chkEncryptHistory.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkEncryptHistory.Anchor")));
			this.chkEncryptHistory.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkEncryptHistory.Appearance")));
			this.chkEncryptHistory.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkEncryptHistory.BackgroundImage")));
			this.chkEncryptHistory.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptHistory.CheckAlign")));
			this.chkEncryptHistory.Checked = true;
			this.chkEncryptHistory.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEncryptHistory.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkEncryptHistory.Dock")));
			this.chkEncryptHistory.Enabled = ((bool)(resources.GetObject("chkEncryptHistory.Enabled")));
			this.chkEncryptHistory.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkEncryptHistory.FlatStyle")));
			this.chkEncryptHistory.Font = ((System.Drawing.Font)(resources.GetObject("chkEncryptHistory.Font")));
			this.chkEncryptHistory.Image = ((System.Drawing.Image)(resources.GetObject("chkEncryptHistory.Image")));
			this.chkEncryptHistory.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptHistory.ImageAlign")));
			this.chkEncryptHistory.ImageIndex = ((int)(resources.GetObject("chkEncryptHistory.ImageIndex")));
			this.chkEncryptHistory.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkEncryptHistory.ImeMode")));
			this.chkEncryptHistory.Location = ((System.Drawing.Point)(resources.GetObject("chkEncryptHistory.Location")));
			this.chkEncryptHistory.Name = "chkEncryptHistory";
			this.chkEncryptHistory.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkEncryptHistory.RightToLeft")));
			this.chkEncryptHistory.Size = ((System.Drawing.Size)(resources.GetObject("chkEncryptHistory.Size")));
			this.chkEncryptHistory.TabIndex = ((int)(resources.GetObject("chkEncryptHistory.TabIndex")));
			this.chkEncryptHistory.Text = resources.GetString("chkEncryptHistory.Text");
			this.chkEncryptHistory.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptHistory.TextAlign")));
			this.chkEncryptHistory.Visible = ((bool)(resources.GetObject("chkEncryptHistory.Visible")));
			// 
			// chkEncryptPasswords
			// 
			this.chkEncryptPasswords.AccessibleDescription = resources.GetString("chkEncryptPasswords.AccessibleDescription");
			this.chkEncryptPasswords.AccessibleName = resources.GetString("chkEncryptPasswords.AccessibleName");
			this.chkEncryptPasswords.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkEncryptPasswords.Anchor")));
			this.chkEncryptPasswords.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkEncryptPasswords.Appearance")));
			this.chkEncryptPasswords.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkEncryptPasswords.BackgroundImage")));
			this.chkEncryptPasswords.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptPasswords.CheckAlign")));
			this.chkEncryptPasswords.Checked = true;
			this.chkEncryptPasswords.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEncryptPasswords.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkEncryptPasswords.Dock")));
			this.chkEncryptPasswords.Enabled = ((bool)(resources.GetObject("chkEncryptPasswords.Enabled")));
			this.chkEncryptPasswords.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkEncryptPasswords.FlatStyle")));
			this.chkEncryptPasswords.Font = ((System.Drawing.Font)(resources.GetObject("chkEncryptPasswords.Font")));
			this.chkEncryptPasswords.Image = ((System.Drawing.Image)(resources.GetObject("chkEncryptPasswords.Image")));
			this.chkEncryptPasswords.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptPasswords.ImageAlign")));
			this.chkEncryptPasswords.ImageIndex = ((int)(resources.GetObject("chkEncryptPasswords.ImageIndex")));
			this.chkEncryptPasswords.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkEncryptPasswords.ImeMode")));
			this.chkEncryptPasswords.Location = ((System.Drawing.Point)(resources.GetObject("chkEncryptPasswords.Location")));
			this.chkEncryptPasswords.Name = "chkEncryptPasswords";
			this.chkEncryptPasswords.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkEncryptPasswords.RightToLeft")));
			this.chkEncryptPasswords.Size = ((System.Drawing.Size)(resources.GetObject("chkEncryptPasswords.Size")));
			this.chkEncryptPasswords.TabIndex = ((int)(resources.GetObject("chkEncryptPasswords.TabIndex")));
			this.chkEncryptPasswords.Text = resources.GetString("chkEncryptPasswords.Text");
			this.chkEncryptPasswords.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkEncryptPasswords.TextAlign")));
			this.chkEncryptPasswords.Visible = ((bool)(resources.GetObject("chkEncryptPasswords.Visible")));
			// 
			// chkAutoUpdate
			// 
			this.chkAutoUpdate.AccessibleDescription = resources.GetString("chkAutoUpdate.AccessibleDescription");
			this.chkAutoUpdate.AccessibleName = resources.GetString("chkAutoUpdate.AccessibleName");
			this.chkAutoUpdate.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkAutoUpdate.Anchor")));
			this.chkAutoUpdate.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkAutoUpdate.Appearance")));
			this.chkAutoUpdate.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkAutoUpdate.BackgroundImage")));
			this.chkAutoUpdate.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAutoUpdate.CheckAlign")));
			this.chkAutoUpdate.Checked = true;
			this.chkAutoUpdate.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkAutoUpdate.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkAutoUpdate.Dock")));
			this.chkAutoUpdate.Enabled = ((bool)(resources.GetObject("chkAutoUpdate.Enabled")));
			this.chkAutoUpdate.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkAutoUpdate.FlatStyle")));
			this.chkAutoUpdate.Font = ((System.Drawing.Font)(resources.GetObject("chkAutoUpdate.Font")));
			this.chkAutoUpdate.Image = ((System.Drawing.Image)(resources.GetObject("chkAutoUpdate.Image")));
			this.chkAutoUpdate.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAutoUpdate.ImageAlign")));
			this.chkAutoUpdate.ImageIndex = ((int)(resources.GetObject("chkAutoUpdate.ImageIndex")));
			this.chkAutoUpdate.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkAutoUpdate.ImeMode")));
			this.chkAutoUpdate.Location = ((System.Drawing.Point)(resources.GetObject("chkAutoUpdate.Location")));
			this.chkAutoUpdate.Name = "chkAutoUpdate";
			this.chkAutoUpdate.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkAutoUpdate.RightToLeft")));
			this.chkAutoUpdate.Size = ((System.Drawing.Size)(resources.GetObject("chkAutoUpdate.Size")));
			this.chkAutoUpdate.TabIndex = ((int)(resources.GetObject("chkAutoUpdate.TabIndex")));
			this.chkAutoUpdate.Text = resources.GetString("chkAutoUpdate.Text");
			this.chkAutoUpdate.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAutoUpdate.TextAlign")));
			this.chkAutoUpdate.Visible = ((bool)(resources.GetObject("chkAutoUpdate.Visible")));
			this.chkAutoUpdate.CheckedChanged += new System.EventHandler(this.chkAutoUpdate_CheckedChanged);
			// 
			// panelModes
			// 
			this.panelModes.AccessibleDescription = resources.GetString("panelModes.AccessibleDescription");
			this.panelModes.AccessibleName = resources.GetString("panelModes.AccessibleName");
			this.panelModes.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panelModes.Anchor")));
			this.panelModes.AutoScroll = ((bool)(resources.GetObject("panelModes.AutoScroll")));
			this.panelModes.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panelModes.AutoScrollMargin")));
			this.panelModes.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panelModes.AutoScrollMinSize")));
			this.panelModes.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panelModes.BackgroundImage")));
			this.panelModes.Controls.Add(this.lblAway);
			this.panelModes.Controls.Add(this.updAwayDelay);
			this.panelModes.Controls.Add(this.chkAwayScreenSaver);
			this.panelModes.Controls.Add(this.txtNewUserMode);
			this.panelModes.Controls.Add(this.btnRemoveUserMode);
			this.panelModes.Controls.Add(this.btnAddUserMode);
			this.panelModes.Controls.Add(this.lstUserModes);
			this.panelModes.Controls.Add(this.label15);
			this.panelModes.Controls.Add(this.chkAwayLock);
			this.panelModes.Controls.Add(this.chkAwayDelay);
			this.panelModes.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panelModes.Dock")));
			this.panelModes.Enabled = ((bool)(resources.GetObject("panelModes.Enabled")));
			this.panelModes.Font = ((System.Drawing.Font)(resources.GetObject("panelModes.Font")));
			this.panelModes.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panelModes.ImeMode")));
			this.panelModes.Location = ((System.Drawing.Point)(resources.GetObject("panelModes.Location")));
			this.panelModes.Name = "panelModes";
			this.panelModes.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panelModes.RightToLeft")));
			this.panelModes.Size = ((System.Drawing.Size)(resources.GetObject("panelModes.Size")));
			this.panelModes.TabIndex = ((int)(resources.GetObject("panelModes.TabIndex")));
			this.panelModes.Text = resources.GetString("panelModes.Text");
			this.panelModes.Visible = ((bool)(resources.GetObject("panelModes.Visible")));
			// 
			// txtNewUserMode
			// 
			this.txtNewUserMode.AccessibleDescription = resources.GetString("txtNewUserMode.AccessibleDescription");
			this.txtNewUserMode.AccessibleName = resources.GetString("txtNewUserMode.AccessibleName");
			this.txtNewUserMode.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("txtNewUserMode.Anchor")));
			this.txtNewUserMode.AutoSize = ((bool)(resources.GetObject("txtNewUserMode.AutoSize")));
			this.txtNewUserMode.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("txtNewUserMode.BackgroundImage")));
			this.txtNewUserMode.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("txtNewUserMode.Dock")));
			this.txtNewUserMode.Enabled = ((bool)(resources.GetObject("txtNewUserMode.Enabled")));
			this.txtNewUserMode.Font = ((System.Drawing.Font)(resources.GetObject("txtNewUserMode.Font")));
			this.txtNewUserMode.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("txtNewUserMode.ImeMode")));
			this.txtNewUserMode.Location = ((System.Drawing.Point)(resources.GetObject("txtNewUserMode.Location")));
			this.txtNewUserMode.MaxLength = ((int)(resources.GetObject("txtNewUserMode.MaxLength")));
			this.txtNewUserMode.Multiline = ((bool)(resources.GetObject("txtNewUserMode.Multiline")));
			this.txtNewUserMode.Name = "txtNewUserMode";
			this.txtNewUserMode.PasswordChar = ((char)(resources.GetObject("txtNewUserMode.PasswordChar")));
			this.txtNewUserMode.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("txtNewUserMode.RightToLeft")));
			this.txtNewUserMode.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("txtNewUserMode.ScrollBars")));
			this.txtNewUserMode.Size = ((System.Drawing.Size)(resources.GetObject("txtNewUserMode.Size")));
			this.txtNewUserMode.TabIndex = ((int)(resources.GetObject("txtNewUserMode.TabIndex")));
			this.txtNewUserMode.Text = resources.GetString("txtNewUserMode.Text");
			this.txtNewUserMode.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("txtNewUserMode.TextAlign")));
			this.txtNewUserMode.Visible = ((bool)(resources.GetObject("txtNewUserMode.Visible")));
			this.txtNewUserMode.WordWrap = ((bool)(resources.GetObject("txtNewUserMode.WordWrap")));
			// 
			// btnRemoveUserMode
			// 
			this.btnRemoveUserMode.AccessibleDescription = resources.GetString("btnRemoveUserMode.AccessibleDescription");
			this.btnRemoveUserMode.AccessibleName = resources.GetString("btnRemoveUserMode.AccessibleName");
			this.btnRemoveUserMode.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnRemoveUserMode.Anchor")));
			this.btnRemoveUserMode.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnRemoveUserMode.BackgroundImage")));
			this.btnRemoveUserMode.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnRemoveUserMode.Dock")));
			this.btnRemoveUserMode.Enabled = ((bool)(resources.GetObject("btnRemoveUserMode.Enabled")));
			this.btnRemoveUserMode.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnRemoveUserMode.FlatStyle")));
			this.btnRemoveUserMode.Font = ((System.Drawing.Font)(resources.GetObject("btnRemoveUserMode.Font")));
			this.btnRemoveUserMode.Image = ((System.Drawing.Image)(resources.GetObject("btnRemoveUserMode.Image")));
			this.btnRemoveUserMode.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnRemoveUserMode.ImageAlign")));
			this.btnRemoveUserMode.ImageIndex = ((int)(resources.GetObject("btnRemoveUserMode.ImageIndex")));
			this.btnRemoveUserMode.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnRemoveUserMode.ImeMode")));
			this.btnRemoveUserMode.Location = ((System.Drawing.Point)(resources.GetObject("btnRemoveUserMode.Location")));
			this.btnRemoveUserMode.Name = "btnRemoveUserMode";
			this.btnRemoveUserMode.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnRemoveUserMode.RightToLeft")));
			this.btnRemoveUserMode.Size = ((System.Drawing.Size)(resources.GetObject("btnRemoveUserMode.Size")));
			this.btnRemoveUserMode.TabIndex = ((int)(resources.GetObject("btnRemoveUserMode.TabIndex")));
			this.btnRemoveUserMode.Text = resources.GetString("btnRemoveUserMode.Text");
			this.btnRemoveUserMode.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnRemoveUserMode.TextAlign")));
			this.btnRemoveUserMode.Visible = ((bool)(resources.GetObject("btnRemoveUserMode.Visible")));
			this.btnRemoveUserMode.Click += new System.EventHandler(this.btnRemoveUserMode_Click);
			// 
			// btnAddUserMode
			// 
			this.btnAddUserMode.AccessibleDescription = resources.GetString("btnAddUserMode.AccessibleDescription");
			this.btnAddUserMode.AccessibleName = resources.GetString("btnAddUserMode.AccessibleName");
			this.btnAddUserMode.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnAddUserMode.Anchor")));
			this.btnAddUserMode.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnAddUserMode.BackgroundImage")));
			this.btnAddUserMode.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnAddUserMode.Dock")));
			this.btnAddUserMode.Enabled = ((bool)(resources.GetObject("btnAddUserMode.Enabled")));
			this.btnAddUserMode.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnAddUserMode.FlatStyle")));
			this.btnAddUserMode.Font = ((System.Drawing.Font)(resources.GetObject("btnAddUserMode.Font")));
			this.btnAddUserMode.Image = ((System.Drawing.Image)(resources.GetObject("btnAddUserMode.Image")));
			this.btnAddUserMode.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnAddUserMode.ImageAlign")));
			this.btnAddUserMode.ImageIndex = ((int)(resources.GetObject("btnAddUserMode.ImageIndex")));
			this.btnAddUserMode.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnAddUserMode.ImeMode")));
			this.btnAddUserMode.Location = ((System.Drawing.Point)(resources.GetObject("btnAddUserMode.Location")));
			this.btnAddUserMode.Name = "btnAddUserMode";
			this.btnAddUserMode.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnAddUserMode.RightToLeft")));
			this.btnAddUserMode.Size = ((System.Drawing.Size)(resources.GetObject("btnAddUserMode.Size")));
			this.btnAddUserMode.TabIndex = ((int)(resources.GetObject("btnAddUserMode.TabIndex")));
			this.btnAddUserMode.Text = resources.GetString("btnAddUserMode.Text");
			this.btnAddUserMode.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnAddUserMode.TextAlign")));
			this.btnAddUserMode.Visible = ((bool)(resources.GetObject("btnAddUserMode.Visible")));
			this.btnAddUserMode.Click += new System.EventHandler(this.btnAddUserMode_Click);
			// 
			// lstUserModes
			// 
			this.lstUserModes.AccessibleDescription = resources.GetString("lstUserModes.AccessibleDescription");
			this.lstUserModes.AccessibleName = resources.GetString("lstUserModes.AccessibleName");
			this.lstUserModes.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lstUserModes.Anchor")));
			this.lstUserModes.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("lstUserModes.BackgroundImage")));
			this.lstUserModes.ColumnWidth = ((int)(resources.GetObject("lstUserModes.ColumnWidth")));
			this.lstUserModes.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lstUserModes.Dock")));
			this.lstUserModes.Enabled = ((bool)(resources.GetObject("lstUserModes.Enabled")));
			this.lstUserModes.Font = ((System.Drawing.Font)(resources.GetObject("lstUserModes.Font")));
			this.lstUserModes.HorizontalExtent = ((int)(resources.GetObject("lstUserModes.HorizontalExtent")));
			this.lstUserModes.HorizontalScrollbar = ((bool)(resources.GetObject("lstUserModes.HorizontalScrollbar")));
			this.lstUserModes.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lstUserModes.ImeMode")));
			this.lstUserModes.IntegralHeight = ((bool)(resources.GetObject("lstUserModes.IntegralHeight")));
			this.lstUserModes.ItemHeight = ((int)(resources.GetObject("lstUserModes.ItemHeight")));
			this.lstUserModes.Location = ((System.Drawing.Point)(resources.GetObject("lstUserModes.Location")));
			this.lstUserModes.Name = "lstUserModes";
			this.lstUserModes.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lstUserModes.RightToLeft")));
			this.lstUserModes.ScrollAlwaysVisible = ((bool)(resources.GetObject("lstUserModes.ScrollAlwaysVisible")));
			this.lstUserModes.Size = ((System.Drawing.Size)(resources.GetObject("lstUserModes.Size")));
			this.lstUserModes.TabIndex = ((int)(resources.GetObject("lstUserModes.TabIndex")));
			this.lstUserModes.Visible = ((bool)(resources.GetObject("lstUserModes.Visible")));
			// 
			// label15
			// 
			this.label15.AccessibleDescription = resources.GetString("label15.AccessibleDescription");
			this.label15.AccessibleName = resources.GetString("label15.AccessibleName");
			this.label15.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label15.Anchor")));
			this.label15.AutoSize = ((bool)(resources.GetObject("label15.AutoSize")));
			this.label15.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label15.Dock")));
			this.label15.Enabled = ((bool)(resources.GetObject("label15.Enabled")));
			this.label15.Font = ((System.Drawing.Font)(resources.GetObject("label15.Font")));
			this.label15.Image = ((System.Drawing.Image)(resources.GetObject("label15.Image")));
			this.label15.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label15.ImageAlign")));
			this.label15.ImageIndex = ((int)(resources.GetObject("label15.ImageIndex")));
			this.label15.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label15.ImeMode")));
			this.label15.Location = ((System.Drawing.Point)(resources.GetObject("label15.Location")));
			this.label15.Name = "label15";
			this.label15.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label15.RightToLeft")));
			this.label15.Size = ((System.Drawing.Size)(resources.GetObject("label15.Size")));
			this.label15.TabIndex = ((int)(resources.GetObject("label15.TabIndex")));
			this.label15.Text = resources.GetString("label15.Text");
			this.label15.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label15.TextAlign")));
			this.label15.Visible = ((bool)(resources.GetObject("label15.Visible")));
			// 
			// chkAwayScreenSaver
			// 
			this.chkAwayScreenSaver.AccessibleDescription = resources.GetString("chkAwayScreenSaver.AccessibleDescription");
			this.chkAwayScreenSaver.AccessibleName = resources.GetString("chkAwayScreenSaver.AccessibleName");
			this.chkAwayScreenSaver.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkAwayScreenSaver.Anchor")));
			this.chkAwayScreenSaver.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkAwayScreenSaver.Appearance")));
			this.chkAwayScreenSaver.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkAwayScreenSaver.BackgroundImage")));
			this.chkAwayScreenSaver.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayScreenSaver.CheckAlign")));
			this.chkAwayScreenSaver.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkAwayScreenSaver.Dock")));
			this.chkAwayScreenSaver.Enabled = ((bool)(resources.GetObject("chkAwayScreenSaver.Enabled")));
			this.chkAwayScreenSaver.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkAwayScreenSaver.FlatStyle")));
			this.chkAwayScreenSaver.Font = ((System.Drawing.Font)(resources.GetObject("chkAwayScreenSaver.Font")));
			this.chkAwayScreenSaver.Image = ((System.Drawing.Image)(resources.GetObject("chkAwayScreenSaver.Image")));
			this.chkAwayScreenSaver.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayScreenSaver.ImageAlign")));
			this.chkAwayScreenSaver.ImageIndex = ((int)(resources.GetObject("chkAwayScreenSaver.ImageIndex")));
			this.chkAwayScreenSaver.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkAwayScreenSaver.ImeMode")));
			this.chkAwayScreenSaver.Location = ((System.Drawing.Point)(resources.GetObject("chkAwayScreenSaver.Location")));
			this.chkAwayScreenSaver.Name = "chkAwayScreenSaver";
			this.chkAwayScreenSaver.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkAwayScreenSaver.RightToLeft")));
			this.chkAwayScreenSaver.Size = ((System.Drawing.Size)(resources.GetObject("chkAwayScreenSaver.Size")));
			this.chkAwayScreenSaver.TabIndex = ((int)(resources.GetObject("chkAwayScreenSaver.TabIndex")));
			this.chkAwayScreenSaver.Text = resources.GetString("chkAwayScreenSaver.Text");
			this.chkAwayScreenSaver.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayScreenSaver.TextAlign")));
			this.chkAwayScreenSaver.Visible = ((bool)(resources.GetObject("chkAwayScreenSaver.Visible")));
			// 
			// chkAwayLock
			// 
			this.chkAwayLock.AccessibleDescription = resources.GetString("chkAwayLock.AccessibleDescription");
			this.chkAwayLock.AccessibleName = resources.GetString("chkAwayLock.AccessibleName");
			this.chkAwayLock.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkAwayLock.Anchor")));
			this.chkAwayLock.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkAwayLock.Appearance")));
			this.chkAwayLock.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkAwayLock.BackgroundImage")));
			this.chkAwayLock.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayLock.CheckAlign")));
			this.chkAwayLock.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkAwayLock.Dock")));
			this.chkAwayLock.Enabled = ((bool)(resources.GetObject("chkAwayLock.Enabled")));
			this.chkAwayLock.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkAwayLock.FlatStyle")));
			this.chkAwayLock.Font = ((System.Drawing.Font)(resources.GetObject("chkAwayLock.Font")));
			this.chkAwayLock.Image = ((System.Drawing.Image)(resources.GetObject("chkAwayLock.Image")));
			this.chkAwayLock.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayLock.ImageAlign")));
			this.chkAwayLock.ImageIndex = ((int)(resources.GetObject("chkAwayLock.ImageIndex")));
			this.chkAwayLock.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkAwayLock.ImeMode")));
			this.chkAwayLock.Location = ((System.Drawing.Point)(resources.GetObject("chkAwayLock.Location")));
			this.chkAwayLock.Name = "chkAwayLock";
			this.chkAwayLock.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkAwayLock.RightToLeft")));
			this.chkAwayLock.Size = ((System.Drawing.Size)(resources.GetObject("chkAwayLock.Size")));
			this.chkAwayLock.TabIndex = ((int)(resources.GetObject("chkAwayLock.TabIndex")));
			this.chkAwayLock.Text = resources.GetString("chkAwayLock.Text");
			this.chkAwayLock.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayLock.TextAlign")));
			this.chkAwayLock.Visible = ((bool)(resources.GetObject("chkAwayLock.Visible")));
			// 
			// chkAwayDelay
			// 
			this.chkAwayDelay.AccessibleDescription = resources.GetString("chkAwayDelay.AccessibleDescription");
			this.chkAwayDelay.AccessibleName = resources.GetString("chkAwayDelay.AccessibleName");
			this.chkAwayDelay.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("chkAwayDelay.Anchor")));
			this.chkAwayDelay.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("chkAwayDelay.Appearance")));
			this.chkAwayDelay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chkAwayDelay.BackgroundImage")));
			this.chkAwayDelay.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayDelay.CheckAlign")));
			this.chkAwayDelay.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("chkAwayDelay.Dock")));
			this.chkAwayDelay.Enabled = ((bool)(resources.GetObject("chkAwayDelay.Enabled")));
			this.chkAwayDelay.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("chkAwayDelay.FlatStyle")));
			this.chkAwayDelay.Font = ((System.Drawing.Font)(resources.GetObject("chkAwayDelay.Font")));
			this.chkAwayDelay.Image = ((System.Drawing.Image)(resources.GetObject("chkAwayDelay.Image")));
			this.chkAwayDelay.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayDelay.ImageAlign")));
			this.chkAwayDelay.ImageIndex = ((int)(resources.GetObject("chkAwayDelay.ImageIndex")));
			this.chkAwayDelay.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("chkAwayDelay.ImeMode")));
			this.chkAwayDelay.Location = ((System.Drawing.Point)(resources.GetObject("chkAwayDelay.Location")));
			this.chkAwayDelay.Name = "chkAwayDelay";
			this.chkAwayDelay.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("chkAwayDelay.RightToLeft")));
			this.chkAwayDelay.Size = ((System.Drawing.Size)(resources.GetObject("chkAwayDelay.Size")));
			this.chkAwayDelay.TabIndex = ((int)(resources.GetObject("chkAwayDelay.TabIndex")));
			this.chkAwayDelay.Text = resources.GetString("chkAwayDelay.Text");
			this.chkAwayDelay.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("chkAwayDelay.TextAlign")));
			this.chkAwayDelay.Visible = ((bool)(resources.GetObject("chkAwayDelay.Visible")));
			this.chkAwayDelay.CheckedChanged += new System.EventHandler(this.chkAwayDelay_CheckedChanged);
			// 
			// updAwayDelay
			// 
			this.updAwayDelay.AccessibleDescription = resources.GetString("updAwayDelay.AccessibleDescription");
			this.updAwayDelay.AccessibleName = resources.GetString("updAwayDelay.AccessibleName");
			this.updAwayDelay.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("updAwayDelay.Anchor")));
			this.updAwayDelay.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("updAwayDelay.Dock")));
			this.updAwayDelay.Enabled = ((bool)(resources.GetObject("updAwayDelay.Enabled")));
			this.updAwayDelay.Font = ((System.Drawing.Font)(resources.GetObject("updAwayDelay.Font")));
			this.updAwayDelay.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("updAwayDelay.ImeMode")));
			this.updAwayDelay.Location = ((System.Drawing.Point)(resources.GetObject("updAwayDelay.Location")));
			this.updAwayDelay.Maximum = new System.Decimal(new int[] {
																		 300,
																		 0,
																		 0,
																		 0});
			this.updAwayDelay.Minimum = new System.Decimal(new int[] {
																		 1,
																		 0,
																		 0,
																		 0});
			this.updAwayDelay.Name = "updAwayDelay";
			this.updAwayDelay.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("updAwayDelay.RightToLeft")));
			this.updAwayDelay.Size = ((System.Drawing.Size)(resources.GetObject("updAwayDelay.Size")));
			this.updAwayDelay.TabIndex = ((int)(resources.GetObject("updAwayDelay.TabIndex")));
			this.updAwayDelay.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("updAwayDelay.TextAlign")));
			this.updAwayDelay.ThousandsSeparator = ((bool)(resources.GetObject("updAwayDelay.ThousandsSeparator")));
			this.updAwayDelay.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("updAwayDelay.UpDownAlign")));
			this.updAwayDelay.Value = new System.Decimal(new int[] {
																	   5,
																	   0,
																	   0,
																	   0});
			this.updAwayDelay.Visible = ((bool)(resources.GetObject("updAwayDelay.Visible")));
			// 
			// lblAway
			// 
			this.lblAway.AccessibleDescription = resources.GetString("lblAway.AccessibleDescription");
			this.lblAway.AccessibleName = resources.GetString("lblAway.AccessibleName");
			this.lblAway.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lblAway.Anchor")));
			this.lblAway.AutoSize = ((bool)(resources.GetObject("lblAway.AutoSize")));
			this.lblAway.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lblAway.Dock")));
			this.lblAway.Enabled = ((bool)(resources.GetObject("lblAway.Enabled")));
			this.lblAway.Font = ((System.Drawing.Font)(resources.GetObject("lblAway.Font")));
			this.lblAway.Image = ((System.Drawing.Image)(resources.GetObject("lblAway.Image")));
			this.lblAway.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblAway.ImageAlign")));
			this.lblAway.ImageIndex = ((int)(resources.GetObject("lblAway.ImageIndex")));
			this.lblAway.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lblAway.ImeMode")));
			this.lblAway.Location = ((System.Drawing.Point)(resources.GetObject("lblAway.Location")));
			this.lblAway.Name = "lblAway";
			this.lblAway.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lblAway.RightToLeft")));
			this.lblAway.Size = ((System.Drawing.Size)(resources.GetObject("lblAway.Size")));
			this.lblAway.TabIndex = ((int)(resources.GetObject("lblAway.TabIndex")));
			this.lblAway.Text = resources.GetString("lblAway.Text");
			this.lblAway.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("lblAway.TextAlign")));
			this.lblAway.Visible = ((bool)(resources.GetObject("lblAway.Visible")));
			// 
			// panelAutoUpdate
			// 
			this.panelAutoUpdate.AccessibleDescription = resources.GetString("panelAutoUpdate.AccessibleDescription");
			this.panelAutoUpdate.AccessibleName = resources.GetString("panelAutoUpdate.AccessibleName");
			this.panelAutoUpdate.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panelAutoUpdate.Anchor")));
			this.panelAutoUpdate.AutoScroll = ((bool)(resources.GetObject("panelAutoUpdate.AutoScroll")));
			this.panelAutoUpdate.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panelAutoUpdate.AutoScrollMargin")));
			this.panelAutoUpdate.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panelAutoUpdate.AutoScrollMinSize")));
			this.panelAutoUpdate.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panelAutoUpdate.BackgroundImage")));
			this.panelAutoUpdate.Controls.Add(this.labelAutoUpdateEvery2);
			this.panelAutoUpdate.Controls.Add(this.updAutoUpdateDelay);
			this.panelAutoUpdate.Controls.Add(this.labelAutoUpdateEvery1);
			this.panelAutoUpdate.Controls.Add(this.chkAutoUpdate);
			this.panelAutoUpdate.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panelAutoUpdate.Dock")));
			this.panelAutoUpdate.Enabled = ((bool)(resources.GetObject("panelAutoUpdate.Enabled")));
			this.panelAutoUpdate.Font = ((System.Drawing.Font)(resources.GetObject("panelAutoUpdate.Font")));
			this.panelAutoUpdate.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panelAutoUpdate.ImeMode")));
			this.panelAutoUpdate.Location = ((System.Drawing.Point)(resources.GetObject("panelAutoUpdate.Location")));
			this.panelAutoUpdate.Name = "panelAutoUpdate";
			this.panelAutoUpdate.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panelAutoUpdate.RightToLeft")));
			this.panelAutoUpdate.Size = ((System.Drawing.Size)(resources.GetObject("panelAutoUpdate.Size")));
			this.panelAutoUpdate.TabIndex = ((int)(resources.GetObject("panelAutoUpdate.TabIndex")));
			this.panelAutoUpdate.Text = resources.GetString("panelAutoUpdate.Text");
			this.panelAutoUpdate.Visible = ((bool)(resources.GetObject("panelAutoUpdate.Visible")));
			// 
			// labelAutoUpdateEvery1
			// 
			this.labelAutoUpdateEvery1.AccessibleDescription = resources.GetString("labelAutoUpdateEvery1.AccessibleDescription");
			this.labelAutoUpdateEvery1.AccessibleName = resources.GetString("labelAutoUpdateEvery1.AccessibleName");
			this.labelAutoUpdateEvery1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("labelAutoUpdateEvery1.Anchor")));
			this.labelAutoUpdateEvery1.AutoSize = ((bool)(resources.GetObject("labelAutoUpdateEvery1.AutoSize")));
			this.labelAutoUpdateEvery1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("labelAutoUpdateEvery1.Dock")));
			this.labelAutoUpdateEvery1.Enabled = ((bool)(resources.GetObject("labelAutoUpdateEvery1.Enabled")));
			this.labelAutoUpdateEvery1.Font = ((System.Drawing.Font)(resources.GetObject("labelAutoUpdateEvery1.Font")));
			this.labelAutoUpdateEvery1.Image = ((System.Drawing.Image)(resources.GetObject("labelAutoUpdateEvery1.Image")));
			this.labelAutoUpdateEvery1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAutoUpdateEvery1.ImageAlign")));
			this.labelAutoUpdateEvery1.ImageIndex = ((int)(resources.GetObject("labelAutoUpdateEvery1.ImageIndex")));
			this.labelAutoUpdateEvery1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("labelAutoUpdateEvery1.ImeMode")));
			this.labelAutoUpdateEvery1.Location = ((System.Drawing.Point)(resources.GetObject("labelAutoUpdateEvery1.Location")));
			this.labelAutoUpdateEvery1.Name = "labelAutoUpdateEvery1";
			this.labelAutoUpdateEvery1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("labelAutoUpdateEvery1.RightToLeft")));
			this.labelAutoUpdateEvery1.Size = ((System.Drawing.Size)(resources.GetObject("labelAutoUpdateEvery1.Size")));
			this.labelAutoUpdateEvery1.TabIndex = ((int)(resources.GetObject("labelAutoUpdateEvery1.TabIndex")));
			this.labelAutoUpdateEvery1.Text = resources.GetString("labelAutoUpdateEvery1.Text");
			this.labelAutoUpdateEvery1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAutoUpdateEvery1.TextAlign")));
			this.labelAutoUpdateEvery1.Visible = ((bool)(resources.GetObject("labelAutoUpdateEvery1.Visible")));
			// 
			// updAutoUpdateDelay
			// 
			this.updAutoUpdateDelay.AccessibleDescription = resources.GetString("updAutoUpdateDelay.AccessibleDescription");
			this.updAutoUpdateDelay.AccessibleName = resources.GetString("updAutoUpdateDelay.AccessibleName");
			this.updAutoUpdateDelay.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("updAutoUpdateDelay.Anchor")));
			this.updAutoUpdateDelay.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("updAutoUpdateDelay.Dock")));
			this.updAutoUpdateDelay.Enabled = ((bool)(resources.GetObject("updAutoUpdateDelay.Enabled")));
			this.updAutoUpdateDelay.Font = ((System.Drawing.Font)(resources.GetObject("updAutoUpdateDelay.Font")));
			this.updAutoUpdateDelay.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("updAutoUpdateDelay.ImeMode")));
			this.updAutoUpdateDelay.Location = ((System.Drawing.Point)(resources.GetObject("updAutoUpdateDelay.Location")));
			this.updAutoUpdateDelay.Minimum = new System.Decimal(new int[] {
																			   1,
																			   0,
																			   0,
																			   0});
			this.updAutoUpdateDelay.Name = "updAutoUpdateDelay";
			this.updAutoUpdateDelay.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("updAutoUpdateDelay.RightToLeft")));
			this.updAutoUpdateDelay.Size = ((System.Drawing.Size)(resources.GetObject("updAutoUpdateDelay.Size")));
			this.updAutoUpdateDelay.TabIndex = ((int)(resources.GetObject("updAutoUpdateDelay.TabIndex")));
			this.updAutoUpdateDelay.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("updAutoUpdateDelay.TextAlign")));
			this.updAutoUpdateDelay.ThousandsSeparator = ((bool)(resources.GetObject("updAutoUpdateDelay.ThousandsSeparator")));
			this.updAutoUpdateDelay.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("updAutoUpdateDelay.UpDownAlign")));
			this.updAutoUpdateDelay.Value = new System.Decimal(new int[] {
																			 1,
																			 0,
																			 0,
																			 0});
			this.updAutoUpdateDelay.Visible = ((bool)(resources.GetObject("updAutoUpdateDelay.Visible")));
			// 
			// labelAutoUpdateEvery2
			// 
			this.labelAutoUpdateEvery2.AccessibleDescription = resources.GetString("labelAutoUpdateEvery2.AccessibleDescription");
			this.labelAutoUpdateEvery2.AccessibleName = resources.GetString("labelAutoUpdateEvery2.AccessibleName");
			this.labelAutoUpdateEvery2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("labelAutoUpdateEvery2.Anchor")));
			this.labelAutoUpdateEvery2.AutoSize = ((bool)(resources.GetObject("labelAutoUpdateEvery2.AutoSize")));
			this.labelAutoUpdateEvery2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("labelAutoUpdateEvery2.Dock")));
			this.labelAutoUpdateEvery2.Enabled = ((bool)(resources.GetObject("labelAutoUpdateEvery2.Enabled")));
			this.labelAutoUpdateEvery2.Font = ((System.Drawing.Font)(resources.GetObject("labelAutoUpdateEvery2.Font")));
			this.labelAutoUpdateEvery2.Image = ((System.Drawing.Image)(resources.GetObject("labelAutoUpdateEvery2.Image")));
			this.labelAutoUpdateEvery2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAutoUpdateEvery2.ImageAlign")));
			this.labelAutoUpdateEvery2.ImageIndex = ((int)(resources.GetObject("labelAutoUpdateEvery2.ImageIndex")));
			this.labelAutoUpdateEvery2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("labelAutoUpdateEvery2.ImeMode")));
			this.labelAutoUpdateEvery2.Location = ((System.Drawing.Point)(resources.GetObject("labelAutoUpdateEvery2.Location")));
			this.labelAutoUpdateEvery2.Name = "labelAutoUpdateEvery2";
			this.labelAutoUpdateEvery2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("labelAutoUpdateEvery2.RightToLeft")));
			this.labelAutoUpdateEvery2.Size = ((System.Drawing.Size)(resources.GetObject("labelAutoUpdateEvery2.Size")));
			this.labelAutoUpdateEvery2.TabIndex = ((int)(resources.GetObject("labelAutoUpdateEvery2.TabIndex")));
			this.labelAutoUpdateEvery2.Text = resources.GetString("labelAutoUpdateEvery2.Text");
			this.labelAutoUpdateEvery2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("labelAutoUpdateEvery2.TextAlign")));
			this.labelAutoUpdateEvery2.Visible = ((bool)(resources.GetObject("labelAutoUpdateEvery2.Visible")));
			// 
			// OptionsForm
			// 
			this.AcceptButton = this.btnOK;
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.CancelButton = this.btnCancel;
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.panelAutoUpdate);
			this.Controls.Add(this.panelModes);
			this.Controls.Add(this.panelParanoia);
			this.Controls.Add(this.panelNotifications);
			this.Controls.Add(this.panelWindow);
			this.Controls.Add(this.panelConnection);
			this.Controls.Add(this.lblCategoryTitle);
			this.Controls.Add(this.lstCategories);
			this.Controls.Add(this.panel1);
			this.DockPadding.Left = 10;
			this.DockPadding.Right = 10;
			this.DockPadding.Top = 10;
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "OptionsForm";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Load += new System.EventHandler(this.OptionsForm_Load);
			this.panel1.ResumeLayout(false);
			this.panelConnection.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.groupBox1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.txtRefreshInterval)).EndInit();
			this.panelWindow.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.updAutoResizeMax)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.trOpacity)).EndInit();
			this.panelNotifications.ResumeLayout(false);
			this.panelParanoia.ResumeLayout(false);
			this.panelModes.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.updAwayDelay)).EndInit();
			this.panelAutoUpdate.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.updAutoUpdateDelay)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion


		private void lstCategories_MeasureItem(object sender, System.Windows.Forms.MeasureItemEventArgs e) {
			if(lstCategories.Items[e.Index].ToString() == "-") {
				e.ItemHeight = 3;
			} else {
				e.ItemHeight = 19;
			}
		} 
		

		private Panel[] panels = null;

		private void lstCategories_SelectedIndexChanged(object sender, System.EventArgs e) {
			if(lstCategories.SelectedItem.ToString() == "-") { 
				return;
			}

			Panel p = panels[lstCategories.SelectedIndex];
			if(p == null) {
				return;
			}

			lblCategoryTitle.Text = lstCategories.SelectedItem.ToString();

			for(int i = 0; i < panels.Length; i++) {
				if(panels[i] != null) {
					panels[i].Visible = false;
					panels[i].Dock = DockStyle.None;
				}
			}

			p.Dock = DockStyle.Fill;
			p.Visible = true;
		}

		private void lstCategories_DrawItem(object sender, System.Windows.Forms.DrawItemEventArgs e) {
			if(lstCategories.Items[e.Index].ToString() == "-") {
				e.Graphics.DrawLine(SystemPens.GrayText, e.Bounds.Left, e.Bounds.Top +1, e.Bounds.Right, e.Bounds.Top+1);
			}
			else {
				StringFormat sf = new StringFormat();
				sf.LineAlignment = StringAlignment.Center;

				e.DrawBackground();
				e.Graphics.DrawString(lstCategories.Items[e.Index].ToString(), e.Font, new SolidBrush(e.ForeColor),
					e.Bounds, sf);
			}
		}

		private void LoadSettings() {

			chkEncryptPasswords.Enabled = chkEncryptMailCache.Enabled = chkEncryptHistory.Enabled = DataProtection.IsSupported;
			if(!DataProtection.IsSupported) {
				chkEncryptPasswords.Checked = chkEncryptMailCache.Checked = chkEncryptHistory.Checked = false;
			}

			chkEncryptPasswords.Checked = Startup.Config.EncryptPassword;
			txtUsername.Text = Startup.Config.UserName;
			txtPassword.Text = Startup.Config.Password;
			txtWebPassword.Text = Startup.Config.WebPassword;
			txtRefreshInterval.Value = Startup.Config.RefreshInterval / 1000;
			cboIconSize.SelectedIndex = (int)Startup.Config.IconSize;
			chkAlternativeTime.Checked = Startup.Config.ShowAltTime;
			chkAlwaysOnTop.Checked = Startup.Config.AlwaysOnTop;
			trOpacity.Value = Startup.Config.Opacity;
			chkShowInTaskbar.Checked = Startup.Config.ShowInTaskbar;
			chkRunAtStartup.Checked = Startup.Config.RunAtStartup;

			cboMailNotify.SelectedIndex = (int)Startup.Config.MailNotify;
			cboFriendOnNotify.SelectedIndex = (int)Startup.Config.FriendOnlineNotify - 1; // -1 because we do not include ShowWindow
			cboFriendOffNotify.SelectedIndex = (int)Startup.Config.FriendOfflineNotify - 1;
			cboWriteupNotify.SelectedIndex = (int)Startup.Config.WriteupNotify - 1;

			chkEncryptMailCache.Checked = Startup.Config.EncryptMailCache;
			chkEncryptHistory.Checked = Startup.Config.EncryptHistory;

			chkAutoResize.Checked = Startup.Config.AutoResize;
			updAutoResizeMax.Value = (decimal)(Startup.Config.AutoResizeMax * 100d);
			chkAutoResize_CheckedChanged(this, EventArgs.Empty);

			if(Startup.Config.Proxy == null || Startup.Config.Proxy.Address == null) {
				chkUseProxy.Checked = false;
				chkUseProxy_CheckedChanged(this, EventArgs.Empty);
			} else {
				chkUseProxy.Checked = true;
				txtProxyAddress.Text = Startup.Config.Proxy.Address.Host;
				txtProxyPort.Text = Startup.Config.Proxy.Address.Port.ToString();
			}

			chkAutoUpdate.Checked = Startup.Config.AutoUpdate;
			updAutoUpdateDelay.Value = Startup.Config.AutoUpdateInterval;

			chkAwayLock.Checked = Startup.Config.AutoAwayOnLock;
			chkAwayScreenSaver.Checked = Startup.Config.AutoAwayOnScreensaver;
			
			chkAwayDelay.Checked = (Startup.Config.AutoAwayDelay < int.MaxValue);
			chkAwayDelay_CheckedChanged(this, EventArgs.Empty);
			if(chkAwayDelay.Checked) {
				updAwayDelay.Value = (decimal)(Startup.Config.AutoAwayDelay / 60);
			}

			for(int i = 0; i < Startup.Config.UserModes.Count; i++) {
				lstUserModes.Items.Add((string)Startup.Config.UserModes[i]);
			}
		}

		private void SaveSettings() {
			Startup.Config.EncryptPassword = chkEncryptPasswords.Checked;
			Startup.Config.UserName = txtUsername.Text;
			Startup.Config.Password = txtPassword.Text;
			Startup.Config.WebPassword = txtWebPassword.Text;
			Startup.Config.RefreshInterval = 1000 * (int)txtRefreshInterval.Value;
			Startup.Config.IconSize = (FriendsListBoxView)cboIconSize.SelectedIndex;
			Startup.Config.ShowAltTime = chkAlternativeTime.Checked;
			Startup.Config.AlwaysOnTop = chkAlwaysOnTop.Checked;
			Startup.Config.Opacity = trOpacity.Value;
			Startup.Config.ShowInTaskbar = chkShowInTaskbar.Checked;
			Startup.Config.RunAtStartup = chkRunAtStartup.Checked;
			Startup.Config.AutoResize = chkAutoResize.Checked;

			if(chkAutoResize.Checked) {
				Startup.Config.AutoResizeMax = (double)updAutoResizeMax.Value / 100d;
			}

			Startup.Config.MailNotify = (Config.NotificationType)cboMailNotify.SelectedIndex;
			Startup.Config.FriendOnlineNotify = (Config.NotificationType)(cboFriendOnNotify.SelectedIndex + 1); // +1 because we do not include ShowWindow
			Startup.Config.FriendOfflineNotify = (Config.NotificationType)(cboFriendOffNotify.SelectedIndex + 1);
			Startup.Config.WriteupNotify = (Config.NotificationType)(cboWriteupNotify.SelectedIndex + 1);

			Startup.Config.EncryptMailCache = chkEncryptMailCache.Checked;
			Startup.Config.EncryptHistory = chkEncryptHistory.Checked;

			if(chkUseProxy.Checked) {
				Startup.Config.Proxy = new System.Net.WebProxy(txtProxyAddress.Text, int.Parse(txtProxyPort.Text));
			} else {
				Startup.Config.Proxy = null;
			}

			Startup.Config.AutoAwayDelay = (chkAwayDelay.Checked ? (int)updAwayDelay.Value * 60 : int.MaxValue);
			Startup.Config.AutoAwayOnLock = chkAwayLock.Checked;
			Startup.Config.AutoAwayOnScreensaver = chkAwayScreenSaver.Checked;

			Startup.Config.UserModes.Clear();
			for(int i = 0; i < lstUserModes.Items.Count; i++) {
				Startup.Config.UserModes.Add((string)lstUserModes.Items[i]);
			}

			Startup.Config.AutoUpdate = chkAutoUpdate.Checked;
			Startup.Config.AutoUpdateInterval = (int)updAutoUpdateDelay.Value;
		

			Startup.Config.Save();
			Startup.MailCache.Save();
			Startup.History.Save();
			((MainForm)Owner).Init();
		}

		private void btnOK_Click(object sender, System.EventArgs e) {
			Hide();
			SaveSettings();
			Close();
		}

		private void btnCancel_Click(object sender, System.EventArgs e) {
			Close();
		}

		private void OptionsForm_Load(object sender, System.EventArgs e) {
			Size = MinimumSize;
			lstCategories.SelectedIndex = 0;
			LoadSettings();
		}

		private void btnPickOnlineNotify_Click(object sender, System.EventArgs e) {
			PickFriendsForm.ChangeFriendsOnlineList(this);
		}

		private void btnPickOfflineNotify_Click(object sender, System.EventArgs e) {
			PickFriendsForm.ChangeFriendsOfflineList(this);
		}

		private void chkUseProxy_CheckedChanged(object sender, System.EventArgs e) {
			label8.Enabled = txtProxyAddress.Enabled = label9.Enabled = txtProxyPort.Enabled = chkUseProxy.Checked;
		}

		private void lnkChangeExternal_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e) {
			WebActions.Preferences();
		}

		private void chkAutoResize_CheckedChanged(object sender, System.EventArgs e) {
			label13.Enabled = updAutoResizeMax.Enabled = label14.Enabled = chkAutoResize.Checked;
		}

		private void btnAddUserMode_Click(object sender, System.EventArgs e) {
			if(lstUserModes.Items.Contains(txtNewUserMode.Text) ||
				txtNewUserMode.Text.Trim().Length == 0) return;

			lstUserModes.Items.Add(txtNewUserMode.Text.Trim());
			txtNewUserMode.Text = string.Empty;
		}

		private void btnRemoveUserMode_Click(object sender, System.EventArgs e) {
			if(lstUserModes.SelectedIndex < 0) return;

			txtNewUserMode.Text = (string)lstUserModes.Items[lstUserModes.SelectedIndex];
			lstUserModes.Items.RemoveAt(lstUserModes.SelectedIndex);

			txtNewUserMode.Focus();
			txtNewUserMode.SelectAll();
		}

		private void chkAwayDelay_CheckedChanged(object sender, System.EventArgs e) {
			updAwayDelay.Enabled = lblAway.Enabled = chkAwayDelay.Checked;
		}

		private void chkAutoUpdate_CheckedChanged(object sender, System.EventArgs e) {
			labelAutoUpdateEvery1.Enabled = labelAutoUpdateEvery2.Enabled = updAutoUpdateDelay.Enabled =
				chkAutoUpdate.Checked;
		}
	}
}
