using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace jachymko.Nyx.Wokno {
	/// <summary>
	/// Summary description for PickFriendsForm.
	/// </summary>
	public class PickFriendsForm : System.Windows.Forms.Form {
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.CheckedListBox lstFriends;
		private System.Windows.Forms.LinkLabel lnkAll;
		private System.Windows.Forms.LinkLabel lnkNone;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private PickFriendsForm() {
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if(components != null) {
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.label1 = new System.Windows.Forms.Label();
			this.btnOK = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.lstFriends = new System.Windows.Forms.CheckedListBox();
			this.lnkAll = new System.Windows.Forms.LinkLabel();
			this.lnkNone = new System.Windows.Forms.LinkLabel();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(240, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Notify when these friends disconnect:";
			// 
			// btnOK
			// 
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnOK.Location = new System.Drawing.Point(232, 24);
			this.btnOK.Name = "btnOK";
			this.btnOK.TabIndex = 2;
			this.btnOK.Text = "OK";
			// 
			// btnCancel
			// 
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnCancel.Location = new System.Drawing.Point(232, 56);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 2;
			this.btnCancel.Text = "Cancel";
			// 
			// lstFriends
			// 
			this.lstFriends.Items.AddRange(new object[] {
															"aaa",
															"bbb",
															"ccc"});
			this.lstFriends.Location = new System.Drawing.Point(8, 24);
			this.lstFriends.Name = "lstFriends";
			this.lstFriends.Size = new System.Drawing.Size(216, 212);
			this.lstFriends.TabIndex = 3;
			// 
			// lnkAll
			// 
			this.lnkAll.Location = new System.Drawing.Point(8, 240);
			this.lnkAll.Name = "lnkAll";
			this.lnkAll.Size = new System.Drawing.Size(24, 16);
			this.lnkAll.TabIndex = 4;
			this.lnkAll.TabStop = true;
			this.lnkAll.Text = "All";
			this.lnkAll.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnkAll_LinkClicked);
			// 
			// lnkNone
			// 
			this.lnkNone.Location = new System.Drawing.Point(32, 240);
			this.lnkNone.Name = "lnkNone";
			this.lnkNone.Size = new System.Drawing.Size(32, 16);
			this.lnkNone.TabIndex = 4;
			this.lnkNone.TabStop = true;
			this.lnkNone.Text = "None";
			this.lnkNone.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnkNone_LinkClicked);
			// 
			// PickFriendsForm
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(322, 271);
			this.Controls.Add(this.lnkAll);
			this.Controls.Add(this.lstFriends);
			this.Controls.Add(this.btnOK);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.lnkNone);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(238)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "PickFriendsForm";
			this.Text = "Pick Friends";
			this.Load += new System.EventHandler(this.PickFriendsForm_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void PickFriendsForm_Load(object sender, System.EventArgs e) {
		
		}

		public static void ChangeFriendsOnlineList(IWin32Window owner) {
			PickFriendsForm pf = new PickFriendsForm();
			
			pf.lstFriends.BeginUpdate();
			pf.lstFriends.Items.Clear();
			pf.lstFriends.Items.Add("[ALL OTHER]", Startup.Config.NotifyUnknownOnline);
			for(int i = 0; i < Startup.Config.AllFriends.Count; i++) {
				pf.lstFriends.Items.Add(Startup.Config.AllFriends[i], Startup.Config.AllFriends.GetNotifyOnline(i));
			}
			pf.lstFriends.EndUpdate();
			
			pf.label1.Text = "Notify when these friends connect:";

			if(pf.ShowDialog(owner) == DialogResult.OK) {
				Startup.Config.NotifyUnknownOnline = pf.lstFriends.GetItemChecked(0);
				for(int i = 1; i < pf.lstFriends.Items.Count; i++) {
					Startup.Config.AllFriends.SetNotifyOnline(pf.lstFriends.Items[i].ToString(), pf.lstFriends.CheckedIndices.Contains(i));
				}
			}
		}

		public static void ChangeFriendsOfflineList(IWin32Window owner) {
			PickFriendsForm pf = new PickFriendsForm();
			
			pf.lstFriends.BeginUpdate();
			pf.lstFriends.Items.Clear();
			pf.lstFriends.Items.Add("[ALL OTHER]", Startup.Config.NotifyUnknownOffline);
			for(int i = 0; i < Startup.Config.AllFriends.Count; i++) {
				pf.lstFriends.Items.Add(Startup.Config.AllFriends[i], Startup.Config.AllFriends.GetNotifyOffline(i));
			}
			pf.lstFriends.EndUpdate();
			
			pf.label1.Text = "Notify when these friends disconnect:";

			if(pf.ShowDialog(owner) == DialogResult.OK) {
				Startup.Config.NotifyUnknownOffline = pf.lstFriends.GetItemChecked(0);
				for(int i = 1; i < pf.lstFriends.Items.Count; i++) {
					Startup.Config.AllFriends.SetNotifyOffline(pf.lstFriends.Items[i].ToString(), pf.lstFriends.CheckedIndices.Contains(i));
				}
			}
		}

		private void lnkAll_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e) {
			for(int i = 0; i < lstFriends.Items.Count; i++) {
				lstFriends.SetItemChecked(i, true);
			}
		}

		private void lnkNone_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e) {
			for(int i = 0; i < lstFriends.Items.Count; i++) {
				lstFriends.SetItemChecked(i, false);
			}
		}
	}
}
